package Oid;
import java.util.*;
import java.io.*;

/**
 * This class enumerates the modular cuts of a matroid. It follows
 * generally the method of Crapo (Crapo, ???), but uses a new method
 * to enumerate candidate sets of flats, that only outputs sets closed
 * under containment upward (i.e., if a flat is in the set, all flats
 * containing it are also in the set).
 *
 * @author Robert J. Kingan and Sandra R. Kingan
 * @date 1 Jul 2003
 * @version 3.0
 *
 * Copyright 2004 Robert J. Kingan and Sandra R. Kingan
 * 
 * This file is part of Oid.
 *
 * Oid is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * Oid is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Oid; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
public class ModularCutEnumeration implements Enumeration
{
  /**
   * returns a boolean value indicating whether there are more modular
   * cuts to return
   *
   * @return true if and only if there is a next modular cut
   */
  public boolean hasMoreElements()
  {
    return false;
  }

  /**
   * returns the next modular cut as a Vector of Flat references
   *
   * @return next modular cut
   */
  public Object nextElement()
    throws NoSuchElementException
  {
    return (Object)null;
  }

  public static void main(String[] arg)
  {
  }
}
