import java.io.*;
import java.util.*;
package Oid;

/**
 * MatroidIsomorphismChecker, given two matroids M1 and M2, determines
 * whether a one-to-one, onto mapping exists from E(M1) to E(M2) that
 * preserves matroid structure, specifically bases. It first compares
 * number of circuits, independent sets, and flats (for rank 3
 * matroids) of each size, and the sequences of numbers of circuits,
 * independent sets, flats (rank 3) and bases containing each element.
 * If all of these numbers agree, the degree sequences are used to
 * determine constraints on an isomorphism, and all mappings
 * satisfying these constraints are checked to determine if one
 * preserves bases.
 *
 * @author Robert J. Kingan and Sandra R. Kingan
 * @date 28 Jul 2004
 * @version 3.0
 *
 * Copyright 2004 Robert J. Kingan and Sandra R. Kingan
 * 
 * This file is part of Oid.
 *
 * Oid is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * Oid is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Oid; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
public class NewMatroidIsomorphismChecker implements Combiner {




  // 
  // Combiner interface methods
  //
  /** 
   * returns a description of the algorithm used for the construction
   * 
   * @return description of algorithm
   */
  public String getAlgorithmDescription() {
    return (String)null;
  }

  /**
   * returns the reference collection for this constructor
   * 
   * @return reference collection
   */
  public Object getCollection() {
    return (Object)null;
  }

  /**
   * returns the constructed object from the reference collection
   *
   * @return constructed object
   */
  public Object getConstruction() {
    return (Object)null;
  }

  /**
   * returns the algorithm's name
   *
   * @return algorithm name
   */
  public String getName() {
    return (String)null;
  }

  /**
   * sets the reference collection for this constructor
   *
   * @param ref reference to collection 
   * @throws IllegalArgumentException if collection is not valid
   */
  public void setCollection(Collection ref) 
    throws IllegalArgumentException {
  }

}
