import Oid.*;
import java.io.*;
import java.util.*;
import javax.swing.*;
import javax.swing.event.*;
import javax.swing.text.*;
import java.awt.*;
import java.awt.event.*;
import java.io.IOException;
import java.awt.Graphics;
import java.awt.Graphics2D;
import java.awt.geom.Point2D;
import java.awt.geom.*;
import java.awt.image.*;
import java.lang.Math;
import java.applet.Applet;

/**
 * @author Padma Gunturi
 * @date April 16, 2002
 */
public class DisplayGeom extends JPanel implements MouseListener, MouseMotionListener,
	ComponentListener
{ private static FlatsCalculator mfc; // added for Oid integration -- RJK
   private static boolean mVerbose;
   DefaultFlatAlgorithm alg = new DefaultFlatAlgorithm();
    DefaultFlatAlgorithm algComp = new DefaultFlatAlgorithm();
   FiniteFieldMatroid theMatroid, matroid;
   ScrollPane listPane;
   java.awt.List memberList = new java.awt.List();
   boolean capture = false;
   boolean resetToCapture = false;
   boolean doDelete = true;
   boolean doContract = true;
   boolean doRelax = true;
   boolean doAdd = true;
   boolean doAddFree = true;
   boolean doComplement = true;
   boolean doBipartite = true;
   boolean doOperation = false;
   private boolean inAnApplet = true;
   Vector movingPoints= new Vector();// used for resizing the points.
   private boolean isBipartiteGraph = false;
   private boolean isLinearSpace = false;
   private static boolean isTriangleRepr = false;
   Vector movingInfinityPoints = new Vector();
   Vector latticeFlats = new Vector();
   Vector flatsPoints = new Vector();
   Subset highlightLattice;
   Vector highlightLatticeVector;
   int flatsOfRank2 = 0;
   int rankAfterContract = 0;
   boolean labelFlag = true;
   int maxElements = 0;// number of max elements on the lattice
   boolean straightLineFlag;								
   double resizeX = 1;
   double resizeY = 1;
   double width, height;
   private int lenOfArgs;
   private String argsZero;
   Vector mFlats = new Vector();
   Vector mCircuits = new Vector();
   Vector newMFlats = new Vector();
   Vector setOfLines = new Vector();
   Vector displayFlats = new Vector();
   Vector dFlats = new Vector();
   Vector indexPoints = new Vector();
   Vector initialPoints = new Vector();
   Vector capturePoints = new Vector();
   Vector loops = new Vector();
   Vector touchingElements = new Vector();
   Vector touchingEdges = new  Vector();
   Vector vectorCols = new Vector(); // stores the matrix in the form of vectors.
   Vector infinityPoints = new Vector(); // stores the points in the projective plane
   Vector subsetVectors = new Vector(); // stores flats user enters in choice 2
   boolean elementsToDraw[];
   int ar[];
   int highlightElement[] = new int[1];
   int nArray[][];	
   int arrayx[];
   int countElem = 0;
   int addCount = 0;
   int sizeOf;
   public static int numOfCurves;
   int rankOfMatroid;
   int sizeOfMatroid;
   int modulusOfMatroid;
   int circuitSize;
   int nCurve;
   int index;
   int manualIndex = 0;
   int ind = 0;
   int indCount = 0;
   int sizeOfLines = 0;
   static boolean manualFlag = false;
   int delay = 2500;
   boolean highFlag = false;
   boolean unHighflag = false;
   protected javax.swing.Timer highTimer;
   Graphics g;
   Color colorChooser[];
   boolean firstTime[];
   boolean colorFlag[];
   boolean pressOut = true;
   boolean startFlag[];
   boolean ctrl1Flag[];
   boolean ctrl2Flag[];
   boolean endFlag[];
   boolean toggleFlag = true;// initially the control points are not visible.
   boolean update = false;
   static int  NN, i;
   static int pi[];
   static int p[];
   static int dir[];
   static Vector finalStorage = new Vector();
   static Vector permStorage = new Vector(); 
   Rectangle area, startpt[], endpt[], ctrl1[], ctrl2[], rect, newSR, newER, newC1R, newC2R, newR;	
   Rectangle initstartpt[], initendpt[], initctrl1[], initctrl2[];
   CubicCurve2D.Double cubic;
   Point start[], end[], one[], two[], point, newP;
   Point initstart[], initend[], initone[], inittwo[];
   Point captureStart[], captureEnd[], captureOne[], captureTwo[];
   Rectangle captureStartpt[], captureEndpt[], captureCtrl1[], captureCtrl2[];	
   int moveX, moveY,mx1;
   int curveIndex;
   int colorIndex;			   
   String updatedIndex;
   int drawx, drawy;
   BufferedImage bi;
   Graphics2D big;

   public DisplayGeom(Object m) throws IOException{
     mfc = new FlatsCalculator(); // added for Oid integration -- RJK
       // Container contentPane = getContentPane();
    setLayout(new BorderLayout(5,5));
	JPanel buttonPanel = new JPanel();
	JPanel listPanel = new JPanel();
	JPanel drawPanel = new JPanel();
	  
	buttonPanel.setLayout(new GridLayout(2,10));
	listPanel.setLayout(new BorderLayout(5,5));
	
	add(buttonPanel,BorderLayout.NORTH);
	validate();
	add(listPanel,BorderLayout.WEST);
	validate();
	add(drawPanel,BorderLayout.CENTER);
	validate();
	  
	Font font = new Font("Dialog", Font.BOLD , 12);  
	final Button toggleButton = new Button("CONTROL POINTS");
	final Button deleteLineButton = new Button("DELETE");
	final Button originalButton = new Button("CAPTURE / RESET");
	final Button listButton = new Button("HIGHLIGHT FLATS / INCLUSION");
	final Button complementButton = new Button("PG(2,q) \\ M");
	final Button contractButton = new Button("CONTRACT");
	final Button relaxButton = new Button("RELAX");
	final Button addButton = new Button("ADD");
	final Button addFreeButton = new Button("ADD FREE");
	final Button bipartiteButton = new Button("BIPARTITE GRAPH");
	//final Button captureButton = new Button("CAPTURE");
	
	toggleButton.setFont(font);
	deleteLineButton.setFont(font);
	originalButton.setFont(font);
	listButton.setFont(font);
	complementButton.setFont(font);
	contractButton.setFont(font);
	relaxButton.setFont(font);
	addButton.setFont(font);
	addFreeButton.setFont(font);
	bipartiteButton.setFont(font);
	//captureButton.setFont(font);
	  
	toggleButton.setForeground(Color.blue);
	deleteLineButton.setForeground(Color.blue);
	originalButton.setForeground(Color.blue);
	listButton.setForeground(Color.blue);
	complementButton.setForeground(Color.blue);
	contractButton.setForeground(Color.blue);
	relaxButton.setForeground(Color.blue);
	addButton.setForeground(Color.blue);
	addFreeButton.setForeground(Color.blue);
	bipartiteButton.setForeground(Color.blue);
	//captureButton.setForeground(Color.blue);
	 
	Label listLabel = new Label("SET OF FLATS / LINES:");
	listLabel.setAlignment(listLabel.CENTER);
	listLabel.setFont(font);
	
	buttonPanel.add(listButton);
	validate();
	buttonPanel.add(toggleButton);
	validate();
	buttonPanel.add(originalButton);
	validate();
    buttonPanel.add(bipartiteButton);
	validate(); 
	//buttonPanel.add(captureButton);
	//validate(); 
	buttonPanel.add(deleteLineButton);
	validate();
	buttonPanel.add(contractButton);
	validate();
	buttonPanel.add(relaxButton);
	validate();
	buttonPanel.add(complementButton);
	validate();
	 
	memberList.setMultipleMode(true);
    memberList.select(0);
	listPane = new ScrollPane();
	listPane.setSize(135, 550);
	listPane.add(memberList);
	listPanel.add(listLabel, BorderLayout.NORTH);
	listPanel.add(listPane, BorderLayout.CENTER);
	validate();

	
        if(m instanceof LinearSpace)
			isLinearSpace = true;
		else
			isLinearSpace = false;
	
	if(isLinearSpace) {
	   relaxButton.setEnabled(true);
	   contractButton.setEnabled(true);
	   complementButton.setEnabled(false);
	   bipartiteButton.setEnabled(true);
	   deleteLineButton.setEnabled(true);
	   toggleButton.setEnabled(true);
	   listButton.setEnabled(true);
	   addButton.setEnabled(true);
	   addFreeButton.setEnabled(true);
	   originalButton.setEnabled(true);
	   
	   doAdd = true;
	   doRelax = true;
	   doContract = true;
	   doComplement = false;
	   doDelete = true;
	   doAddFree = true;
	   doBipartite = true;
   }
   else if(!isLinearSpace) {
	   
	  relaxButton.setEnabled(true);
	  contractButton.setEnabled(true);
	  complementButton.setEnabled(true);
	  bipartiteButton.setEnabled(true);
	  deleteLineButton.setEnabled(true);
	  toggleButton.setEnabled(true);
	  listButton.setEnabled(true);
	  addButton.setEnabled(true);
	  addFreeButton.setEnabled(true);
	  originalButton.setEnabled(true);
			
	  doBipartite = true;
	  doDelete = true;
	  doAddFree = true;		
	  doAdd = true;
	  doRelax = true;
	  doContract = true;
	  doComplement = true;
   }
			
   isBipartiteGraph = false;
  
// highlight button code
   ActionListener actionListener = new ActionListener() {
   public void actionPerformed(ActionEvent e) {
      try {
		  // if the set of line is used to get the repr
	     if(isLinearSpace && !isBipartiteGraph) {
			if((memberList.getSelectedIndexes()).length == 1) {
			   isBipartiteGraph = false;
               doBipartite = false;
		       Vector ft = new Vector();
		       int count = 0;
			   // det the flat selected
			   manualIndex = memberList.getSelectedIndex();
			   ft = (Vector) dFlats.elementAt(manualIndex);
			   int sz = ft.size();
			   int[] ar = new int[sz];
			   int len = 0;
			   
			   for(int ji = 1; ji <= (sizeOfMatroid+addCount+countElem); ji++){
				   if(ft.contains(new Integer(ji))) {
					   ar[len] = ji;
					   len++;
				   }
			   }
			   
			   for(int j = 0; j < ar.length && ar[j] != 0;j++) {
				   count++;
			   }
			   // highlight the corresponding flat in the repr
			   doHighLightLinear(ft,ar,count,movingPoints, indexPoints, setOfLines);
			 //  resetToCapture = false;
			   repaint();
			}
			else if ((memberList.getSelectedIndexes()).length > 1){
				JOptionPane.showMessageDialog(null, "Please select only one flat.  Clicking on an item that is already selected deselects it. ");
			}	
			else {
				JOptionPane.showMessageDialog(null, "Please select atleast one flat. ");
			}
		 }// end of isLinearSpaces
		 else if(!isLinearSpace && !isBipartiteGraph){
			 if((memberList.getSelectedIndexes()).length == 1) {
				 isBipartiteGraph = false;
				 doBipartite = false;
				 Subset ft;
				 int ar[];
				 int count = 0;
				 manualIndex = memberList.getSelectedIndex();
				 ft = (Subset) dFlats.elementAt(manualIndex);
				 int sz = ft.numElements()-loops.size();
				 ar = new int[sz];
				 
				 for(int ji = 0; ji < sz; ji++)
					 ar[ji] = 0;
				 
				 ar = mfc.getFlatsNoLoopsNoTouchingEdges(ft, loops, touchingElements);
				 for(int j = 0; j < ar.length && ar[j] != 0;j++) {
					 count++;
				 }
				 
				 doHighLight(ft,ar,count,loops,movingPoints,  indexPoints, touchingEdges, setOfLines);
				// resetToCapture = false;
				 repaint();
			 }
			 			 
			 else if ((memberList.getSelectedIndexes()).length > 1){
				 JOptionPane.showMessageDialog(null, "Please select only one flat.  Clicking on an item that is already selected deselects it. ");
			 }	
			 else {
				 JOptionPane.showMessageDialog(null, "Please select atleast one flat. ");
			 }
		 }
		 else if(!isLinearSpace && isBipartiteGraph){
			   	 if((memberList.getSelectedIndexes()).length == 1) {
					 
				 isBipartiteGraph = true;
				 doBipartite = false;
				 int count = 0;
				 manualIndex = memberList.getSelectedIndex();
				 highlightLattice = (Subset) dFlats.elementAt(manualIndex);
				 int sz = highlightLattice.numElements()-loops.size();
				 highlightElement = new int[sz];
				 
				 for(int ji = 0; ji < sz; ji++)
					 highlightElement[ji] = 0;
				 
				 highlightElement = mfc.getFlatsNoLoopsNoTouchingEdges(highlightLattice, loops, touchingElements);
				 for(int j = 0; j < highlightElement.length && highlightElement[j] != 0;j++) {
					 if(!touchingElements.contains(new Integer(highlightElement[j]).toString()))
					    count++;
				 }
				 if(count == 1) {
					 // resetToCapture = false;
				     repaint();
				 }
				 else {
					 JOptionPane.showMessageDialog(null, "Please select a single element(non-loop) to highlight the inclusion relation. ");
			
					 for(int ji = 0; ji < sz; ji++)
					    highlightElement[ji] = 0;
					 repaint();
				 }
				 }
				 else if ((memberList.getSelectedIndexes()).length > 1){
				     JOptionPane.showMessageDialog(null, "Please select only one element.  Clicking on an item that is already selected deselects it. ");
			     }	
			     else {
				    JOptionPane.showMessageDialog(null, "Please select a single element . ");
			     }
				 
			 }
			 else if(isLinearSpace && isBipartiteGraph){
			   if((memberList.getSelectedIndexes()).length == 1) {
					 
				 isBipartiteGraph = true;
				 doBipartite = false;
				 int count = 0;
				 manualIndex = memberList.getSelectedIndex();
				 highlightLatticeVector = (Vector) dFlats.elementAt(manualIndex);
				 int sz = highlightLatticeVector.size()-loops.size();
				 highlightElement = new int[sz];
				 
				 for(int ji = 0; ji < sz; ji++)
					 highlightElement[ji] = 0;
				 
				 
				 for(int j = 1; j <= (sizeOfMatroid+countElem);j++) {
					 if(highlightLatticeVector.contains(new Integer(j)) && !touchingElements.contains(new Integer(j).toString())
						&& !loops.contains(new Integer(j).toString())) {
						 highlightElement[0] = j;
					     count++;
					 }
				 }
				 if(count == 1) {
					 // resetToCapture = false;
				     repaint();
				 }
				 else {
					 JOptionPane.showMessageDialog(null, "Please select a single element to highlight the inclusion relation. ");
			
					 for(int ji = 0; ji < sz; ji++)
					    highlightElement[ji] = 0;
					 repaint();
				 }
				 }
				 else if ((memberList.getSelectedIndexes()).length > 1){
				     JOptionPane.showMessageDialog(null, "Please select only one element.  Clicking on an item that is already selected deselects it. ");
			     }	
			     else {
				    JOptionPane.showMessageDialog(null, "Please select a single element . ");
			     }
				 
				 
			 }
				 
	  }
	  catch (Exception exxp) {
		  //couldn't highlight
		  JOptionPane.showMessageDialog(null, "Couldn't HighLight. Please try again.");
		  //throw new InternalError(exxp.getMessage());
	  }
   } 
   };
   listButton.addActionListener(actionListener);   
        
   // control points button code
   ActionListener actionListener28 = new ActionListener() {
	   public void actionPerformed(ActionEvent e) {
		   if(!isBipartiteGraph) {
			   try {
				   isBipartiteGraph = false;
				   doBipartite = false;
				   toggleFlag = !toggleFlag;
				  // resetToCapture = false;
				   repaint();
			   }
			   catch (Exception exxp) {
				   //couldn't toggle cntrol points
				   JOptionPane.showMessageDialog(null, "Couldn't toggle control points. Please try again.");
			   }
		   }
	   }
	   };
       toggleButton.addActionListener(actionListener28); 
	 
	 
	 
   // addFree button is not provided in the applet for now
   ActionListener actionListenerAF = new ActionListener() {
	   public void actionPerformed(ActionEvent e) {
		   if(doAddFree) {
			   if(isLinearSpace) {
				   try{
					   isBipartiteGraph = false;
						doOperation = true;
					   //donot change the sizeOfMatroid here
					   sizeOfMatroid = elementsToDraw.length;
					   addCount++;
					   if((addCount % sizeOfLines) == 1)
						   sizeOfLines++;
					   boolean newElements[] = new boolean[sizeOfMatroid + addCount];
					   for(int ele = 0; ele < newElements.length; ele++) {
						   newElements[ele] = true;
					   }
					   int newElement = sizeOfMatroid + addCount;
					   Enumeration e1 = newMFlats.elements();
					   while(e1.hasMoreElements()) {
						   Vector flat = (Vector)e1.nextElement();
						   //add this element to all single element sets
						   if(flat.size() == 1) {
							   flat.addElement(new Integer(newElement));
						   }
					   }
					   
					   //add this new element to rank-1 flats
					   Vector temp = new Vector();
					   temp.addElement(new Integer(newElement));
					   newMFlats.addElement(temp);
					   dFlats.removeAllElements();
					   index = 0;
					   memberList.removeAll();
					   Enumeration fm = newMFlats.elements();
					   while(fm.hasMoreElements()) 
					   {
						   Vector v= (Vector)fm.nextElement();
						   Vector temp1 = new Vector(v);
						   String displayStr = (String)v.toString();
						   dFlats.add(index,temp1);
						   index++;
						   memberList.add(displayStr);		  
					   }
					   movingInfinityPoints.removeAllElements();
					   movingPoints.removeAllElements();
					   setOfLines.removeAllElements();
					   indexPoints.removeAllElements();
					   initialPoints.removeAllElements();
					   displayFlats.removeAllElements();
					   infinityPoints.removeAllElements();
					   loops.removeAllElements();
		       touchingElements.removeAllElements();
		       touchingEdges.removeAllElements();			
					   //
					   // run through outline of algorithm for drawing geometric representation for linear spaces
					   //
					   setOfLines = DoLinearSpaces(newMFlats, rankOfMatroid, sizeOfMatroid, sizeOfLines, newElements, addCount, setOfLines, indexPoints, initialPoints, displayFlats, infinityPoints, movingInfinityPoints, movingPoints, loops, touchingElements, touchingEdges);
					   
					   firstTime = new boolean[numOfCurves];
					   colorChooser = new Color[numOfCurves];
					   colorFlag = new boolean[numOfCurves];
					   startFlag = new boolean[numOfCurves];
					   ctrl1Flag = new boolean[numOfCurves];
					   ctrl2Flag = new boolean[numOfCurves];
					   endFlag = new boolean[numOfCurves];
					   for(i = 0; i<numOfCurves; i++){
						   firstTime[i] = true;
						   colorFlag[i] = true;
						   startFlag[i] = false;
						   endFlag[i] = false;
						   ctrl1Flag[i] = false;
						   ctrl2Flag[i] = false;
					   }
					   cubic = new CubicCurve2D.Double();
					   start = new Point[numOfCurves];
					   one = new Point[numOfCurves];
					   two = new Point[numOfCurves];
					   end = new Point[numOfCurves];
					   newP = new Point();
					   startpt = new Rectangle[numOfCurves];
					   endpt = new Rectangle[numOfCurves];
					   ctrl1 = new Rectangle[numOfCurves];
					   ctrl2 = new Rectangle[numOfCurves];
					   rect = new Rectangle();
					   initstart = new Point[numOfCurves];
					   initone = new Point[numOfCurves];
					   inittwo = new Point[numOfCurves];
					   initend = new Point[numOfCurves];
					   initstartpt = new Rectangle[numOfCurves];
					   initendpt = new Rectangle[numOfCurves];
					   initctrl1 = new Rectangle[numOfCurves];
					   initctrl2 = new Rectangle[numOfCurves];
					   newR = new Rectangle();
					   newSR = new Rectangle(0,0,5,5);
					   newER = new Rectangle(0,0,5,5);
					   newC1R = new Rectangle(0,0,5,5);
					   newC2R = new Rectangle(0,0,5,5);
					   
					   bipartiteButton.setEnabled(false);
					   doBipartite = false;
					   toggleButton.setEnabled(true);
					   deleteLineButton.setEnabled(false);
					   doDelete = false;
					   listButton.setEnabled(true);
					   complementButton.setEnabled(false);
					   doComplement = false;
					   contractButton.setEnabled(false);
					   doContract = false;
					   relaxButton.setEnabled(false);
					   doRelax = false;
					   addButton.setEnabled(true);
					   doAdd = true;
					   originalButton.setEnabled(true);
				   }// end of try block
				   catch (Exception exxp) {
					   //throw new InternalError(exxp.getMessage());
					   //couldn't add free point
					   JOptionPane.showMessageDialog(null, "Couldn't add point. Please try again.");
				   }
				   resetToCapture = false;
				   repaint();
			   }
			   else {			
				   try{
					   isBipartiteGraph = false;
						doOperation = true;
					   //donot change the sizeOfMatroid here
					   sizeOfMatroid = elementsToDraw.length;
					   addCount++;
					   boolean newElements[] = new boolean[sizeOfMatroid + addCount];
					   for(int ele = 0; ele < newElements.length; ele++) {
						   newElements[ele] = true;
					   }
					   int newElement = sizeOfMatroid + addCount;
					   // add a two element line to rank-2 flats:
					   int arrayEle[] = new int[newElement];
					   Vector subVector = (Vector)newMFlats.get(1);
					   Enumeration e1 = subVector.elements();
					   while(e1.hasMoreElements()) {
						   Subset flat = (Subset)e1.nextElement();
						   Subset f1 = new Subset(newElement, newElement-1);
						   Subset f2 = new Subset(newElement);
						   arrayEle = mfc.getFlats(flat);
						   for(int el = 0; el < arrayEle.length && arrayEle[el] != 0; el++){
							   f2.or(new Subset(newElement,arrayEle[el]-1));
						   }
						   f1.or(f2);
						   ((Vector)newMFlats.get(2)).addElement(f1);
					   }
					   //add this new element to rank-1 flats
					   Subset flat = new Subset(newElement, newElement-1);
					   ((Vector)newMFlats.get(1)).addElement(flat);
					   
					   if(rankOfMatroid == 3){
						   //add this new element to rank-3 flats
						   Subset f1 = new Subset(newElement, newElement-1);
						   Subset rank3Flat = (Subset)(((Vector)newMFlats.get(3)).elementAt(0));
						   ((Vector)newMFlats.get(3)).removeElementAt(0);
						   Subset f2 = new Subset(newElement);
						   arrayEle = mfc.getFlats(rank3Flat);
						   for(int el = 0; el < arrayEle.length && arrayEle[el] != 0; el++){
							   f2.or(new Subset(newElement,arrayEle[el]-1));
						   }
						   f2.or(f1);
						   ((Vector)newMFlats.get(3)).addElement(f2);
					   }
					   
					   dFlats.removeAllElements();
					   index = 0;
					   int max = 0;
					   memberList.removeAll();
					   for(int i=0;i<=rankOfMatroid;i++) {
						   subVector = (Vector)newMFlats.get(i);
						   Enumeration fm = subVector.elements();
						   while(fm.hasMoreElements()) 
						   {
							   Subset flat1 = (Subset)fm.nextElement();
							   String displayStr = (String)flat1.toString(true);
							   if(flat1.numElements() != 0 &&
								  !dFlats.contains(flat1)){
								   dFlats.add(index,flat1);
								   index++;
								   if(i == 0 || i == 1){
									   ind++;
									   indCount++;
								   }
								   memberList.add(displayStr);		  
							   }
						   }
					   }	
					   setOfLines.removeAllElements();
					   indexPoints.removeAllElements();
					   initialPoints.removeAllElements();
					   displayFlats.removeAllElements();
					   loops.removeAllElements();
					   touchingElements.removeAllElements();
					   touchingEdges.removeAllElements();
					   infinityPoints.removeAllElements();
					   movingInfinityPoints.removeAllElements();
					   movingPoints.removeAllElements();
					   isTriangleRepr = true;				
					   //
					   // run through outline of algorithm for drawing geometric representation
					   //
					   setOfLines = DoOutline(newMFlats, rankOfMatroid, sizeOfMatroid, modulusOfMatroid, newElements, ar, addCount, setOfLines, indexPoints, initialPoints, displayFlats, loops, touchingElements, touchingEdges, vectorCols, infinityPoints, movingInfinityPoints, movingPoints);
					   
					   firstTime = new boolean[numOfCurves];
					   colorChooser = new Color[numOfCurves];
					   colorFlag = new boolean[numOfCurves];
					   startFlag = new boolean[numOfCurves];
					   ctrl1Flag = new boolean[numOfCurves];
					   ctrl2Flag = new boolean[numOfCurves];
					   endFlag = new boolean[numOfCurves];
					   for(int i = 0; i<numOfCurves; i++){
						   firstTime[i] = true;
						   colorFlag[i] = true;
						   startFlag[i] = false;
						   endFlag[i] = false;
						   ctrl1Flag[i] = false;
						   ctrl2Flag[i] = false;
					   }
					   cubic = new CubicCurve2D.Double();
					   start = new Point[numOfCurves];
					   one = new Point[numOfCurves];
					   two = new Point[numOfCurves];
					   end = new Point[numOfCurves];
					   newP = new Point();
					   startpt = new Rectangle[numOfCurves];
					   endpt = new Rectangle[numOfCurves];
					   ctrl1 = new Rectangle[numOfCurves];
					   ctrl2 = new Rectangle[numOfCurves];
					   rect = new Rectangle();
					   initstart = new Point[numOfCurves];
					   initone = new Point[numOfCurves];
					   inittwo = new Point[numOfCurves];
					   initend = new Point[numOfCurves];
					   initstartpt = new Rectangle[numOfCurves];
					   initendpt = new Rectangle[numOfCurves];
					   initctrl1 = new Rectangle[numOfCurves];
					   initctrl2 = new Rectangle[numOfCurves];
					   newR = new Rectangle();
					   newSR = new Rectangle(0,0,5,5);
					   newER = new Rectangle(0,0,5,5);
					   newC1R = new Rectangle(0,0,5,5);
					   newC2R = new Rectangle(0,0,5,5);
					   
					   bipartiteButton.setEnabled(false);
					   doBipartite = false;
					   toggleButton.setEnabled(true);
					   deleteLineButton.setEnabled(false);
					   doDelete = false;
					   listButton.setEnabled(true);
					   complementButton.setEnabled(false);
					   doComplement = false;
					   contractButton.setEnabled(false);
					   doContract = false;
					   relaxButton.setEnabled(false);
					   doRelax = false;
					   addButton.setEnabled(true);
					   doAdd = true;
					   originalButton.setEnabled(true);
				   }// end of try block
				   catch (Exception exxp) {
					   //throw new InternalError(exxp.getMessage());
					   //couldn't add 
					   JOptionPane.showMessageDialog(null, "Couldn't Add a point. Please try again.");
				   }
				   resetToCapture = false;
				   repaint();
			   }
		   }// end of doAddFree
		   else {	
			   JOptionPane.showMessageDialog(null, "Please, click RESET button and then ADD FREE button to add a point");
		   }
	   }
	   };
       addFreeButton.addActionListener(actionListenerAF); 

	   // add button is not provided in the applet for now
	   ActionListener actionListenerA = new ActionListener() {
		public void actionPerformed(ActionEvent e) {
			if(doAdd) {
			if(isLinearSpace) {
				
		           if((memberList.getSelectedIndexes()).length >= 1) {
			try{
			    isBipartiteGraph = false;
				doOperation = true;
				boolean isRank2Flat = true;
                Vector temporary = new Vector();
				int indexes[] = new int[memberList.getSelectedIndexes().length];
				indexes = memberList.getSelectedIndexes();
				for(int ind = 0; ind < indexes.length; ind++) {
					Vector ft = (Vector) dFlats.elementAt(indexes[ind]);
					if(ft.size() < 2){
						isRank2Flat = false;
						break;
					}
					temporary.addElement(ft);
				}
				
				
				boolean draw = true;
				int countCheck = 0;
		        Vector pCheck = new Vector(temporary);		
		        for(int check = 0; check < pCheck.size()-1; check++){
	                Enumeration enumCheck = pCheck.elements();
		            Vector flat1 = (Vector)enumCheck.nextElement();
		            int arrayCheck[] = new int[flat1.size()];
		            							
				    int len = 0;
				    for(int ji = 1; ji <= (sizeOfMatroid+addCount); ji++){
					  if(flat1.contains(new Integer(ji))) {
						arrayCheck[len] = ji;
						len++;
					  }
				    }
		  
	                while(enumCheck.hasMoreElements())
	                {
          	           Vector flat2 = (Vector)enumCheck.nextElement();
			           for(int xCheck = 0; xCheck < arrayCheck.length;xCheck++){
				 		    if(arrayCheck[xCheck] != 0 && flat2.contains(new Integer(arrayCheck[xCheck])) )
		                    {
				               countCheck++;
		                    }
			           }
			           if(countCheck >= 1){
				          draw = false;
		
			           }
			           countCheck = 0;
		
		            }
		            pCheck.removeElement(flat1);
		            countCheck = 0;
		
		         }		
				
				
			    if(temporary.size() == 1)
					draw = true;
				
				
				
				
				if(draw && isRank2Flat) {
				
								
	               //donot change the sizeOfMatroid here
				   sizeOfMatroid = elementsToDraw.length;
				   addCount++;
				
				   boolean newElements[] = new boolean[sizeOfMatroid + addCount];
				   for(int ele = 0; ele < newElements.length; ele++) {
					  newElements[ele] = true;
				   }
		
				
				   int newElement = sizeOfMatroid + addCount;
			    

				
				   // add a new element to selected rank-2 flats:
				
      				
	      			Enumeration e1 = temporary.elements();
			     	while(e1.hasMoreElements()) {
				     	Vector flat = (Vector)e1.nextElement();
						newMFlats.removeElement(flat);
						flat.addElement(new Integer(newElement));
						newMFlats.addElement(flat);
						
				     }
				
				
				
				
				     //add this new element to rank-1 flats
				     Vector flat = new Vector();
					 flat.addElement(new Integer(newElement));
				     newMFlats.addElement(flat);
				
										
				dFlats.removeAllElements();
			 index = 0;
			 int max = 0;
		 memberList.removeAll();
		 Enumeration fm = newMFlats.elements();
		     while(fm.hasMoreElements()) 
	         {
			 
		       Vector v= (Vector)fm.nextElement();
			   Vector temp = new Vector(v);
			   String displayStr = (String)v.toString();
			   if(max < v.size()) 
				   max = v.size();
			   
			   dFlats.add(index,temp);
			   index++;
			   memberList.add(displayStr);		  
			  }
			   
			 sizeOfLines = max;
				
				
				movingInfinityPoints.removeAllElements();
			movingPoints.removeAllElements();
			
				
				setOfLines.removeAllElements();
		        indexPoints.removeAllElements();
		        initialPoints.removeAllElements();
		        displayFlats.removeAllElements();
		                
				loops.removeAllElements();
		       touchingElements.removeAllElements();
		       touchingEdges.removeAllElements();			
		        infinityPoints.removeAllElements();
			
			
         //
         // run through outline of algorithm for drawing geometric representation for linear spaces
         //
			setOfLines = DoLinearSpaces(newMFlats, rankOfMatroid, sizeOfMatroid, sizeOfLines, newElements, addCount, setOfLines, indexPoints, initialPoints, displayFlats, infinityPoints,  movingInfinityPoints, movingPoints, loops, touchingElements, touchingEdges);

	
	
	
		 
		            firstTime = new boolean[numOfCurves];
		  
                    colorChooser = new Color[numOfCurves];
		  	        colorFlag = new boolean[numOfCurves];
		  
		  
		  
		  
					startFlag = new boolean[numOfCurves];
					ctrl1Flag = new boolean[numOfCurves];
					ctrl2Flag = new boolean[numOfCurves];
					endFlag = new boolean[numOfCurves];
		  
		  
					for(int i = 0; i<numOfCurves; i++){
						firstTime[i] = true;
						colorFlag[i] = true;
						startFlag[i] = false;
						endFlag[i] = false;
						ctrl1Flag[i] = false;
						ctrl2Flag[i] = false;
					}
			  
			        cubic = new CubicCurve2D.Double();
					start = new Point[numOfCurves];
					one = new Point[numOfCurves];
					two = new Point[numOfCurves];
					end = new Point[numOfCurves];
					newP = new Point();
					 
					startpt = new Rectangle[numOfCurves];
					endpt = new Rectangle[numOfCurves];
					ctrl1 = new Rectangle[numOfCurves];
					ctrl2 = new Rectangle[numOfCurves];
					rect = new Rectangle();
		 
		 
					initstart = new Point[numOfCurves];
					initone = new Point[numOfCurves];
			        inittwo = new Point[numOfCurves];
					initend = new Point[numOfCurves];
         		 
					initstartpt = new Rectangle[numOfCurves];
					initendpt = new Rectangle[numOfCurves];
					initctrl1 = new Rectangle[numOfCurves];
					initctrl2 = new Rectangle[numOfCurves];
		  
		 
					newR = new Rectangle();
					newSR = new Rectangle(0,0,5,5);
					newER = new Rectangle(0,0,5,5);
					newC1R = new Rectangle(0,0,5,5);
					newC2R = new Rectangle(0,0,5,5);

					bipartiteButton.setEnabled(false);
					doBipartite = false;
					
				toggleButton.setEnabled(true);
			    deleteLineButton.setEnabled(false);
				doDelete = false;
				
			    listButton.setEnabled(true);
			    complementButton.setEnabled(false);
				doComplement = false;
				
			    contractButton.setEnabled(false);
				doContract = false;
				
			    relaxButton.setEnabled(false);
				doRelax = false;
				
			    addFreeButton.setEnabled(true);
				doAddFree = true;
				
				originalButton.setEnabled(true);
				}
				else {
					JOptionPane.showMessageDialog(null, "Please select lines(of degree > 2) that are not already intersecting. ");
				}
   

      }// end of try block
       catch (Exception exxp) {
          //throw new InternalError(exxp.getMessage());
		   
            		//couldn't add
                    JOptionPane.showMessageDialog(null, "Couldn't Add a point. Please try again.");			        
           
       }
				
				
				
				resetToCapture = false;
                repaint();
				
		}
		else {
			// do nothing
			JOptionPane.showMessageDialog(null, "Please select atleast one flat. ");
		}		
				
				
				
			}
			
			
			
			else {
			
			
		if((memberList.getSelectedIndexes()).length >= 1) {
			try{
			    isBipartiteGraph = false;
				doOperation = true;
				boolean isRank2Flat = true;
                Vector temporary = new Vector();
				int indexes[] = new int[memberList.getSelectedIndexes().length];
				indexes = memberList.getSelectedIndexes();
				for(int ind = 0; ind < indexes.length; ind++) {
					Subset ft = (Subset) dFlats.elementAt(indexes[ind]);
					if(!((Vector)(newMFlats.get(2))).contains(ft)){
						isRank2Flat = false;
						break;
					}
					temporary.addElement(ft);
				}
				
				
				boolean draw = true;
				int countCheck = 0;
		        Vector pCheck = new Vector(temporary);		
		        for(int check = 0; check < pCheck.size()-1; check++){
	                Enumeration enumCheck = pCheck.elements();
		            Subset flat1 = (Subset)enumCheck.nextElement();
		            int arrayCheck[] = new int[flat1.numElements()];
		            arrayCheck = mfc.getFlatsNoLoopsNoTouchingEdges(flat1, loops, touchingElements);
		  
	                while(enumCheck.hasMoreElements())
	                {
          	           Subset flat2 = (Subset)enumCheck.nextElement();
			           for(int xCheck = 0; xCheck < arrayCheck.length;xCheck++){
				 		    if(arrayCheck[xCheck] != 0 && mfc.contains(flat2, arrayCheck[xCheck]-1) )
		                    {
				               countCheck++;
		                    }
			           }
			           if(countCheck >= 1){
				          draw = false;
		
			           }
			           countCheck = 0;
		
		            }
		            pCheck.removeElement(flat1);
		            countCheck = 0;
		
		         }		
				
				
			    if(temporary.size() == 1)
					draw = true;
				
				
				
				
				if(draw && isRank2Flat) {
				
								
	               //donot change the sizeOfMatroid here
				   sizeOfMatroid = elementsToDraw.length;
				   addCount++;
				
				   boolean newElements[] = new boolean[sizeOfMatroid + addCount];
				   for(int ele = 0; ele < newElements.length; ele++) {
					  newElements[ele] = true;
				   }
		
				
				   int newElement = sizeOfMatroid + addCount;
			    
				   
				
				   // add a new element to selected rank-2 flats:
				
      				int arrayEle[] = new int[newElement];
	      			Enumeration e1 = temporary.elements();
			     	while(e1.hasMoreElements()) {
				     	Subset flat = (Subset)e1.nextElement();
						arrayEle = mfc.getFlats(flat);
						((Vector)newMFlats.get(2)).removeElement(flat);
					    Subset f1 = new Subset(newElement, newElement-1);
					    Subset f2 = new Subset(newElement);
					    
					    for(int el = 0; el < arrayEle.length && arrayEle[el] != 0; el++){
					       f2.or(new Subset(newElement,arrayEle[el]-1));
					    }
					    f1.or(f2);
				        
					    ((Vector)newMFlats.get(2)).addElement(f1);
					    //System.out.println(" The selected flat now is= " + f1.toString(true));
				     }
				
				
				
				
				     //add this new element to rank-1 flats
				     Subset flat = new Subset(newElement, newElement-1);
				     ((Vector)newMFlats.get(1)).addElement(flat);
				
				
		
				
				     if(rankOfMatroid == 3){
				        //add this new element to rank-3 flats
				        Subset f1 = new Subset(newElement, newElement-1);
					    Subset rank3Flat = (Subset)(((Vector)newMFlats.get(3)).elementAt(0));
					    ((Vector)newMFlats.get(3)).removeElementAt(0);
					    Subset f2 = new Subset(newElement);
					    arrayEle = mfc.getFlats(rank3Flat);
					    for(int el = 0; el < arrayEle.length && arrayEle[el] != 0; el++){
					       f2.or(new Subset(newElement,arrayEle[el]-1));
					    }
					    f2.or(f1);
				
					    ((Vector)newMFlats.get(3)).addElement(f2);
				    
				      }
					
				
				
				
				     dFlats.removeAllElements();
			         index = 0;
					 int max = 0;
					 Vector subVector = new Vector();
		             memberList.removeAll();
		             for(int i=0;i<=rankOfMatroid;i++) {
			            subVector = (Vector)newMFlats.get(i);
		                Enumeration fm = subVector.elements();
			 
		                while(fm.hasMoreElements()) 
	                    {
			 
              		       Subset flat1 = (Subset)fm.nextElement();
			               String displayStr = (String)flat1.toString(true);
			   
			               			 
			               if(flat1.numElements() != 0 &&
					           !dFlats.contains(flat1)){
		                       dFlats.add(index,flat1);
			                   index++;
			                   if(i == 0 || i == 1){
				                   ind++;
				                   indCount++;
			                   }
		                       memberList.add(displayStr);		  
			                }
			   
		   
	                      }
		               }	
				
					 
            movingInfinityPoints.removeAllElements();
			movingPoints.removeAllElements();
				
				
				       setOfLines.removeAllElements();
		               indexPoints.removeAllElements();
		               initialPoints.removeAllElements();
		               displayFlats.removeAllElements();
		               loops.removeAllElements();
		               touchingElements.removeAllElements();
		               touchingEdges.removeAllElements();
		               infinityPoints.removeAllElements();
			
			
			
                               isTriangleRepr = true;									   
					   
					   
                      //
                     // run through outline of algorithm for drawing geometric representation
                     //
			       setOfLines = DoOutline(newMFlats, rankOfMatroid, sizeOfMatroid, modulusOfMatroid, newElements, ar, addCount, setOfLines, indexPoints, initialPoints, displayFlats, loops, touchingElements, touchingEdges, vectorCols, infinityPoints,  movingInfinityPoints, movingPoints);

	

			
		 
		            firstTime = new boolean[numOfCurves];
		  
                    colorChooser = new Color[numOfCurves];
		  	        colorFlag = new boolean[numOfCurves];
		  
		  
		  
		  
					startFlag = new boolean[numOfCurves];
					ctrl1Flag = new boolean[numOfCurves];
					ctrl2Flag = new boolean[numOfCurves];
					endFlag = new boolean[numOfCurves];
		  
		  
					for(int i = 0; i<numOfCurves; i++){
						firstTime[i] = true;
						colorFlag[i] = true;
						startFlag[i] = false;
						endFlag[i] = false;
						ctrl1Flag[i] = false;
						ctrl2Flag[i] = false;
					}
			  
			        cubic = new CubicCurve2D.Double();
					start = new Point[numOfCurves];
					one = new Point[numOfCurves];
					two = new Point[numOfCurves];
					end = new Point[numOfCurves];
					newP = new Point();
					 
					startpt = new Rectangle[numOfCurves];
					endpt = new Rectangle[numOfCurves];
					ctrl1 = new Rectangle[numOfCurves];
					ctrl2 = new Rectangle[numOfCurves];
					rect = new Rectangle();
		 
		 
					initstart = new Point[numOfCurves];
					initone = new Point[numOfCurves];
			        inittwo = new Point[numOfCurves];
					initend = new Point[numOfCurves];
         		 
					initstartpt = new Rectangle[numOfCurves];
					initendpt = new Rectangle[numOfCurves];
					initctrl1 = new Rectangle[numOfCurves];
					initctrl2 = new Rectangle[numOfCurves];
		  
		 
					newR = new Rectangle();
					newSR = new Rectangle(0,0,5,5);
					newER = new Rectangle(0,0,5,5);
					newC1R = new Rectangle(0,0,5,5);
					newC2R = new Rectangle(0,0,5,5);

					
					bipartiteButton.setEnabled(false);
					doBipartite = false;
					
				toggleButton.setEnabled(true);
			    deleteLineButton.setEnabled(false);
				doDelete = false;
				
			    listButton.setEnabled(true);
			    complementButton.setEnabled(false);
				doComplement = false;
				
			    contractButton.setEnabled(false);
				doContract = false;
				
			    relaxButton.setEnabled(false);
				doRelax = false;
				
			    addFreeButton.setEnabled(true);
				doAddFree = true;
				
				originalButton.setEnabled(true);
				
				}
				else {
					JOptionPane.showMessageDialog(null, "Please select rank-2 flats that are not already intersecting. ");
				}
   

      }// end of try block
       catch (Exception exxp) {
          //throw new InternalError(exxp.getMessage());
		   
           JOptionPane.showMessageDialog(null, "Could't Add point. Please try again.");
       }
				
				
				
				resetToCapture = false;
                repaint();
				
		}
		else {
			// do nothing
			JOptionPane.showMessageDialog(null, "Please select atleast one flat. ");
		}
			}
			}//end of doAdd
			else {
				JOptionPane.showMessageDialog(null, "Please, click RESET button and then ADD FREE button to add a point");
			}
        }
      };
     addButton.addActionListener(actionListenerA); 

	 
	 // bipartite button code
	 ActionListener actionListenerBG = new ActionListener() {
		public void actionPerformed(ActionEvent e) {
    
	      if(doBipartite) {
			if(isLinearSpace) {
			  try {
				  if(rankOfMatroid == 3) {
					  isBipartiteGraph = true;
						doOperation = true;
				  }
				  else {
					  JOptionPane.showMessageDialog(null, "Bipartite Graph is available only for rank 3 matroids");
					  isBipartiteGraph = false;
				  }
				  
				  toggleButton.setEnabled(false);
				  deleteLineButton.setEnabled(false);
				  doDelete = false;
				  listButton.setEnabled(true);
				  complementButton.setEnabled(false);
				  doComplement = false;
				  contractButton.setEnabled(false);
				  doContract = false;
				  relaxButton.setEnabled(false);
				  doRelax = false;
				  addButton.setEnabled(false);
				  doAdd = false;
				  addFreeButton.setEnabled(false);
				  doAddFree = false;
				  originalButton.setEnabled(true);
			  }// end of try block
			  catch (Exception exxp) {
				  //throw new InternalError(exxp.getMessage());
				  JOptionPane.showMessageDialog(null, "No Bipartite graph available. ");
			  }    
			}
			else if(!isLinearSpace) {
				try {
					if(rankOfMatroid == 3) {
						isBipartiteGraph = true;
						doOperation = true;
					}	
					else {
						JOptionPane.showMessageDialog(null, "Bipartite Graph is available only for rank 3 matroids");
						isBipartiteGraph = false;
					}
					toggleButton.setEnabled(false);
					deleteLineButton.setEnabled(false);
					doDelete = false;
					listButton.setEnabled(true);
					complementButton.setEnabled(false);
					doComplement = false;
					contractButton.setEnabled(false);
					doContract = false;
					relaxButton.setEnabled(false);
					doRelax = false;
					addButton.setEnabled(false);
					doAdd = false;
					addFreeButton.setEnabled(false);
					doAddFree = false;
					originalButton.setEnabled(true);
				}// end of try block
				catch (Exception exxp) {
					//throw new InternalError(exxp.getMessage());
					JOptionPane.showMessageDialog(null, "No Bipartite graph available. ");
				}    
			}
			else {
				JOptionPane.showMessageDialog(null, "No Bipartite graph available. ");
			}
			//resetToCapture = false;
			repaint();
		  }//end of doBipartite
		  else {
			  JOptionPane.showMessageDialog(null, "Please, click RESET button and then BIPARTITE button to view the bipartite graph. ");
		  }
		}
		};
        bipartiteButton.addActionListener(actionListenerBG); 

        // original button
	    ActionListener actionListener18 = new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				
				Object[] options = {"CAPTURE","RESET"};

				int response = JOptionPane.showOptionDialog(null, "What do you wish to perform?", "Choice", JOptionPane.YES_NO_OPTION,JOptionPane.QUESTION_MESSAGE,
                               null, options, options[0]); 


				if(response == JOptionPane.YES_OPTION && response != JOptionPane.CLOSED_OPTION
				   && elementsToDraw.length == sizeOfMatroid && !doOperation) {// if countElem = 0 implies that all the points are in intact
					// which is when allow capture feature.
					capture = true;
					capturePoints.removeAllElements();
					capturePoints = new Vector(indexPoints);
					
					captureStart = new Point[numOfCurves];
					captureOne = new Point[numOfCurves];
					captureTwo = new Point[numOfCurves];
					captureEnd = new Point[numOfCurves];
											
					captureStartpt = new Rectangle[numOfCurves];
					captureEndpt = new Rectangle[numOfCurves];
					captureCtrl1 = new Rectangle[numOfCurves];
					captureCtrl2 = new Rectangle[numOfCurves];

					captureStart = start;
					captureOne = one;
					captureTwo = two;
					captureEnd = end;
					captureStartpt = startpt;
					captureEndpt = endpt;
					captureCtrl1 = ctrl1;
					captureCtrl2 = ctrl2;
					
										
					
					
				}
				if(response == JOptionPane.YES_OPTION && response != JOptionPane.CLOSED_OPTION
				   && (elementsToDraw.length != sizeOfMatroid || doOperation == true)) {
                   JOptionPane.showMessageDialog(null, "Capture representation is allowed only if " +
													   "all the points and lines in the original representation exist");
					
				}
				else if(response == JOptionPane.NO_OPTION && response != JOptionPane.CLOSED_OPTION) {
					
					if(capture == true) {	
				       //System.out.println(" Hi i am in capture = true");
					   resetToCapture = true;
						doOperation = false;
					   resetGeom();
					   indexPoints.removeAllElements();	
					   initialPoints.removeAllElements();
					   movingInfinityPoints.removeAllElements();
					   
					   //System.out.println(" Hi 0");
					   
					   indexPoints = new Vector(capturePoints);
					   
					   //System.out.println(" Hi 1");
					   
					   
					   initialPoints = new Vector(capturePoints);
					   
					   //System.out.println(" Hi 2");
					
					   // moving points should be set to what is currently
					   // in the capture points, but wait until the moving points are updated
					   Enumeration emov = capturePoints.elements();
					   PointsInfo pointCheck;
					   while(emov.hasMoreElements()) {
						   pointCheck = (PointsInfo) emov.nextElement();
						   
					       Enumeration emov1 = movingPoints.elements();
					       PointsInfo pointCheck1;
						   int newX = 0;
						   int newY = 0;
						   Point pNew = new Point();
					       while(emov1.hasMoreElements()) {
					          pointCheck1 = (PointsInfo) emov1.nextElement();
		                      if(pointCheck1.index.equals(pointCheck.index)) {
								  newX = (int)pointCheck1.point.getX();
								  newY = (int)pointCheck1.point.getY();
								  pNew.setLocation(newX,newY);
								  pointCheck1.point.setLocation(pointCheck.point.getX(), pointCheck.point.getY());
								  
								  // go thru the infinity points and update them.
								  Enumeration emov2 = infinityPoints.elements();
								  Point pointCheck2;
								  while(emov2.hasMoreElements()) {
									pointCheck2 = (Point) emov2.nextElement();
									if(pointCheck2.equals(pNew)) {
										pointCheck2.setLocation(pointCheck.point.getX(), pointCheck.point.getY());
									}
								  }
			                  }	   
					       }
					   }
					   
					   
					   
					   //System.out.println(" Hi 3");
					   movingInfinityPoints = new Vector(infinityPoints);
					   
					   
					   //System.out.println(" Hi 5");
						
				
						// update the control points accordingly.
						start = captureStart;
						one = captureOne;
						two = captureTwo;
						end = captureEnd;
						startpt = captureStartpt;
						endpt = captureEndpt;
						ctrl1 = captureCtrl1;
						ctrl2 = captureCtrl2;   
				
					
				
				
				if(isLinearSpace) {
					deleteLineButton.setEnabled(true);
					complementButton.setEnabled(false);
					toggleButton.setEnabled(true);
					listButton.setEnabled(true);
					contractButton.setEnabled(true);
					relaxButton.setEnabled(true);
					addButton.setEnabled(true);
					addFreeButton.setEnabled(true);
					bipartiteButton.setEnabled(true);
					doAdd = true;
					doRelax = true;
					doContract = true;
					doComplement = false;
					doDelete = true;
					doAddFree = true;
					doBipartite = true;
					
					
				}
				else {
					deleteLineButton.setEnabled(true);
					complementButton.setEnabled(true);
					toggleButton.setEnabled(true);
					listButton.setEnabled(true);
					contractButton.setEnabled(true);
					relaxButton.setEnabled(true);
					addButton.setEnabled(true);
					addFreeButton.setEnabled(true);
					bipartiteButton.setEnabled(true);
					doBipartite = true;
					doDelete = true;
					doAddFree = true;		
					doAdd = true;
					doRelax = true;
					doContract = true;	
					doComplement = true;
					
					
				}
				repaint();
				
			 }// end of if capture == true
					
					else if(capture == false) {
						//System.out.println(" Hi i am in capture = false ");
						doOperation = false;
						resetGeom();      
				if(isLinearSpace) {
					deleteLineButton.setEnabled(true);
					complementButton.setEnabled(false);
					toggleButton.setEnabled(true);
					listButton.setEnabled(true);
					contractButton.setEnabled(true);
					relaxButton.setEnabled(true);
					addButton.setEnabled(true);
					addFreeButton.setEnabled(true);
					bipartiteButton.setEnabled(true);
					doAdd = true;
					doRelax = true;
					doContract = true;
					doComplement = false;
					doDelete = true;
					doAddFree = true;
					doBipartite = true;
					
					
				}
				else {
					deleteLineButton.setEnabled(true);
					complementButton.setEnabled(true);
					toggleButton.setEnabled(true);
					listButton.setEnabled(true);
					contractButton.setEnabled(true);
					relaxButton.setEnabled(true);
					addButton.setEnabled(true);
					addFreeButton.setEnabled(true);
					bipartiteButton.setEnabled(true);
					doBipartite = true;
					doDelete = true;
					doAddFree = true;		
					doAdd = true;
					doRelax = true;
					doContract = true;	
					doComplement = true;
					
					
				}
				resetToCapture = false;
					repaint();	
					}
				}// end of if for is NO_OPTION
			}
		};
		originalButton.addActionListener(actionListener18); 
	 
	    // delete button
	    ActionListener actionListenerDel = new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				if(doDelete) {
					if(isLinearSpace) {
						if((memberList.getSelectedIndexes()).length == 1) {
							try {
								isBipartiteGraph = false;
								doOperation = true;
								Vector ft;
								int count = 0;
								// det the flat selected
								manualIndex = memberList.getSelectedIndex();
								ft = (Vector) dFlats.elementAt(manualIndex);
								
								
								// if it is a loop then delete it.
								if(((Vector)(newMFlats.get(0))).contains(ft)){
									int sz = ft.size();
									ar = new int[sz];
									for(int ji = 0; ji < sz; ji++)
										ar[ji] = 0;
								
									
								   int len = 0;
								   for(int ji = 1; ji <= (sizeOfMatroid+countElem) && len < sz; ji++){
									 if(ft.contains(new Integer(ji))) {
										ar[len] = ji;
										len++;
									 }
								   }			
									
									for(int j = 0; j < ar.length && ar[j] != 0;j++) {
										count++;
										countElem++;
										elementsToDraw[ar[j]-1] = false;
									}
									
									sizeOfMatroid = sizeOfMatroid - count;
									Vector subVector = new Vector();
									boolean flag = false;
									for(int i=0;i<=rankAfterContract;i++) {
										subVector = (Vector)newMFlats.get(i);
										Enumeration fm = subVector.elements();
										while(fm.hasMoreElements()) 
										{
											Vector flat = (Vector)fm.nextElement();
											// remove the flat
											if(flat.equals(ft)){
												flat.removeAllElements();
											}
											// remove the elements in the flat to be
											// removed from all the flats in the list
											for(int ai = 0 ; ai < count ; ai++) { 
												if(flat.contains(new Integer(ar[ai]))){
													flat.removeElement(new Integer(ar[ai]));
												}
											}
										}
									}
								}
								else {	
									int sz = ft.size()-loops.size();
									ar = new int[sz];
									for(int ji = 0; ji < sz; ji++)
										ar[ji] = 0;
									
									int len = 0;
								   for(int ji = 1; ji <= (sizeOfMatroid+countElem) && len < sz; ji++){
									 if(ft.contains(new Integer(ji)) && 
										!loops.contains(new Integer(ji).toString())) {
										ar[len] = ji;
										len++;
									 }
								   }			
								   
									for(int j = 0; j < ar.length && ar[j] != 0;j++) {
										count++;
										countElem++;
										elementsToDraw[ar[j]-1] = false;
									}			
									sizeOfMatroid = sizeOfMatroid - count;
									Vector subVector = new Vector();
									boolean flag = false;
									
									// remove the elements in the flat to be
									// removed, from all the flats in the list
									// also remove the flat selected
									for(int i=1;i<=rankAfterContract;i++) {// doesn't delete loops
										subVector = (Vector)newMFlats.get(i);
										Enumeration fm = subVector.elements();
										while(fm.hasMoreElements()) 
										{
											Vector flat = (Vector)fm.nextElement();
											if(flat.equals(ft))
												flat.removeAllElements();
											for(int ai = 0 ; ai < count ; ai++) {
												if(flat.contains(new Integer(ar[ai]))){
													flat.removeElement(new Integer(ar[ai]));
												}
											}
										}
				
						
			 }
			 
				}
								
								
								
				Vector szc = new Vector();
                  for(int i=1;i<=rankAfterContract;i++) {
		      Vector temporary = new Vector();
			 szc = (Vector)newMFlats.get(i);
		     Enumeration fmz = szc.elements();
		     
		     while(fmz.hasMoreElements()) 
	         {
			 
		       Vector flat = (Vector)fmz.nextElement();
			  
			   
		       if(flat.size() != 0)
			      temporary.addElement(flat);
		 }
		     szc.retainAll(temporary);
		  }
				  
				  
								dFlats.removeAllElements();
								index = 0;
								memberList.removeAll();
								for(int i=0;i<=rankAfterContract;i++) {
								Vector subVector = (Vector)newMFlats.get(i);		
								Enumeration fm1 = subVector.elements();
								while(fm1.hasMoreElements()) 
								{
									Vector v= (Vector)fm1.nextElement();
									Vector temp = new Vector(v);
									String displayStr = (String)v.toString();
									if(v.size() != 0 && !dFlats.contains(temp)) {
										dFlats.add(index,temp);
										index++;
										memberList.add(displayStr);		  
									}
								}
								}
								
								
								
								movingInfinityPoints.removeAllElements();
								movingPoints.removeAllElements();
								setOfLines.removeAllElements();
								indexPoints.removeAllElements();
								initialPoints.removeAllElements();
								displayFlats.removeAllElements();
								infinityPoints.removeAllElements();
								loops.removeAllElements();
		       touchingElements.removeAllElements();
		       touchingEdges.removeAllElements();			
								//
								// run through outline of algorithm for drawing geometric representation for linear spaces
								//
								setOfLines = DoLinearSpaces(newMFlats, rankAfterContract, sizeOfMatroid, sizeOfLines, elementsToDraw, countElem, setOfLines, indexPoints, initialPoints, displayFlats, infinityPoints, movingInfinityPoints, movingPoints, loops, touchingElements, touchingEdges);	
								
								firstTime = new boolean[numOfCurves];
								colorChooser = new Color[numOfCurves];
								colorFlag = new boolean[numOfCurves];
								startFlag = new boolean[numOfCurves];
								ctrl1Flag = new boolean[numOfCurves];
								ctrl2Flag = new boolean[numOfCurves];
								endFlag = new boolean[numOfCurves];
								
								for(int i = 0; i<numOfCurves; i++){
									firstTime[i] = true;
									colorFlag[i] = true;
									startFlag[i] = false;
									endFlag[i] = false;
									ctrl1Flag[i] = false;
									ctrl2Flag[i] = false;
								}
								cubic = new CubicCurve2D.Double();
								start = new Point[numOfCurves];
								one = new Point[numOfCurves];
								two = new Point[numOfCurves];
								end = new Point[numOfCurves];
								newP = new Point();
								
								startpt = new Rectangle[numOfCurves];
								endpt = new Rectangle[numOfCurves];
								ctrl1 = new Rectangle[numOfCurves];
								ctrl2 = new Rectangle[numOfCurves];
								rect = new Rectangle();
								initstart = new Point[numOfCurves];
								initone = new Point[numOfCurves];
								inittwo = new Point[numOfCurves];
								initend = new Point[numOfCurves];
								initstartpt = new Rectangle[numOfCurves];
								initendpt = new Rectangle[numOfCurves];
								initctrl1 = new Rectangle[numOfCurves];
								initctrl2 = new Rectangle[numOfCurves];
								newR = new Rectangle();
								newSR = new Rectangle(0,0,5,5);
								newER = new Rectangle(0,0,5,5);
								newC1R = new Rectangle(0,0,5,5);
								newC2R = new Rectangle(0,0,5,5);
								
								complementButton.setEnabled(false);
								addButton.setEnabled(false);
								addFreeButton.setEnabled(false);
								bipartiteButton.setEnabled(false);
								contractButton.setEnabled(true);
								relaxButton.setEnabled(true);
								originalButton.setEnabled(true);
								listButton.setEnabled(true);
								toggleButton.setEnabled(true);      		 
								doComplement = false;
								doAdd = false;
								doAddFree = false;
								doBipartite = false;
								doContract = true;
								doRelax = true;
								
								// update the indexPoints to the points in the capture
				
								initialPoints.removeAllElements();
								movingInfinityPoints.removeAllElements();
					   
								//System.out.println(" Hi 0");
					   
								Enumeration emov0 = capturePoints.elements();
								PointsInfo pointCheck0;
								while(emov0.hasMoreElements()) {
									pointCheck0 = (PointsInfo) emov0.nextElement();
						   
									Enumeration emov10 = indexPoints.elements();
									PointsInfo pointCheck10;
									while(emov10.hasMoreElements()) {
										pointCheck10 = (PointsInfo) emov10.nextElement();
										if(pointCheck10.index.equals(pointCheck0.index)) {
											pointCheck10.point.setLocation(pointCheck0.point.getX(), pointCheck0.point.getY());
								  
										}	   
									}
								}
					   
								//System.out.println(" Hi 1");
					   
					   
								initialPoints = new Vector(indexPoints);
					   
								//System.out.println(" Hi 2");
					   
								Enumeration emov = capturePoints.elements();
								PointsInfo pointCheck;
								while(emov.hasMoreElements()) {
									pointCheck = (PointsInfo) emov.nextElement();
						   
									Enumeration emov1 = movingPoints.elements();
									PointsInfo pointCheck1;
									int newX = 0;
									int newY = 0;
									Point pNew = new Point();
									while(emov1.hasMoreElements()) {
										pointCheck1 = (PointsInfo) emov1.nextElement();
										if(pointCheck1.index.equals(pointCheck.index)) {
											newX = (int)pointCheck1.point.getX();
											newY = (int)pointCheck1.point.getY();
											pNew.setLocation(newX,newY);
											pointCheck1.point.setLocation(pointCheck.point.getX(), pointCheck.point.getY());
								  
											// go thru the infinity points and update them.
											Enumeration emov2 = infinityPoints.elements();
											Point pointCheck2;
											while(emov2.hasMoreElements()) {
												pointCheck2 = (Point) emov2.nextElement();
												if(pointCheck2.equals(pNew)) {
													pointCheck2.setLocation(pointCheck.point.getX(), pointCheck.point.getY());
												}
											}
										}	   
									}
								}
					   
					   //System.out.println(" Hi 3");
					   movingInfinityPoints = new Vector(infinityPoints);
					   
					   
					   //System.out.println(" Hi 5");
						
				
					   
					   
								
								
								
							}// end of try block
							catch (Exception exp) {
								//throw new InternalError(exp.getMessage());
								JOptionPane.showMessageDialog(null, "Couldn't Delete. Please try again.");
							}
							resetToCapture = false;
							repaint();
						}// if one selected
						else if((memberList.getSelectedIndexes()).length > 1){
							JOptionPane.showMessageDialog(null, "Please select only one flat.  Clicking on an item that is already selected deselects it. ");
						}	
						else if((memberList.getSelectedIndexes()).length == 0){
							JOptionPane.showMessageDialog(null, "Please select atleast one flat. ");
						}
					}// end of linear space
					else if(!isLinearSpace){
						if((memberList.getSelectedIndexes()).length == 1) {
							try {
								isBipartiteGraph = false;
								doOperation = true;
								Subset ft;
								int count = 0;
								// det the flat selected
								manualIndex = memberList.getSelectedIndex();
								ft = (Subset) dFlats.elementAt(manualIndex);
								
								// if it is a loop then delete it.
								if(((Vector)(newMFlats.get(0))).contains(ft)){
									int sz = ft.numElements();
									ar = new int[sz];
									for(int ji = 0; ji < sz; ji++)
										ar[ji] = 0;
									ar = mfc.getFlats(ft);
									for(int j = 0; j < ar.length && ar[j] != 0;j++) {
										count++;
										countElem++;
										elementsToDraw[ar[j]-1] = false;
									}
									
									sizeOfMatroid = sizeOfMatroid - count;
									Vector subVector = new Vector();
									boolean flag = false;
									for(int i=0;i<=rankAfterContract;i++) {
										subVector = (Vector)newMFlats.get(i);
										Enumeration fm = subVector.elements();
										while(fm.hasMoreElements()) 
										{
											Subset flat = (Subset)fm.nextElement();
											// remove the flat
											if(flat.subsetEquals(ft)){
												flat.clearAll();
											}
											// remove the elements in the flat to be
											// removed from all the flats in the list
											for(int ai = 0 ; ai < count ; ai++) { 
												if(mfc.contains(flat, ar[ai]-1)){
													flat.clear(ar[ai]-1);
												}
											}
										}
									}
								}
								else {	
									int sz = ft.numElements()-loops.size();
									ar = new int[sz];
									for(int ji = 0; ji < sz; ji++)
										ar[ji] = 0;
									ar = mfc.getFlatsNoLoops(ft, loops);
									for(int j = 0; j < ar.length && ar[j] != 0;j++) {
										count++;
										countElem++;
										elementsToDraw[ar[j]-1] = false;
									}			
									sizeOfMatroid = sizeOfMatroid - count;
									Vector subVector = new Vector();
									boolean flag = false;
									
									// remove the elements in the flat to be
									// removed, from all the flats in the list
									// also remove the flat selected
									for(int i=1;i<=rankAfterContract;i++) {// doesn't delete loops
										subVector = (Vector)newMFlats.get(i);
										Enumeration fm = subVector.elements();
										while(fm.hasMoreElements()) 
										{
											Subset flat = (Subset)fm.nextElement();
											if(flat.subsetEquals(ft))
												flat.clearAll();
											for(int ai = 0 ; ai < count ; ai++) {
												if(mfc.contains(flat, ar[ai]-1)){
													flat.clear(ar[ai]-1);
												}
											}
										}
				
						
			 }
			 
				}


				Vector szc = new Vector();
                  for(int i=1;i<=rankAfterContract;i++) {
		      Vector temporary = new Vector();
			 szc = (Vector)newMFlats.get(i);
		     Enumeration fmz = szc.elements();
		     
		     while(fmz.hasMoreElements()) 
	         {
			 
		       Subset flat = (Subset)fmz.nextElement();
			  
			   
		       if(flat.numElements() != 0)
			   temporary.addElement(flat);
		 }
		     szc.retainAll(temporary);
		  }





			
				Vector subVector = new Vector();
	     dFlats.removeAllElements();
			 index = 0;
		 memberList.removeAll();
		 for(int i=0;i<=rankAfterContract;i++) {
			 subVector = (Vector)newMFlats.get(i);
		     Enumeration fm = subVector.elements();
		     
		     while(fm.hasMoreElements()) 
	         {
			 
		       Subset flat = (Subset)fm.nextElement();
			   String displayStr = (String)flat.toString(true);
			 
			   if(flat.numElements() != 0 &&
					   !dFlats.contains(flat)){
		          dFlats.add(index,flat);
			      index++;
			      if(i == 0 || i == 1){
				    ind++;
				    indCount++;
			      }
		          memberList.add(displayStr);		  
			   }
			   
		   
	         }
		 }	
 
		    
		 movingInfinityPoints.removeAllElements();
			movingPoints.removeAllElements();
			
				
			setOfLines.removeAllElements();
			indexPoints.removeAllElements();
			initialPoints.removeAllElements();
			displayFlats.removeAllElements();
			loops.removeAllElements();
			touchingElements.removeAllElements();
			touchingEdges.removeAllElements();
		    infinityPoints.removeAllElements();
			
			
		 //
         // run through outline of algorithm for drawing geometric representation
         //
		    setOfLines = DoOutline(newMFlats, rankAfterContract, sizeOfMatroid, modulusOfMatroid, elementsToDraw, ar, countElem,setOfLines, indexPoints, initialPoints, displayFlats, loops, touchingElements, touchingEdges, vectorCols, infinityPoints,  movingInfinityPoints, movingPoints);

	


		  firstTime = new boolean[numOfCurves];
		  
		  colorChooser = new Color[numOfCurves];
		  
		  colorFlag = new boolean[numOfCurves];
		  
		  
		  
		  
		  startFlag = new boolean[numOfCurves];
          ctrl1Flag = new boolean[numOfCurves];
          ctrl2Flag = new boolean[numOfCurves];
          endFlag = new boolean[numOfCurves];
		  
		  
		  for(int i = 0; i<numOfCurves; i++){
			  firstTime[i] = true;
			  colorFlag[i] = true;
			  startFlag[i] = false;
			  endFlag[i] = false;
			  ctrl1Flag[i] = false;
			  ctrl2Flag[i] = false;
		  }
			  
         cubic = new CubicCurve2D.Double();
         start = new Point[numOfCurves];
         one = new Point[numOfCurves];
         two = new Point[numOfCurves];
         end = new Point[numOfCurves];
         newP = new Point();
		 
         startpt = new Rectangle[numOfCurves];
         endpt = new Rectangle[numOfCurves];
         ctrl1 = new Rectangle[numOfCurves];
         ctrl2 = new Rectangle[numOfCurves];
		 rect = new Rectangle();
		 
		 
		 initstart = new Point[numOfCurves];
         initone = new Point[numOfCurves];
         inittwo = new Point[numOfCurves];
         initend = new Point[numOfCurves];
         		 
         initstartpt = new Rectangle[numOfCurves];
         initendpt = new Rectangle[numOfCurves];
         initctrl1 = new Rectangle[numOfCurves];
         initctrl2 = new Rectangle[numOfCurves];
		  
		 
		 newR = new Rectangle();
         newSR = new Rectangle(0,0,5,5);
         newER = new Rectangle(0,0,5,5);
         newC1R = new Rectangle(0,0,5,5);
         newC2R = new Rectangle(0,0,5,5);
		 
		 
		 complementButton.setEnabled(false);
		 addButton.setEnabled(false);
		 addFreeButton.setEnabled(false);
	              				bipartiteButton.setEnabled(false);
						doBipartite = false;	 
		 
		 doComplement = false;
		 doAdd = false;
		 doAddFree = false;
		 
		 // update the indexPoints to the points in the capture
				
								initialPoints.removeAllElements();
								movingInfinityPoints.removeAllElements();
					   
								//System.out.println(" Hi 0");
					   
								Enumeration emov0 = capturePoints.elements();
								PointsInfo pointCheck0;
								while(emov0.hasMoreElements()) {
									pointCheck0 = (PointsInfo) emov0.nextElement();
						   
									Enumeration emov10 = indexPoints.elements();
									PointsInfo pointCheck10;
									while(emov10.hasMoreElements()) {
										pointCheck10 = (PointsInfo) emov10.nextElement();
										if(pointCheck10.index.equals(pointCheck0.index)) {
											pointCheck10.point.setLocation(pointCheck0.point.getX(), pointCheck0.point.getY());
								  
										}	   
									}
								}
					   
								//System.out.println(" Hi 1");
					   
					   
								initialPoints = new Vector(indexPoints);
					   
								//System.out.println(" Hi 2");
					   
								Enumeration emov = capturePoints.elements();
								PointsInfo pointCheck;
								while(emov.hasMoreElements()) {
									pointCheck = (PointsInfo) emov.nextElement();
						   
									Enumeration emov1 = movingPoints.elements();
									PointsInfo pointCheck1;
									int newX = 0;
									int newY = 0;
									Point pNew = new Point();
									while(emov1.hasMoreElements()) {
										pointCheck1 = (PointsInfo) emov1.nextElement();
										if(pointCheck1.index.equals(pointCheck.index)) {
											newX = (int)pointCheck1.point.getX();
											newY = (int)pointCheck1.point.getY();
											pNew.setLocation(newX,newY);
											pointCheck1.point.setLocation(pointCheck.point.getX(), pointCheck.point.getY());
								  
											// go thru the infinity points and update them.
											Enumeration emov2 = infinityPoints.elements();
											Point pointCheck2;
											while(emov2.hasMoreElements()) {
												pointCheck2 = (Point) emov2.nextElement();
												if(pointCheck2.equals(pNew)) {
													pointCheck2.setLocation(pointCheck.point.getX(), pointCheck.point.getY());
												}
											}
										}	   
									}
								}
					   
					   //System.out.println(" Hi 3");
					   movingInfinityPoints = new Vector(infinityPoints);
					   
					   
					   //System.out.println(" Hi 5");
						
				
		 
		 }// end of try block
         catch (Exception exp) {
          //throw new InternalError(exp.getMessage());
			 JOptionPane.showMessageDialog(null, "Couldn't Delete. Please try again.");
       }

		 resetToCapture = false;
		 repaint();
		 
		}
		else if((memberList.getSelectedIndexes()).length > 1){
             JOptionPane.showMessageDialog(null, "Please select only one flat.  Clicking on an item that is already selected deselects it. ");			
		}	
		else if((memberList.getSelectedIndexes()).length == 0){
			    JOptionPane.showMessageDialog(null, "Please select atleast one flat. ");			
		}
		}// end of if !isLinearSpace
			}//end of dodelete
			else {
	           JOptionPane.showMessageDialog(null, "Please, click RESET button and then DELETE button to delete a point/line");
			}
         }
       };
       deleteLineButton.addActionListener(actionListenerDel); 
	 
	   
	   
	   
	   
       /*********************************************************** ****  
	   CONTRACT BUTTON CODE
	   *********************************************************** ****/
	    
	   
	   
	   //contract button
	   ActionListener actionListenerCont = new ActionListener() {
	    public void actionPerformed(ActionEvent e) {

			if(doContract) {
			if(!isLinearSpace) {
		if((memberList.getSelectedIndexes()).length == 1) {
			try {
				isBipartiteGraph = false;
				doOperation = true;
		        Subset ft;
		        int count = 0;
				boolean doNothing = false;
				// det the flat selected
				manualIndex = memberList.getSelectedIndex();
				ft = (Subset) dFlats.elementAt(manualIndex);

				int sz = ft.numElements();
				ar = new int[sz];

				
				for(int ji = 0; ji < sz; ji++)
					ar[ji] = 0;
				
	            boolean isLoop = false;
				boolean isParallel = false;
				
				ar = mfc.getFlats(ft);
				
				
				if(sz == 1) {
					// check if it is a loop
				  if(loops.contains(new Integer(ar[0]).toString())){
						isLoop = true;
				  }
                  else {
						isLoop = false;
				  }
                  
				  
				  // check if it is a parallel element
				   Enumeration te = touchingEdges.elements();
				   while(te.hasMoreElements() && !isParallel && !isLoop){
					   Vector tem = (Vector)te.nextElement();

					   Enumeration tem1 = tem.elements();
					   while(tem1.hasMoreElements()) {
					      if(tem1.nextElement().toString().equals(new Integer(ar[0]).toString()))
						     isParallel = true;
					   }
				   }
				   
				   if(ar[0] == 0)
					   doNothing = true;
				}
				
				else if(sz > 1) {
					

					String element = " ";
				     boolean flag = true;
				     int temp = 0;
				     while(flag && element != null) {
				      element = JOptionPane.showInputDialog(" Enter an element from the flat selected ");
				      
				      for(int j = 0; j < ar.length && ar[j] != 0;j++) { 
						if(new Integer(ar[j]).toString().equals(element)){
							temp = ar[0];
							ar[0] = ar[j];
							ar[j] = temp;
							flag = false;
							break;
						}
						else flag = true;
					  } 
				     }
					 
					// check if it is a loop
				  if(loops.contains(new Integer(ar[0]).toString())){
						isLoop = true;
				  }
                  else {
						isLoop = false;
				  }
                  
				  
				  // check if it is a parallel element
				   Enumeration te = touchingEdges.elements();
				   while(te.hasMoreElements() && !isParallel && !isLoop){
					   Vector tem = (Vector)te.nextElement();

					   Enumeration tem1 = tem.elements();
					   while(tem1.hasMoreElements()) {
					      if(tem1.nextElement().toString().equals(new Integer(ar[0]).toString()))
						     isParallel = true;
					   }
				   }
				   
				   if(element == null){
					doNothing = true;
				   }
				   
				}
								
				
				
				if(doNothing) {
				   // do nothing
			    }						
		        				
			   // if element is a loop then M/e = M\e
				else if(isLoop) {
			      count++;
				  countElem++;
				  elementsToDraw[ar[0]-1] = false;
				  sizeOfMatroid = sizeOfMatroid - count;
				  
			      Vector subVector = new Vector();
				  boolean flag = false;
 		          for(int i=0;i<=rankAfterContract;i++) {
			         subVector = (Vector)newMFlats.get(i);
		             Enumeration fm = subVector.elements();
 			
         		     while(fm.hasMoreElements()) 
	                 {
			 
		                Subset flat = (Subset)fm.nextElement();
				
                  
					       if(mfc.contains(flat, ar[0]-1)){

						      flat.clear(ar[0]-1);
                           }
				  
			     	}
    			  }
			 
			 

			  Vector szc = new Vector();
                  for(int i=1;i<=rankAfterContract;i++) {
		      Vector temporary = new Vector();
			 szc = (Vector)newMFlats.get(i);
		     Enumeration fmz = szc.elements();

		     while(fmz.hasMoreElements()) 
	         {
			 
		       Subset flat = (Subset)fmz.nextElement();
			  
			   
		       if(flat.numElements() != 0)
			   temporary.addElement(flat);
		 }
		     szc.retainAll(temporary);
		  }
			
 
	              dFlats.removeAllElements();
	 		      index = 0;
		          memberList.removeAll();
		          for(int i=0;i<=rankAfterContract;i++) {
			         subVector = (Vector)newMFlats.get(i);
		             Enumeration fm = subVector.elements();
		             while(fm.hasMoreElements()) 
	                 {
			            Subset flat = (Subset)fm.nextElement();
			            String displayStr = (String)flat.toString(true);
			            if(flat.numElements() != 0 
						   &&  !dFlats.contains(flat)){
		                   dFlats.add(index,flat);
			               index++;
 			               if(i == 0 || i == 1){
           				    ind++;
			        	    indCount++;
			               }
		                   memberList.add(displayStr);		  
			            }
			   
		   
	                }
		          }	
            movingInfinityPoints.removeAllElements();
			movingPoints.removeAllElements();
			
				
			      setOfLines.removeAllElements();
			      indexPoints.removeAllElements();
			      initialPoints.removeAllElements();
			      displayFlats.removeAllElements();
			      loops.removeAllElements();
			      touchingElements.removeAllElements();
			      touchingEdges.removeAllElements();
		          infinityPoints.removeAllElements();
			
			
		         //
                 // run through outline of algorithm for drawing geometric representation
                 //
			  setOfLines = DoOutline(newMFlats, rankAfterContract, sizeOfMatroid, modulusOfMatroid, elementsToDraw, ar, countElem,setOfLines, indexPoints, initialPoints, displayFlats, loops, touchingElements, touchingEdges, vectorCols, infinityPoints,  movingInfinityPoints, movingPoints);

            
		        firstTime = new boolean[numOfCurves];
		  
		        colorChooser = new Color[numOfCurves];
  		  
                colorFlag = new boolean[numOfCurves];
		  
		  
		  
		  
		        startFlag = new boolean[numOfCurves];
                ctrl1Flag = new boolean[numOfCurves];
                ctrl2Flag = new boolean[numOfCurves];
                endFlag = new boolean[numOfCurves];
		  
		  
                for(int i = 0; i<numOfCurves; i++){
			        firstTime[i] = true;
			        colorFlag[i] = true;
			        startFlag[i] = false;
			        endFlag[i] = false;
			        ctrl1Flag[i] = false;
			        ctrl2Flag[i] = false;
		        }
			  
                cubic = new CubicCurve2D.Double();
                start = new Point[numOfCurves];
                one = new Point[numOfCurves];
                two = new Point[numOfCurves];
                end = new Point[numOfCurves];
                newP = new Point();
		 
                startpt = new Rectangle[numOfCurves];
                endpt = new Rectangle[numOfCurves];
                ctrl1 = new Rectangle[numOfCurves];
                ctrl2 = new Rectangle[numOfCurves];
		        rect = new Rectangle();
		 
		 
		        initstart = new Point[numOfCurves];
                initone = new Point[numOfCurves];
                inittwo = new Point[numOfCurves];
                initend = new Point[numOfCurves];
         		 
                initstartpt = new Rectangle[numOfCurves];
                initendpt = new Rectangle[numOfCurves];
                initctrl1 = new Rectangle[numOfCurves];
                initctrl2 = new Rectangle[numOfCurves];
		  
		 
		        newR = new Rectangle();
                newSR = new Rectangle(0,0,5,5);
                newER = new Rectangle(0,0,5,5);
                newC1R = new Rectangle(0,0,5,5);
                newC2R = new Rectangle(0,0,5,5);
		 
				complementButton.setEnabled(false);
		 addButton.setEnabled(false);
		 addFreeButton.setEnabled(false);
		 doComplement = false;
		 doAdd = false;
		 doAddFree = false;
		          				bipartiteButton.setEnabled(false);
						doBipartite = false;
		 
			   }// end of if(isLoop)
			   
			   
			   // if element is in a parallel class P then every other 
			   // element in P becomes a loop of M/e.
				else if(isParallel) {
				
			
				    count++;
				    countElem++;
				    elementsToDraw[ar[0]-1] = false;
				    sizeOfMatroid = sizeOfMatroid - count;				        
				    Vector newLoops = new Vector();
				    int arSize = 0;
				    
				    // collect all the elements in the parallel class
				    Vector subVector = new Vector();				   
				    subVector = (Vector)newMFlats.get(1);
				    Enumeration enum1 = subVector.elements();
				    while(enum1.hasMoreElements())
					{
					    Subset flat13 = (Subset)enum1.nextElement();		   
					    if(mfc.contains(flat13, ar[0]-1)){
						flat13.clear(ar[0]-1); // this flat could contain loops
						arSize = flat13.numElements()- loops.size();
			
						arrayx = new int[arSize];
						arrayx = mfc.getFlatsNoLoops(flat13, loops);	
						((Vector)newMFlats.get(1)).removeElement(flat13);
						break;
						
					    }
					}
				    
				    
				    Vector flat0 = new Vector((Vector)newMFlats.get(0));
				    
				    
				    
				    
				    // add the parallel elements as loops
				    
				    int size0 = ((Subset)(((Vector)newMFlats.get(0)).elementAt(0))).getSize();
				    for(int k = 0; k< arSize && arrayx[k] != 0; k++){
					Subset f1 = new Subset(size0,arrayx[k]-1);
					newLoops.addElement(new Integer(arrayx[k]).toString());
					Vector fl = (Vector)newMFlats.get(0);
					Enumeration enum = fl.elements();
					while(enum.hasMoreElements()) {
					    Subset f0 = (Subset)enum.nextElement();
					    f0.or(f1);
					}
				    }
				    
				    
			
				    int newSize = 0;
				    // add these parallel eleemnts to all flats
				    for(int j=1;j<=rankAfterContract;j++) {
			                subVector = (Vector)newMFlats.get(j);
					Enumeration fm1 = subVector.elements();
					while(fm1.hasMoreElements()) 
					    {
						Subset flat = (Subset)fm1.nextElement();
			
						newSize = flat.getSize();
						// donot delete the element e as yet.
						for(int ai1 = 0 ; ai1 < arSize && arrayx[ai1]  != 0; ai1++) {
						    
						    Subset f13 = new Subset(newSize,arrayx[ai1]-1);
						    
						    flat.or(f13);
						    
						}
			
						
					    }
				    }
				    
				    
				    
				    // do similar to if it were not a loop and not a parallel element:
				    boolean isHyperplane = false;

				    // pick a ahyperplane H not containing e
				    int rank2Size = 0;
				    
				    Subset flat13 = new Subset();
				    
				    subVector = new Vector();				   
				    subVector = (Vector)newMFlats.get(rankAfterContract-1);
				    Enumeration enum11 = subVector.elements();
				    while(enum11.hasMoreElements())
					{
					    flat13 = (Subset)enum11.nextElement();		   

					    rank2Size = flat13.numElements()-loops.size();

						
					    int array[] = new int[rank2Size];
					    array = mfc.getFlatsNoLoops(flat13, loops);
					    
					    if(flat13.numElements() != 0 && !(mfc.contains(flat13, ar[0]-1))){

						isHyperplane = true;
						break;
					    }
					    
					}				 
				    
				    
				    
				    

				    Subset hyperplane = new Subset(flat13);
				    int existingElements[] = new int[sizeOfMatroid - hyperplane.numElements()];
				    boolean intersect = false;
				    int g = 0;

				    // if such a hyperplane exists:
				    if(isHyperplane) {
					
					// collect all the elements from the ground set
					// and not in the hyperplane and e.
					int incr = 0;
					for(int element = 1; element <= (sizeOfMatroid+countElem); element++) {
					    if(!(mfc.contains(hyperplane, element-1)) && element != (ar[0])
					       && elementsToDraw[element-1] == true && !touchingElements.contains(new Integer(element).toString())
					       && !loops.contains(new Integer(element).toString())
						   && !newLoops.contains(new Integer(element).toString())){
						existingElements[incr] = element;

						incr++;
						
					    }
					    
					}
					
					
					

					for(int x = 0; x < existingElements.length; x++) {
					    
					    if(existingElements[x] != 0) {
						// find if there is a intersection btn line and hyperplane
						subVector = (Vector)newMFlats.get(2);
					        Enumeration enum12 = subVector.elements();
						while(enum12.hasMoreElements())
						    {
							intersect = false;

							Subset line = (Subset)enum12.nextElement();

							//check to see if this flat is a 3-element circuit
							rank2Size = line.numElements()-loops.size();


							// the line selected here will not be the hyperplane
							// because hyperplane does not contain element e --> ar[0].
							if(mfc.contains(line, ar[0]-1) && mfc.contains(line, existingElements[x]-1)){
							    

							    //if line intersects the hyperplane at point g:
							    int arrayCheck[] = new int[line.numElements()];
							    arrayCheck = mfc.getFlatsNoLoops(line, loops);
							    

							    for(int ch = 0; ch < arrayCheck.length; ch++) 
								{
								    if(arrayCheck[ch] != ar[0] && arrayCheck[ch] != 0 
								       && mfc.contains(hyperplane, arrayCheck[ch]-1)
									   && !newLoops.contains(new Integer(arrayCheck[ch]).toString()))
									{
									    intersect = true;
									    g = arrayCheck[ch];
									    break;
									    
									}
								}
							    // if the line intersects the hyperplane
							    // then all the points of line - e is dropped
							    // onto g.
							    if(intersect){

									
									int size = 0;	   
								
								line.clearAll();
								
								// add the elements to every line containing g
								for(int i=1;i<rankAfterContract;i++) {
								    subVector = (Vector)newMFlats.get(i);
								    Enumeration fm = subVector.elements();
								    while(fm.hasMoreElements()) 
									{
									    
									    Subset flat = (Subset)fm.nextElement();
									    
									    
									    // delete the line elements from all other flats
									    for(int gl = 0; gl < arrayCheck.length  
										    && arrayCheck[gl] != 0; gl++) {
										//if existing elements contain these elements
										// we need to delete from existingElements too.
										for(int zx = 0; zx < existingElements.length; zx++) {
										    if(existingElements[zx] != g 
										       && existingElements[zx] == arrayCheck[gl])
											existingElements[zx] = 0;
										    
										    
										}
										
										
										if(mfc.contains(flat, arrayCheck[gl]-1) 
										   && arrayCheck[gl] != ar[0]
										   && arrayCheck[gl] != g && arrayCheck[gl] != 0
										   && !newLoops.contains(new Integer(arrayCheck[gl]).toString())){
										    //donot delete the flat, because it
										    // misses the flat next to this flat for 
										    // checking
								
										    flat.clear(arrayCheck[gl]-1);
										}
									    }
									    
									    
									    
									    
									    if(mfc.contains(flat, g-1)){
										
										size = flat.getSize();
								
										for(int k = 0; k< arrayCheck.length; k++){
										    
										    if(arrayCheck[k] != ar[0] 
										       && arrayCheck[k] != 0 ){
								
											Subset f21 = new Subset(size,arrayCheck[k]-1);
								
											flat.or(f21);
								
										    }
										}
								
										
										
									    }
									    
									    
									    
								
									    
									}
								}
								
								
								
								
								
								
								
							    }
							    if(!intersect) {
								// add a new point(existingElements.elementAt(x)), say f on the hyperplane repr
								// all points in line - e.
								
									   
								
								line.clearAll();
								
								// clear the element e  and f from all the flats
								for(int i=1;i<rankAfterContract;i++) {
								    subVector = (Vector)newMFlats.get(i);
								    Enumeration fm = subVector.elements();
								    while(fm.hasMoreElements()) 
									{
									    
									    Subset flat1 = (Subset)fm.nextElement();
									    
								
									    
									    for(int gl = 0; gl < arrayCheck.length  
										    && arrayCheck[gl] != 0; gl++) {
										
										//if existing elements contain these elements
										// we need to delete from existingElements too.
										for(int zx = 0; zx < existingElements.length; zx++) {
										    if(existingElements[zx] != g 
										       && existingElements[zx] == arrayCheck[gl])
											existingElements[zx] = 0;
													   
										    
										}
										if(mfc.contains(flat1, arrayCheck[gl]-1) 
										   && arrayCheck[gl] != ar[0]
										   && arrayCheck[gl] != 0
										   && !newLoops.contains(new Integer(arrayCheck[gl]).toString())){
										    
										    
										    flat1.clear(arrayCheck[gl]-1);
										}
									    }
									}
								}
								
								int size = ((Subset)(((Vector)newMFlats.get(1)).elementAt(0))).getSize();
								Subset flat = new Subset(size);
								for(int k = 0; k< arrayCheck.length  && arrayCheck[k] != 0; k++){
								    
								    
								    if(arrayCheck[k] != ar[0] && arrayCheck[k] != 0 ){
						                        Subset f21 = new Subset(size,arrayCheck[k]-1);
									flat.or(f21);
								    }
								} 
								
								// add the loop elements to this newly created flat
								Enumeration eloop = loops.elements();
								Subset fl = new Subset(size);
								while(eloop.hasMoreElements()) {
								    String str = (String)eloop.nextElement();
								   	Subset fl1 = new Subset(size,Integer.parseInt(str)-1);
									fl.or(fl1);
								}
								flat.or(fl);	
								
								Enumeration eloop1 = newLoops.elements();
								Subset fl1 = new Subset(size);
								while(eloop1.hasMoreElements()) {
								    String str = (String)eloop1.nextElement();
								   	Subset fl2 = new Subset(size,Integer.parseInt(str)-1);
									fl1.or(fl2);
								}
								flat.or(fl1);	
								
								((Vector)newMFlats.get(1)).addElement(flat);
								hyperplane.or(flat);
								
								
								
							    }
							    // break out of the while loop since
							    // there can be only one line containing both
							    // e and f and that line is processed now within this if loop
								   break;
							}// if for checking th eintersection
							
						    }// end of while
					    }
					    
					}// end of for for existing elements 
					
					// delete flats containing e.
					newSize = 0;
					for(int j=0;j<=rankAfterContract;j++) {
					    subVector = (Vector)newMFlats.get(j);
					    Enumeration fm = subVector.elements();
					    while(fm.hasMoreElements()) 
						{
						    Subset flat = (Subset)fm.nextElement();
						    newSize = flat.getSize();
						    if(mfc.contains(flat, ar[0]-1)){
							flat.clear(ar[0]-1);
						    }
							   
						    
						}
					}
					
					
					   
					   
						 
					    }// end of if(isHyperplane)
					 
					 else {
	                    // do something when there is no hyperplane 					 
						 // not containing e.(like for rank 2 matroids).
					     // System.out.println(" No hyperplane");
						 
						 Vector subVector1 = new Vector();
				        
 		                 for(int i=2;i<=rankAfterContract;i++) {
			                 subVector1 = (Vector)newMFlats.get(i);
		                     Enumeration fm = subVector1.elements();
 			
                		     while(fm.hasMoreElements()) 
	                          {
			 
		                        Subset flat = (Subset)fm.nextElement();
				
					
					             if(mfc.contains(flat, ar[0]-1)){
						      
						           flat.clear(ar[0]-1);
					
                                 }
						      }
				  
        			     	}
    	
					 }
					 
		        			   
				 // contracting an element reduces the rank of the matroid by 1.
					 // hence we need to add rank-3 flat as rank-2 flat so that
					 // if it is a line it is drawn in the representation
					 if(rankAfterContract > 2){
					 Subset rankFlat = new Subset(((Subset)(((Vector)newMFlats.get(rankAfterContract)).elementAt(0))));
					 ((Vector)newMFlats.get(rankAfterContract-1)).removeAllElements();
					 ((Vector)newMFlats.get(rankAfterContract-1)).addElement(rankFlat);
					 ((Vector)newMFlats.get(rankAfterContract)).removeAllElements();
					 }
					 rankAfterContract--;
					 
	    			 
					
					




				 Vector szc = new Vector();
                  for(int i=1;i<=rankAfterContract;i++) {
		      Vector temporary = new Vector();
			 szc = (Vector)newMFlats.get(i);
		     Enumeration fmz = szc.elements();
                    
		     while(fmz.hasMoreElements()) 
	         {
			 
		       Subset flat = (Subset)fmz.nextElement();
			  
		       //			   
		       if(flat.numElements() != 0)
			   temporary.addElement(flat);
		 }
		     szc.retainAll(temporary);
		  }
					 
        			   index = 0;
					   dFlats.removeAllElements();
		              memberList.removeAll();
		              for(int i=0;i<=rankAfterContract;i++) {
			            subVector = (Vector)newMFlats.get(i);
		                Enumeration fm = subVector.elements();
						Vector tempVector = new Vector();
					
		                while(fm.hasMoreElements()) 
	                    {
			              Subset flat = (Subset)fm.nextElement();
		
			              String displayStr = (String)flat.toString(true);
		
			              if(flat.numElements() != 0  &&
					           !dFlats.contains(flat)){
		                    dFlats.add(index,flat);
			                index++;
 			               if(i == 0 || i == 1){
           				    ind++;
			        	    indCount++;
			               }
		                   memberList.add(displayStr);		  
			             }
			   
		   
	                   }
						
		
		             }	
			movingInfinityPoints.removeAllElements();
			movingPoints.removeAllElements();
				
			         setOfLines.removeAllElements();
     			      indexPoints.removeAllElements();
	    		      initialPoints.removeAllElements();
		    	      displayFlats.removeAllElements();
			          loops.removeAllElements();
			          touchingElements.removeAllElements();
    			      touchingEdges.removeAllElements();
	    	          infinityPoints.removeAllElements();
			
			
		         //
                 // run through outline of algorithm for drawing geometric representation
                 //
			  setOfLines = DoOutline(newMFlats, rankAfterContract, sizeOfMatroid, modulusOfMatroid, elementsToDraw, ar, countElem,setOfLines, indexPoints, initialPoints, displayFlats, loops, touchingElements, touchingEdges, vectorCols, infinityPoints, movingInfinityPoints, movingPoints);

	
            
		            firstTime = new boolean[numOfCurves];
		  
    		        colorChooser = new Color[numOfCurves];
  		  
                   colorFlag = new boolean[numOfCurves];
		  
		  
		  
		  
		           startFlag = new boolean[numOfCurves];
                   ctrl1Flag = new boolean[numOfCurves];
                   ctrl2Flag = new boolean[numOfCurves];
                   endFlag = new boolean[numOfCurves];
		  
		  
                   for(int i = 0; i<numOfCurves; i++){
	   		        firstTime[i] = true;
		   	        colorFlag[i] = true;
			        startFlag[i] = false;
			        endFlag[i] = false;
			        ctrl1Flag[i] = false;
			        ctrl2Flag[i] = false;
		          }
			  
                    cubic = new CubicCurve2D.Double();
                    start = new Point[numOfCurves];
                   one = new Point[numOfCurves];
                   two = new Point[numOfCurves];
                   end = new Point[numOfCurves];
                   newP = new Point();
		 
                   startpt = new Rectangle[numOfCurves];
                   endpt = new Rectangle[numOfCurves];
                   ctrl1 = new Rectangle[numOfCurves];
                   ctrl2 = new Rectangle[numOfCurves];
	    	        rect = new Rectangle();
		  
		 
		           initstart = new Point[numOfCurves];
                   initone = new Point[numOfCurves];
                   inittwo = new Point[numOfCurves];
                   initend = new Point[numOfCurves];
         		 
                   initstartpt = new Rectangle[numOfCurves];
                   initendpt = new Rectangle[numOfCurves];
                   initctrl1 = new Rectangle[numOfCurves];
                   initctrl2 = new Rectangle[numOfCurves];
		  
		 
		           newR = new Rectangle();
                   newSR = new Rectangle(0,0,5,5);
                   newER = new Rectangle(0,0,5,5);
                   newC1R = new Rectangle(0,0,5,5);
                   newC2R = new Rectangle(0,0,5,5);
				
				            				bipartiteButton.setEnabled(false);
						doBipartite = false;
				   complementButton.setEnabled(false);
		 addButton.setEnabled(false);
		 addFreeButton.setEnabled(false);
		 doComplement = false;
		 doAdd = false;
		 doAddFree = false;
		 
		    	 }// end of if(isParallel)
				
				   // if the element is not a parallel element or
			   // a loop then use thesteps described in page 119, Oxley's book
	    else if(!isParallel && !isLoop){
					 
		
					 count++;
				  countElem++;
				  elementsToDraw[ar[0]-1] = false;
				  sizeOfMatroid = sizeOfMatroid - count;
					 
					 
					 
					 			 boolean isHyperplane = false;
					 
					 
					 // pick a ahyperplane H not containing e
		             int rank2Size = 0;
					 
					 Subset flat13 = new Subset();
					 
					 Vector subVector = new Vector();				   
				     subVector = (Vector)newMFlats.get(rankAfterContract-1);
		             Enumeration enum1 = subVector.elements();
	                 while(enum1.hasMoreElements())
	                 {
                        flat13 = (Subset)enum1.nextElement();		   
		
						rank2Size = flat13.numElements()-loops.size();
		
		                int array[] = new int[rank2Size];
						array = mfc.getFlatsNoLoops(flat13, loops);
		                
					    if(flat13.numElements() != 0 && !(mfc.contains(flat13, ar[0]-1))){
					       isHyperplane = true;
						   break;
						}
						
					 }				 
					 
					 
					   
		             
					 
					 // if such a hyperplane exists:
					 if(isHyperplane) {
					
						 
						 
		
					 Subset hyperplane = new Subset(flat13);
					 int existingElements[] = new int[sizeOfMatroid - hyperplane.numElements()];
					 boolean intersect = false;
					 int g = 0;
					 
		
					 
						 // collect all the elements from the ground set
						 // and not in the hyperplane and e.
						 int incr = 0;
						 for(int element = 1; element <= (sizeOfMatroid+countElem); element++) {
							 if(!(mfc.contains(hyperplane, element-1)) && element != (ar[0])
								&& elementsToDraw[element-1] == true && !touchingElements.contains(new Integer(element).toString())
								&& !loops.contains(new Integer(element).toString())){
								 existingElements[incr] = element;
		
								 incr++;
								 
							 }
							 
						 }
						 
						 
						 
		
						 for(int x = 0; x < existingElements.length; x++) {
						  if(existingElements[x] != 0) {
						// find if there is a intersection btn line and hyperplane
		
							 // find if there is a intersection btn line and hyperplane
						 	subVector = (Vector)newMFlats.get(2);
					        Enumeration enum12 = subVector.elements();
	                        while(enum12.hasMoreElements())
	                        {
								intersect = false;
		
                               Subset line = (Subset)enum12.nextElement();
		
						
							   rank2Size = line.numElements()-loops.size();
							   // the line selected here will not be the hyperplane
							   // because hyperplane does not contain element e --> ar[0].
							   if(mfc.contains(line, ar[0]-1) && mfc.contains(line, existingElements[x]-1)){
								   
		
								   //if line intersects the hyperplane at point g:
								   int arrayCheck[] = new int[line.numElements()];
		                           arrayCheck = mfc.getFlatsNoLoops(line, loops);
		  
		
                                   for(int ch = 0; ch < arrayCheck.length; ch++) 
	                               {
		
          	                           if(arrayCheck[ch] != ar[0] && arrayCheck[ch] != 0 && mfc.contains(hyperplane, arrayCheck[ch]-1) )
	                                   {
				                          intersect = true;
										  
										  g = arrayCheck[ch];
										  break;
  		
                                       }
			                       }
								   // if the line intersects the hyperplane
								   // then all the points of line - e is dropped
								   // onto g.
			                       if(intersect){
									   
		
								       int size = 0;	   
		
									   line.clearAll();
		
									   // add the elements to every line containing g
									   for(int i=1;i<rankAfterContract;i++) {
			                                subVector = (Vector)newMFlats.get(i);
		                                    Enumeration fm = subVector.elements();
		                                    while(fm.hasMoreElements()) 
	                                        {
 			 
                                		       Subset flat = (Subset)fm.nextElement();
		
											   
											   
											   // delete the line elements from all other flats
											   for(int gl = 0; gl < arrayCheck.length && arrayCheck[gl] != 0; gl++) {
		
												   
												   //if existing elements contain these elements
												   // we need to delete from existingElements too.
												   for(int zx = 0; zx < existingElements.length; zx++) {
													   if(existingElements[zx] != g && existingElements[zx] == arrayCheck[gl])
														   existingElements[zx] = 0;
													   
													   
												   }
												   
												   
											     if(mfc.contains(flat, arrayCheck[gl]-1) && arrayCheck[gl] != ar[0]
													&& arrayCheck[gl] != g && arrayCheck[gl] != 0){
												   //donot delete the flat, because it
												   // misses the flat next to this flat for 
												   // checking
		
												  flat.clear(arrayCheck[gl]-1);
		
											     }
											   }
											   
																	   
											   
		
											   if(mfc.contains(flat, g-1)){
												
										           size = flat.getSize();
		
										           for(int k = 0; k< arrayCheck.length  && arrayCheck[k] != 0; k++){
										
										              if(arrayCheck[k] != ar[0] && arrayCheck[k] != 0 ){
												  
						                                Subset f1 = new Subset(size,arrayCheck[k]-1);
												
							                            flat.or(f1);
												
										              }
							                       }
												
												   
												   
											   }
											   
										       
											   
											   
											   
									        }
									   }
									   
									   
									   
									   
									   
									   
									   
								    }
								   if(!intersect) {
						              // add a new point(existingElements.elementAt(x)), say f on the hyperplane repr
									   // all points in line - e.
								
									   
								
									 line.clearAll();
									 
									 // clear the element e  and f from all the flats
									   for(int i=1;i<rankAfterContract;i++) {
			                                subVector = (Vector)newMFlats.get(i);
		                                    Enumeration fm = subVector.elements();
		                                    while(fm.hasMoreElements()) 
	                                        {
 			 
                                		       Subset flat1 = (Subset)fm.nextElement();
								
											   for(int gl = 0; gl < arrayCheck.length  && arrayCheck[gl] != 0; gl++) {
												   
												   //if existing elements contain these elements
												   // we need to delete from existingElements too.
												   for(int zx = 0; zx < existingElements.length; zx++) {
													   if(existingElements[zx] != g && existingElements[zx] == arrayCheck[gl])
														   existingElements[zx] = 0;
													   
													   
												   }
												   
											     if(mfc.contains(flat1, arrayCheck[gl]-1) && arrayCheck[gl] != ar[0]
													&& arrayCheck[gl] != 0){
													 
											   
												      flat1.clear(arrayCheck[gl]-1);
												 }
											   }
											}
									   }
									   
							         int size = ((Subset)(((Vector)newMFlats.get(1)).elementAt(0))).getSize();
									 Subset flat = new Subset(size);
					                 for(int k = 0; k< arrayCheck.length && arrayCheck[k] != 0; k++){
									
										 
									       if(arrayCheck[k] != ar[0] && arrayCheck[k] != 0 ){
						                        Subset f1 = new Subset(size,arrayCheck[k]-1);
							                     flat.or(f1);
									       }
							         } 
									 
									 // add the loop elements to this newly created flat
								Enumeration eloop = loops.elements();
								Subset fl = new Subset(size);
								while(eloop.hasMoreElements()) {
								    String str = (String)eloop.nextElement();
								   	Subset fl1 = new Subset(size,Integer.parseInt(str)-1);
									fl.or(fl1);
								}
								flat.or(fl);	
								
																
									 ((Vector)newMFlats.get(1)).addElement(flat);
									 hyperplane.or(flat);
									   
									 
									   
								   }
								   // break out of the while loop since
								   // there can be only one line containing both
								   // e and f and that line is processed now within this if loop
								   break;
						      }// if for checking th eintersection
							   
							}// end of while
						  }           
				          }// end of for for existing elements 
						 
						 // delete flats containing e.
						 int newSize = 0;
					   for(int j=0;j<=rankAfterContract;j++) {
			                subVector = (Vector)newMFlats.get(j);
		                    Enumeration fm = subVector.elements();
		                    while(fm.hasMoreElements()) 
	                        {
 			     		       Subset flat = (Subset)fm.nextElement();
							   newSize = flat.getSize();
			        		   if(mfc.contains(flat, ar[0]-1)){
					    			 flat.clear(ar[0]-1);
							   }
							   
						
							}
					   }
						 
					
					   
					   
					   
					    }// end of if(isHyperplane)
					 
					 else {
	                    // do something when there is no hyperplane 					 
						 // not containing e.(like for rank 2 matroids).
					     
						 
						 Vector subVector2 = new Vector();
				        
 		                 for(int i=1;i<=rankAfterContract;i++) {
			                 subVector2 = (Vector)newMFlats.get(i);
		                     Enumeration fm = subVector2.elements();
 			
                		     while(fm.hasMoreElements()) 
	                          {
			 
		                        Subset flat = (Subset)fm.nextElement();
				
                            
					             if(mfc.contains(flat, ar[0]-1)){
						      
						           flat.clear(ar[0]-1);
                                 }
						      }
				  
        			     	}
						 
					 }
					 
					   
				 // contracting an element reduces the rank of the matroid by 1.
					 // hence we need to add rank-3 flat as rank-2 flat so that
					 // if it is a line it is drawn in the representation
					 if(rankAfterContract > 2){
					 Subset rankFlat = new Subset(((Subset)(((Vector)newMFlats.get(rankAfterContract)).elementAt(0))));
					 ((Vector)newMFlats.get(rankAfterContract-1)).removeAllElements();
					 ((Vector)newMFlats.get(rankAfterContract-1)).addElement(rankFlat);
					 ((Vector)newMFlats.get(rankAfterContract)).removeAllElements();
					 }
					 rankAfterContract--;
					 
	    			 

			Vector szc = new Vector();
                  for(int i=1;i<=rankAfterContract;i++) {
		      Vector temporary = new Vector();
			 szc = (Vector)newMFlats.get(i);
		     Enumeration fmz = szc.elements();
		    
		     while(fmz.hasMoreElements()) 
	         {
			 
		       Subset flat = (Subset)fmz.nextElement();
			  
			   
		       if(flat.numElements() != 0)
			   temporary.addElement(flat);
		 }
		     szc.retainAll(temporary);
		  }
			   
					
        			   index = 0;
					   dFlats.removeAllElements();
		              memberList.removeAll();
		              for(int i=0;i<=rankAfterContract;i++) {
			            subVector = (Vector)newMFlats.get(i);
		                Enumeration fm = subVector.elements();
						Vector tempVector = new Vector();
			
		                while(fm.hasMoreElements()) 
	                    {
			              Subset flat = (Subset)fm.nextElement();
		
			              String displayStr = (String)flat.toString(true);
		
			              if(flat.numElements() != 0  &&
					           !dFlats.contains(flat)){
		                    dFlats.add(index,flat);
			                index++;
 			               if(i == 0 || i == 1){
           				    ind++;
			        	    indCount++;
			               }
		                   memberList.add(displayStr);		  
			             }
			   
		   
	                   }
						
		
		             }	
			movingInfinityPoints.removeAllElements();
			movingPoints.removeAllElements();
				
			         setOfLines.removeAllElements();
     			      indexPoints.removeAllElements();
	    		      initialPoints.removeAllElements();
		    	      displayFlats.removeAllElements();
			          loops.removeAllElements();
			          touchingElements.removeAllElements();
    			      touchingEdges.removeAllElements();
	    	          infinityPoints.removeAllElements();
			
			
		         //
                 // run through outline of algorithm for drawing geometric representation
                 //
			  setOfLines = DoOutline(newMFlats, rankAfterContract, sizeOfMatroid, modulusOfMatroid, elementsToDraw, ar, countElem,setOfLines, indexPoints, initialPoints, displayFlats, loops, touchingElements, touchingEdges, vectorCols, infinityPoints,  movingInfinityPoints, movingPoints);				 
			

            
		            firstTime = new boolean[numOfCurves];
		  
    		        colorChooser = new Color[numOfCurves];
  		  
                   colorFlag = new boolean[numOfCurves];
		  
		  
		  
		  
		           startFlag = new boolean[numOfCurves];
                   ctrl1Flag = new boolean[numOfCurves];
                   ctrl2Flag = new boolean[numOfCurves];
                   endFlag = new boolean[numOfCurves];
		  
		  
                   for(int i = 0; i<numOfCurves; i++){
	   		        firstTime[i] = true;
		   	        colorFlag[i] = true;
			        startFlag[i] = false;
			        endFlag[i] = false;
			        ctrl1Flag[i] = false;
			        ctrl2Flag[i] = false;
		          }
			  
                    cubic = new CubicCurve2D.Double();
                    start = new Point[numOfCurves];
                   one = new Point[numOfCurves];
                   two = new Point[numOfCurves];
                   end = new Point[numOfCurves];
                   newP = new Point();
		 
                   startpt = new Rectangle[numOfCurves];
                   endpt = new Rectangle[numOfCurves];
                   ctrl1 = new Rectangle[numOfCurves];
                   ctrl2 = new Rectangle[numOfCurves];
	    	        rect = new Rectangle();
		  
		 
		           initstart = new Point[numOfCurves];
                   initone = new Point[numOfCurves];
                   inittwo = new Point[numOfCurves];
                   initend = new Point[numOfCurves];
         		 
                   initstartpt = new Rectangle[numOfCurves];
                   initendpt = new Rectangle[numOfCurves];
                   initctrl1 = new Rectangle[numOfCurves];
                   initctrl2 = new Rectangle[numOfCurves];
		  
		 
		           newR = new Rectangle();
                   newSR = new Rectangle(0,0,5,5);
                   newER = new Rectangle(0,0,5,5);
                   newC1R = new Rectangle(0,0,5,5);
                   newC2R = new Rectangle(0,0,5,5);

					 
		           complementButton.setEnabled(false);
		 addButton.setEnabled(false);
		 addFreeButton.setEnabled(false);			 
		doComplement = false;
		 doAdd = false;
		 doAddFree = false;			 
					          				bipartiteButton.setEnabled(false);
						doBipartite = false;
					 
					 
					 
					 
					 
				     }// end of if for not parallel and not a loop
				
				else {
 					//couldn't contract
                    JOptionPane.showMessageDialog(null, "Couldn't Contract. Please try again.");			        
				}
				
			   
				   
				   
				   
		     
			
			   
			   
			   
			   
			 
			 		 
		 }// end of try block
         catch (Exception exp) {
			
	     //throw new InternalError(exp.getMessage());
			 JOptionPane.showMessageDialog(null, "Couldn't Contract. Please try again.");
       }

		 resetToCapture = false;
		 repaint();
		 
		}
		else if ((memberList.getSelectedIndexes()).length > 1){
             JOptionPane.showMessageDialog(null, "Please select only one flat.  Clicking on an item that is already selected deselects it. ");			
		}	
		else {
			    JOptionPane.showMessageDialog(null, "Please select atleast one element. ");			
		}
			}
			
			
			
			else if(isLinearSpace) {
				
		if((memberList.getSelectedIndexes()).length == 1) {
			try {
				isBipartiteGraph = false;
				doOperation = true;
		        Vector ft;
		        int count = 0;
				boolean doNothing = false;
				
				manualIndex = memberList.getSelectedIndex();
				ft = (Vector) dFlats.elementAt(manualIndex);
			
				//System.out.println(" ft = " + ft.toString());
				int sz = ft.size();
				ar = new int[sz];
			
				
				for(int ji = 0; ji < sz; ji++)
					ar[ji] = 0;
				
	            boolean isLoop = false;
				boolean isParallel = false;
				
				int len = 0;
				for(int ji = 1; ji <= (sizeOfMatroid+countElem) && len < sz; ji++){
				   
					if(ft.contains(new Integer(ji)) || ft.contains(new Integer(ji).toString())) {
					   
						ar[len] = ji;
						
						len++;
					}
					
				}
				
				
				if(sz == 1) {
					// check if it is a loop
				  if(loops.contains(new Integer(ar[0]).toString())){
						isLoop = true;
				  }
                  else {
						isLoop = false;
				  }
                  
				  
				  // check if it is a parallel element
				   Enumeration te = touchingEdges.elements();
				   while(te.hasMoreElements() && !isParallel && !isLoop){
					   Vector tem = (Vector)te.nextElement();
			
					   Enumeration tem1 = tem.elements();
					   while(tem1.hasMoreElements()) {
					      if(tem1.nextElement().toString().equals(new Integer(ar[0]).toString()))
						     isParallel = true;
					   }
				   }
				   
				   if(ar[0] == 0)
					   doNothing = true;
				}
				
				else if(sz > 1) {
					
			
					String element = " ";
				     boolean flag = true;
				     int temp = 0;
				     while(flag && element != null) {
				      element = JOptionPane.showInputDialog(" Enter an element from the flat selected ");
				      
				      for(int j = 0; j < ar.length && ar[j] != 0;j++) { 
						if(new Integer(ar[j]).toString().equals(element)){
							temp = ar[0];
							ar[0] = ar[j];
							ar[j] = temp;
							flag = false;
							break;
						}
						else flag = true;
					  } 
				     }
					 
					// check if it is a loop
				  if(loops.contains(new Integer(ar[0]).toString())){
						isLoop = true;
				  }
                  else {
						isLoop = false;
				  }
                  
				  
				  // check if it is a parallel element
				   Enumeration te = touchingEdges.elements();
				   while(te.hasMoreElements() && !isParallel && !isLoop){
					   Vector tem = (Vector)te.nextElement();
			
					   Enumeration tem1 = tem.elements();
					   while(tem1.hasMoreElements()) {
					      if(tem1.nextElement().toString().equals(new Integer(ar[0]).toString()))
						     isParallel = true;
					   }
				   }
				   
				   if(element == null){
					doNothing = true;
				   }
				   
				}
								
				
				
				if(doNothing) {
				   // do nothing
			    }						
		        				
			   // if element is a loop then M/e = M\e
				else if(isLoop) {
				  //System.out.println(" It is a loop");	
					count++;
				  countElem++;
				  elementsToDraw[ar[0]-1] = false;
				  sizeOfMatroid = sizeOfMatroid - count;
				  
			      Vector subVector = new Vector();
				  boolean flag = false;
 		          for(int i=0;i<=rankAfterContract;i++) {
			         subVector = (Vector)newMFlats.get(i);
		             Enumeration fm = subVector.elements();
 			
         		     while(fm.hasMoreElements()) 
	                 {
			 
		                Vector flat = (Vector)fm.nextElement();
				
                  
					       if(i == 0 && flat.contains(new Integer(ar[0]).toString())){

						      flat.removeElement(new Integer(ar[0]).toString());
                           }
						   else if(flat.contains(new Integer(ar[0]))){

						      flat.removeElement(new Integer(ar[0]));
                           }
				  
			     	}
    			  }
			
				  Vector szc = new Vector();
                  for(int i=1;i<=rankAfterContract;i++) {
		      Vector temporary = new Vector();
			 szc = (Vector)newMFlats.get(i);
		     Enumeration fmz = szc.elements();

		     while(fmz.hasMoreElements()) 
	         {
			 
		       Vector flat = (Vector)fmz.nextElement();
			  
			   
		       if(flat.size() != 0)
			      temporary.addElement(flat);
		 }
		     szc.retainAll(temporary);
		  }
			
 
	              dFlats.removeAllElements();
	 		      index = 0;
		          memberList.removeAll();
		          for(int i=0;i<=rankAfterContract;i++) {
			         subVector = (Vector)newMFlats.get(i);
		             Enumeration fm = subVector.elements();
		             while(fm.hasMoreElements()) 
	                 {
			            Vector flat = (Vector)fm.nextElement();
			            String displayStr = (String)flat.toString();
			            if(flat.size() != 0 
						   &&  !dFlats.contains(flat)){
		                   dFlats.add(index,flat);
			               index++;
 			               memberList.add(displayStr);		  
			            }
			   
		   
	                }
		          }	
					
					
	
				movingInfinityPoints.removeAllElements();
			    movingPoints.removeAllElements();
				setOfLines.removeAllElements();
		        indexPoints.removeAllElements();
		        initialPoints.removeAllElements();
		        displayFlats.removeAllElements();
		                loops.removeAllElements();
		       touchingElements.removeAllElements();
		       touchingEdges.removeAllElements();			
		        infinityPoints.removeAllElements();
			
			
         //
         // run through outline of algorithm for drawing geometric representation for linear spaces
         //
			setOfLines = DoLinearSpaces(newMFlats, rankAfterContract, sizeOfMatroid, sizeOfLines, elementsToDraw, countElem, setOfLines, indexPoints, initialPoints, displayFlats, infinityPoints, movingInfinityPoints, movingPoints, loops, touchingElements, touchingEdges);

	
	
	                
		        firstTime = new boolean[numOfCurves];
		  
		        colorChooser = new Color[numOfCurves];
  		  
                colorFlag = new boolean[numOfCurves];
		  
		  
		  
		  
		        startFlag = new boolean[numOfCurves];
                ctrl1Flag = new boolean[numOfCurves];
                ctrl2Flag = new boolean[numOfCurves];
                endFlag = new boolean[numOfCurves];
		  
		  
                for(int i = 0; i<numOfCurves; i++){
			        firstTime[i] = true;
			        colorFlag[i] = true;
			        startFlag[i] = false;
			        endFlag[i] = false;
			        ctrl1Flag[i] = false;
			        ctrl2Flag[i] = false;
		        }
			  
                cubic = new CubicCurve2D.Double();
                start = new Point[numOfCurves];
                one = new Point[numOfCurves];
                two = new Point[numOfCurves];
                end = new Point[numOfCurves];
                newP = new Point();
		 
                startpt = new Rectangle[numOfCurves];
                endpt = new Rectangle[numOfCurves];
                ctrl1 = new Rectangle[numOfCurves];
                ctrl2 = new Rectangle[numOfCurves];
		        rect = new Rectangle();
		 
		 
		        initstart = new Point[numOfCurves];
                initone = new Point[numOfCurves];
                inittwo = new Point[numOfCurves];
                initend = new Point[numOfCurves];
         		 
                initstartpt = new Rectangle[numOfCurves];
                initendpt = new Rectangle[numOfCurves];
                initctrl1 = new Rectangle[numOfCurves];
                initctrl2 = new Rectangle[numOfCurves];
		  
		 
		        newR = new Rectangle();
                newSR = new Rectangle(0,0,5,5);
                newER = new Rectangle(0,0,5,5);
                newC1R = new Rectangle(0,0,5,5);
                newC2R = new Rectangle(0,0,5,5);
		 
				complementButton.setEnabled(false);
		 addButton.setEnabled(false);
		 addFreeButton.setEnabled(false);
		 doComplement = false;
		 doAdd = false;
		 doAddFree = false;
		          				bipartiteButton.setEnabled(false);
						doBipartite = false;
		 
			   }// end of if(isLoop)
			   
			   
			   // if element is in a parallel class P then every other 
			   // element in P becomes a loop of M/e.
				else if(isParallel) {
				
				  
					count++;
				    countElem++;
				    elementsToDraw[ar[0]-1] = false;
				    sizeOfMatroid = sizeOfMatroid - count;				        
				    Vector newLoops = new Vector();
				    int arSize = 0;
				    
				    // collect all the elements in the parallel class
				    Vector subVector = new Vector();				   
				    subVector = (Vector)newMFlats.get(1);
				    Enumeration enum1 = subVector.elements();
				    while(enum1.hasMoreElements())
					{
					    Vector flat13 = (Vector)enum1.nextElement();		   
					    if(flat13.contains(new Integer(ar[0]))){
						flat13.removeElement(new Integer(ar[0])); // this flat could contain loops
						arSize = flat13.size()- loops.size();
			
						arrayx = new int[arSize];
					
						for(int ji = 0; ji < arSize; ji++)
							arrayx[ji] = 0;
								
									
					    len = 0;
						for(int ji = 1; ji <= (sizeOfMatroid+countElem) && len < arSize; ji++){
						 if(flat13.contains(new Integer(ji)) && 
											!loops.contains(new Integer(ji).toString())) {
								arrayx[len] = ji;
								len++;
						 }
						}
						
						
						((Vector)newMFlats.get(1)).removeElement(flat13);
						break;
						
					    }
					}
				    
				    
				    Vector flat0 = new Vector((Vector)newMFlats.get(0));
				    
				    
				    
				    
				    // add the parallel elements as loops
				    
				    //int size0 = ((Subset)(((Vector)newMFlats.get(0)).elementAt(0))).getSize();
				    for(int k = 0; k< arSize && arrayx[k] != 0; k++){
					//Subset f1 = new Subset(size0,arrayx[k]-1);
				    newLoops.addElement(new Integer(arrayx[k]).toString());
					Vector fl = (Vector)newMFlats.get(0);
					Enumeration enum = fl.elements();
					while(enum.hasMoreElements()) {
					    Vector f0 = (Vector)enum.nextElement();
						if(!f0.contains(new Integer(arrayx[k]).toString())){
					       f0.addElement(new Integer(arrayx[k]).toString());
						   //System.out.println(" just added loop ele");
						}
					}
				    }
				    
				    
			
				    int newSize = 0;
				    // add these parallel eleemnts to all flats
				    for(int j=1;j<=rankAfterContract;j++) {
			                subVector = (Vector)newMFlats.get(j);
					Enumeration fm1 = subVector.elements();
					while(fm1.hasMoreElements()) 
					    {
						Vector flat = (Vector)fm1.nextElement();
			
						//newSize = flat.size();
						// donot delete the element e as yet.
						for(int ai1 = 0 ; ai1 < arSize && arrayx[ai1]  != 0; ai1++) {
						    
						    //Subset f13 = new Subset(newSize,arrayx[ai1]-1);
						    if(!flat.contains(new Integer(arrayx[ai1])))
						       flat.addElement(new Integer(arrayx[ai1]));
						    
						}
			
						
					    }
				    }
				    
				    
				    
				    // do similar to if it were not a loop and not a parallel element:
				    boolean isHyperplane = false;

				    // pick a ahyperplane H not containing e
				    int rank2Size = 0;
				    
				    Vector flat13 = new Vector();
				    
				    subVector = new Vector();				   
				    subVector = (Vector)newMFlats.get(rankAfterContract-1);
				    Enumeration enum11 = subVector.elements();
				    while(enum11.hasMoreElements())
					{
					    flat13 = (Vector)enum11.nextElement();		   

					    rank2Size = flat13.size()-loops.size();

						
					    int array[] = new int[rank2Size];
					    //array = flat13.getFlatsNoLoops(loops);
						len = 0;
						for(int ji = 1; ji <= (sizeOfMatroid+countElem) && len < rank2Size; ji++){
						 if(flat13.contains(new Integer(ji)) && 
											!loops.contains(new Integer(ji).toString())) {
								array[len] = ji;
								len++;
						 }
						}
					    
					    if(flat13.size() != 0 && !(flat13.contains(new Integer(ar[0])))){

						isHyperplane = true;
						break;
					    }
					    
					}				 
				    
				    
				    
				    

				    Vector hyperplane = new Vector(flat13);
				    int existingElements[] = new int[sizeOfMatroid - hyperplane.size()];
				    boolean intersect = false;
				    int g = 0;

				    // if such a hyperplane exists:
				    if(isHyperplane) {
					
					// collect all the elements from the ground set
					// and not in the hyperplane and e.
					int incr = 0;
					for(int element = 1; element <= (sizeOfMatroid+countElem); element++) {
					    if(!(hyperplane.contains(new Integer(element))) && element != (ar[0])
					       && elementsToDraw[element-1] == true && !touchingElements.contains(new Integer(element).toString())
					       && !loops.contains(new Integer(element).toString())
						   && !newLoops.contains(new Integer(element).toString())){
						existingElements[incr] = element;

						incr++;
						
					    }
					    
					}
					
					
					

					for(int x = 0; x < existingElements.length; x++) {
					    
					    if(existingElements[x] != 0) {
						// find if there is a intersection btn line and hyperplane
						subVector = (Vector)newMFlats.get(2);
					        Enumeration enum12 = subVector.elements();
						while(enum12.hasMoreElements())
						    {
							intersect = false;

							Vector line = (Vector)enum12.nextElement();

							//check to see if this flat is a 3-element circuit
							rank2Size = line.size()-loops.size();


							// the line selected here will not be the hyperplane
							// because hyperplane does not contain element e --> ar[0].
							if(line.contains(new Integer(ar[0])) && line.contains(new Integer(existingElements[x]))){
							    

							    //if line intersects the hyperplane at point g:
							    int arrayCheck[] = new int[line.size()];
							    //arrayCheck = line.getFlatsNoLoops(loops);
							    len = 0;
						        for(int ji = 1; ji <= (sizeOfMatroid+countElem) && len < line.size(); ji++){
						           if(line.contains(new Integer(ji)) && 
											!loops.contains(new Integer(ji).toString())) {
								     arrayCheck[len] = ji;
								     len++;
						           }
						        }

							    for(int ch = 0; ch < arrayCheck.length; ch++) 
								{
								    if(arrayCheck[ch] != ar[0] && arrayCheck[ch] != 0 
								       && hyperplane.contains(new Integer(arrayCheck[ch]))
									   && !newLoops.contains(new Integer(arrayCheck[ch]).toString()))
									{
									    intersect = true;
									    g = arrayCheck[ch];
									    break;
									    
									}
								}
							    // if the line intersects the hyperplane
							    // then all the points of line - e is dropped
							    // onto g.
							    if(intersect){

									
									int size = 0;	   
								
								line.removeAllElements();
								
								// add the elements to every line containing g
								for(int i=1;i<rankAfterContract;i++) {
								    subVector = (Vector)newMFlats.get(i);
								    Enumeration fm = subVector.elements();
								    while(fm.hasMoreElements()) 
									{
									    
									    Vector flat = (Vector)fm.nextElement();
									    
									    
									    // delete the line elements from all other flats
									    for(int gl = 0; gl < arrayCheck.length  
										    && arrayCheck[gl] != 0; gl++) {
										//if existing elements contain these elements
										// we need to delete from existingElements too.
										for(int zx = 0; zx < existingElements.length; zx++) {
										    if(existingElements[zx] != g 
										       && existingElements[zx] == arrayCheck[gl])
											existingElements[zx] = 0;
										    
										    
										}
										
										
										if(flat.contains(new Integer(arrayCheck[gl])) 
										   && arrayCheck[gl] != ar[0]
										   && arrayCheck[gl] != g && arrayCheck[gl] != 0
										   && !newLoops.contains(new Integer(arrayCheck[gl]).toString())){
										    //donot delete the flat, because it
										    // misses the flat next to this flat for 
										    // checking
								
										    flat.removeElement(new Integer(arrayCheck[gl]));
										}
									    }
									    
									    
									    
									    
									    if(flat.contains(new Integer(g))){
										
										//size = flat.size();
								
										for(int k = 0; k< arrayCheck.length; k++){
										    
										    if(arrayCheck[k] != ar[0] 
										       && arrayCheck[k] != 0 ){
								
											//Subset f21 = new Subset(size,arrayCheck[k]-1);
								            if(!flat.contains(new Integer(arrayCheck[k])))
											   flat.addElement(new Integer(arrayCheck[k]));
								
										    }
										}
								
										
										
									    }
									    
									    
									    
								
									    
									}
								}
								
								
								
								
								
								
								
							    }
							    if(!intersect) {
								// add a new point(existingElements.elementAt(x)), say f on the hyperplane repr
								// all points in line - e.
								
									   
								
								line.removeAllElements();
								
								// clear the element e  and f from all the flats
								for(int i=1;i<rankAfterContract;i++) {
								    subVector = (Vector)newMFlats.get(i);
								    Enumeration fm = subVector.elements();
								    while(fm.hasMoreElements()) 
									{
									    
									    Vector flat1 = (Vector)fm.nextElement();
									    
								
									    
									    for(int gl = 0; gl < arrayCheck.length  
										    && arrayCheck[gl] != 0; gl++) {
										
										//if existing elements contain these elements
										// we need to delete from existingElements too.
										for(int zx = 0; zx < existingElements.length; zx++) {
										    if(existingElements[zx] != g 
										       && existingElements[zx] == arrayCheck[gl])
											existingElements[zx] = 0;
													   
										    
										}
										if(flat1.contains(new Integer(arrayCheck[gl])) 
										   && arrayCheck[gl] != ar[0]
										   && arrayCheck[gl] != 0
										   && !newLoops.contains(new Integer(arrayCheck[gl]).toString())){
										    
										    
										    flat1.removeElement(new Integer(arrayCheck[gl]));
										}
									    }
									}
								}
								
								//int size = ((Subset)(((Vector)newMFlats.get(1)).elementAt(0))).getSize();
								//Subset flat = new Subset(size);
								Vector flat = new Vector();
								for(int k = 0; k< arrayCheck.length  && arrayCheck[k] != 0; k++){
								    
								    
								    if(arrayCheck[k] != ar[0] && arrayCheck[k] != 0 ){
						                 //       Subset f21 = new Subset(size,arrayCheck[k]-1);
									if(!flat.contains(new Integer(arrayCheck[k])))
									    flat.addElement(new Integer(arrayCheck[k]));
									if(!hyperplane.contains(new Integer(arrayCheck[k])))
									   hyperplane.addElement(new Integer(arrayCheck[k]));
								    }
								} 
								
								// add the loop elements to this newly created flat
								Enumeration eloop = loops.elements();
								//Subset fl = new Subset(size);
								Vector fl = new Vector();
								while(eloop.hasMoreElements()) {
								    String str = (String)eloop.nextElement();
								   	//Subset fl1 = new Subset(size,Integer.parseInt(str)-1);
									//fl.or(fl1);
									if(!flat.contains(new Integer(Integer.parseInt(str))))
									   flat.addElement(new Integer(Integer.parseInt(str)));
									if(!hyperplane.contains(new Integer(Integer.parseInt(str))))
									   hyperplane.addElement(new Integer(Integer.parseInt(str)));
								}
								//flat.or(fl);	
								
								Enumeration eloop1 = newLoops.elements();
								//Subset fl1 = new Subset(size);
								while(eloop1.hasMoreElements()) {
								    String str = (String)eloop1.nextElement();
								   	//Subset fl2 = new Subset(size,Integer.parseInt(str)-1);
									//fl1.or(fl2);
									if(!flat.contains(new Integer(Integer.parseInt(str))))
									   flat.addElement(new Integer(Integer.parseInt(str)));
									if(!hyperplane.contains(new Integer(Integer.parseInt(str))))
									   hyperplane.addElement(new Integer(Integer.parseInt(str)));
								}
								//flat.or(fl1);	
								
								((Vector)newMFlats.get(1)).addElement(flat);
								
								
								
								
							    }
							    // break out of the while loop since
							    // there can be only one line containing both
							    // e and f and that line is processed now within this if loop
								   break;
							}// if for checking th eintersection
							
						    }// end of while
					    }
					    
					}// end of for for existing elements 
					
					// delete flats containing e.
					newSize = 0;
					for(int j=0;j<=rankAfterContract;j++) {
					    subVector = (Vector)newMFlats.get(j);
					    Enumeration fm = subVector.elements();
					    while(fm.hasMoreElements()) 
						{
						    Vector flat = (Vector)fm.nextElement();
						    //newSize = flat.getSize();
						    if(flat.contains(new Integer(ar[0]))){
							   flat.removeElement(new Integer(ar[0]));
						    }
							   
						    
						}
					}
					
					
					   
					   
						 
					    }// end of if(isHyperplane)
					 
					 else {
	                    // do something when there is no hyperplane 					 
						 // not containing e.(like for rank 2 matroids).
					     // System.out.println(" No hyperplane");
						 
						 Vector subVector1 = new Vector();
				        
 		                 for(int i=2;i<=rankAfterContract;i++) {
			                 subVector1 = (Vector)newMFlats.get(i);
		                     Enumeration fm = subVector1.elements();
 			
                		     while(fm.hasMoreElements()) 
	                          {
			 
		                        Vector flat = (Vector)fm.nextElement();
				
					
					             if(flat.contains(new Integer(ar[0]))){
						      
						           flat.removeElement(new Integer(ar[0]));
					
                                 }
						      }
				  
        			     	}
    	
					 }
					 
		        			   
				 // contracting an element reduces the rank of the matroid by 1.
					 // hence we need to add rank-3 flat as rank-2 flat so that
					 // if it is a line it is drawn in the representation
					 if(rankAfterContract > 2){
					 Vector rankFlat = new Vector(((Vector)(((Vector)newMFlats.get(rankAfterContract)).elementAt(0))));
					 ((Vector)newMFlats.get(rankAfterContract-1)).removeAllElements();
					 ((Vector)newMFlats.get(rankAfterContract-1)).addElement(rankFlat);
					 ((Vector)newMFlats.get(rankAfterContract)).removeAllElements();
					 }
					 rankAfterContract--;
					 
	    			 
					
					




				 Vector szc = new Vector();
                  for(int i=1;i<=rankAfterContract;i++) {
		      Vector temporary = new Vector();
			 szc = (Vector)newMFlats.get(i);
		     Enumeration fmz = szc.elements();
                    
		     while(fmz.hasMoreElements()) 
	         {
			 
		       Vector flat = (Vector)fmz.nextElement();
			  
		       //			   
		       if(flat.size() != 0)
			      temporary.addElement(flat);
		     }
		     szc.retainAll(temporary);
		  }
					 
        			   index = 0;
					   dFlats.removeAllElements();
		              memberList.removeAll();
		              for(int i=0;i<=rankAfterContract;i++) {
			            subVector = (Vector)newMFlats.get(i);
		                Enumeration fm = subVector.elements();
						Vector tempVector = new Vector();
					
		                while(fm.hasMoreElements()) 
	                    {
			              Vector flat = (Vector)fm.nextElement();
		
			              String displayStr = (String)flat.toString();
		
			              if(flat.size() != 0  &&
					           !dFlats.contains(flat)){
		                    dFlats.add(index,flat);
			                index++;
 			               
		                   memberList.add(displayStr);		  
			             }
			   
		   
	                   }
						
		
		             }	
					
					
	
				movingInfinityPoints.removeAllElements();
					movingPoints.removeAllElements();
				
			         setOfLines.removeAllElements();
     			      indexPoints.removeAllElements();
	    		      initialPoints.removeAllElements();
		    	      displayFlats.removeAllElements();
			          loops.removeAllElements();
		       touchingElements.removeAllElements();
		       touchingEdges.removeAllElements();			
	    	          infinityPoints.removeAllElements();
			
			
		         //
                 // run through outline of algorithm for drawing geometric representation
                 //
			 setOfLines = DoLinearSpaces(newMFlats, rankAfterContract, sizeOfMatroid, sizeOfLines, elementsToDraw, countElem, setOfLines, indexPoints, initialPoints, displayFlats, infinityPoints, movingInfinityPoints, movingPoints, loops, touchingElements, touchingEdges);

	
                
		            firstTime = new boolean[numOfCurves];
		  
    		        colorChooser = new Color[numOfCurves];
  		  
                   colorFlag = new boolean[numOfCurves];
		  
		  
		  
		  
		           startFlag = new boolean[numOfCurves];
                   ctrl1Flag = new boolean[numOfCurves];
                   ctrl2Flag = new boolean[numOfCurves];
                   endFlag = new boolean[numOfCurves];
		  
		  
                   for(int i = 0; i<numOfCurves; i++){
	   		        firstTime[i] = true;
		   	        colorFlag[i] = true;
			        startFlag[i] = false;
			        endFlag[i] = false;
			        ctrl1Flag[i] = false;
			        ctrl2Flag[i] = false;
		          }
			  
                    cubic = new CubicCurve2D.Double();
                    start = new Point[numOfCurves];
                   one = new Point[numOfCurves];
                   two = new Point[numOfCurves];
                   end = new Point[numOfCurves];
                   newP = new Point();
		 
                   startpt = new Rectangle[numOfCurves];
                   endpt = new Rectangle[numOfCurves];
                   ctrl1 = new Rectangle[numOfCurves];
                   ctrl2 = new Rectangle[numOfCurves];
	    	        rect = new Rectangle();
		  
		 
		           initstart = new Point[numOfCurves];
                   initone = new Point[numOfCurves];
                   inittwo = new Point[numOfCurves];
                   initend = new Point[numOfCurves];
         		 
                   initstartpt = new Rectangle[numOfCurves];
                   initendpt = new Rectangle[numOfCurves];
                   initctrl1 = new Rectangle[numOfCurves];
                   initctrl2 = new Rectangle[numOfCurves];
		  
		 
		           newR = new Rectangle();
                   newSR = new Rectangle(0,0,5,5);
                   newER = new Rectangle(0,0,5,5);
                   newC1R = new Rectangle(0,0,5,5);
                   newC2R = new Rectangle(0,0,5,5);
				
				            				bipartiteButton.setEnabled(false);
						doBipartite = false;
				   complementButton.setEnabled(false);
		 addButton.setEnabled(false);
		 addFreeButton.setEnabled(false);
		 doComplement = false;
		 doAdd = false;
		 doAddFree = false;
		 
		    	 }// end of if(isParallel)
				
				   // if the element is not a parallel element or
			   // a loop then use thesteps described in page 119, Oxley's book
	    else if(!isParallel && !isLoop){
					 
		   count++;
				  countElem++;
				  elementsToDraw[ar[0]-1] = false;
				  sizeOfMatroid = sizeOfMatroid - count;
					 
					 
					 
					 			 boolean isHyperplane = false;
					 
					 
					 // pick a ahyperplane H not containing e
		             int rank2Size = 0;
					 
					 Vector flat13 = new Vector();
					 
					 Vector subVector = new Vector();				   
				     subVector = (Vector)newMFlats.get(rankAfterContract-1);
		             Enumeration enum1 = subVector.elements();
	                 while(enum1.hasMoreElements())
	                 {
                        flat13 = (Vector)enum1.nextElement();		   
		
						rank2Size = flat13.size()-loops.size();
		
		                int array[] = new int[rank2Size];
						//array = flat13.getFlatsNoLoops(loops);
		                len = 0;
						for(int ji = 1; ji <= (sizeOfMatroid+countElem) && len < rank2Size; ji++){
						 if(flat13.contains(new Integer(ji)) && 
											!loops.contains(new Integer(ji).toString())) {
								array[len] = ji;
								len++;
						 }
						}
						
						
					    if(flat13.size() != 0 && !(flat13.contains(new Integer(ar[0])))){
					       isHyperplane = true;
						   break;
						}
						
					 }				 
					 
					 
					   
		             
					 
					 // if such a hyperplane exists:
					 if(isHyperplane) {
					
						 
						 
		
					 Vector hyperplane = new Vector(flat13);
					 int existingElements[] = new int[sizeOfMatroid - hyperplane.size()];
					 boolean intersect = false;
					 int g = 0;
					 
		
					 
						 // collect all the elements from the ground set
						 // and not in the hyperplane and e.
						 int incr = 0;
						 for(int element = 1; element <= (sizeOfMatroid+countElem); element++) {
							 if(!(hyperplane.contains(new Integer(element))) && element != (ar[0])
								&& elementsToDraw[element-1] == true && !touchingElements.contains(new Integer(element).toString())
								&& !loops.contains(new Integer(element).toString())){
								 existingElements[incr] = element;
		
								 incr++;
								 
							 }
							 
						 }
						 
						 
						 
		
						 for(int x = 0; x < existingElements.length; x++) {
						  if(existingElements[x] != 0) {
						// find if there is a intersection btn line and hyperplane
		
							 // find if there is a intersection btn line and hyperplane
						 	subVector = (Vector)newMFlats.get(2);
					        Enumeration enum12 = subVector.elements();
	                        while(enum12.hasMoreElements())
	                        {
								intersect = false;
		
                               Vector line = (Vector)enum12.nextElement();
		
						
							   rank2Size = line.size()-loops.size();
							   // the line selected here will not be the hyperplane
							   // because hyperplane does not contain element e --> ar[0].
							   if(line.contains(new Integer(ar[0])) && line.contains(new Integer(existingElements[x]))){
								   
		
								   //if line intersects the hyperplane at point g:
								   int arrayCheck[] = new int[line.size()];
		                           //arrayCheck = line.getFlatsNoLoops(loops);
		                           len = 0;
						           for(int ji = 1; ji <= (sizeOfMatroid+countElem) && len < line.size(); ji++){
										if(line.contains(new Integer(ji)) && 
											!loops.contains(new Integer(ji).toString())) {
											arrayCheck[len] = ji;
											len++;
										}
								   }
		
                                   for(int ch = 0; ch < arrayCheck.length; ch++) 
	                               {
		
          	                           if(arrayCheck[ch] != ar[0] && arrayCheck[ch] != 0 && hyperplane.contains(new Integer(arrayCheck[ch])) )
	                                   {
				                          intersect = true;
										  
										  g = arrayCheck[ch];
										  break;
  		
                                       }
			                       }
								   // if the line intersects the hyperplane
								   // then all the points of line - e is dropped
								   // onto g.
			                       if(intersect){
									   
		
								       int size = 0;	   
		
									   line.removeAllElements();
		
									   // add the elements to every line containing g
									   for(int i=1;i<rankAfterContract;i++) {
			                                subVector = (Vector)newMFlats.get(i);
		                                    Enumeration fm = subVector.elements();
		                                    while(fm.hasMoreElements()) 
	                                        {
 			 
                                		       Vector flat = (Vector)fm.nextElement();
		
											   
											   
											   // delete the line elements from all other flats
											   for(int gl = 0; gl < arrayCheck.length && arrayCheck[gl] != 0; gl++) {
		
												   
												   //if existing elements contain these elements
												   // we need to delete from existingElements too.
												   for(int zx = 0; zx < existingElements.length; zx++) {
													   if(existingElements[zx] != g && existingElements[zx] == arrayCheck[gl])
														   existingElements[zx] = 0;
													   
													   
												   }
												   
												   
											     if(flat.contains(new Integer(arrayCheck[gl])) && arrayCheck[gl] != ar[0]
													&& arrayCheck[gl] != g && arrayCheck[gl] != 0){
												   //donot delete the flat, because it
												   // misses the flat next to this flat for 
												   // checking
		
												  flat.removeElement(new Integer(arrayCheck[gl]));
		
											     }
											   }
											   
																	   
											   
		
											   if(flat.contains(new Integer(g))){
												
										           //size = flat.getSize();
		
										           for(int k = 0; k< arrayCheck.length  && arrayCheck[k] != 0; k++){
										
										              if(arrayCheck[k] != ar[0] && arrayCheck[k] != 0 ){
												  
						                                //Subset f1 = new Subset(size,arrayCheck[k]-1);
												
													   if(!flat.contains(new Integer(arrayCheck[k])))
							                               flat.addElement(new Integer(arrayCheck[k]));
												
										              }
							                       }
												
												   
												   
											   }
											   
										       
											   
											   
											   
									        }
									   }
									   
									   
									   
									   
									   
									   
									   
								    }
								   if(!intersect) {
						              // add a new point(existingElements.elementAt(x)), say f on the hyperplane repr
									   // all points in line - e.
								
									   
								
									 line.removeAllElements();
									 
									 // clear the element e  and f from all the flats
									   for(int i=1;i<rankAfterContract;i++) {
			                                subVector = (Vector)newMFlats.get(i);
		                                    Enumeration fm = subVector.elements();
		                                    while(fm.hasMoreElements()) 
	                                        {
 			 
                                		       Vector flat1 = (Vector)fm.nextElement();
								
											   for(int gl = 0; gl < arrayCheck.length  && arrayCheck[gl] != 0; gl++) {
												   
												   //if existing elements contain these elements
												   // we need to delete from existingElements too.
												   for(int zx = 0; zx < existingElements.length; zx++) {
													   if(existingElements[zx] != g && existingElements[zx] == arrayCheck[gl])
														   existingElements[zx] = 0;
													   
													   
												   }
												   
											     if(flat1.contains(new Integer(arrayCheck[gl])) && arrayCheck[gl] != ar[0]
													&& arrayCheck[gl] != 0){
													 
											   
												      flat1.removeElement(new Integer(arrayCheck[gl]));
												 }
											   }
											}
									   }
									   
							         //int size = ((Subset)(((Vector)newMFlats.get(1)).elementAt(0))).getSize();
									 //Subset flat = new Subset(size);
									   Vector flat = new Vector();
					                 for(int k = 0; k< arrayCheck.length && arrayCheck[k] != 0; k++){
									
										 
									       if(arrayCheck[k] != ar[0] && arrayCheck[k] != 0 ){
						                        //Subset f1 = new Subset(size,arrayCheck[k]-1);
											   if(!flat.contains(new Integer(arrayCheck[k])))
							                     flat.addElement(new Integer(arrayCheck[k]));
											   if(!hyperplane.contains(new Integer(arrayCheck[k])))
												 hyperplane.addElement(new Integer(arrayCheck[k]));
									       }
							         } 
									 
									 // add the loop elements to this newly created flat
								Enumeration eloop = loops.elements();
								//Subset fl = new Subset(size);
								while(eloop.hasMoreElements()) {
								    String str = (String)eloop.nextElement();
								   	//Subset fl1 = new Subset(size,Integer.parseInt(str)-1);
									if(!flat.contains(new Integer(Integer.parseInt(str))))
									   flat.addElement(new Integer(Integer.parseInt(str)));
									if(!hyperplane.contains(new Integer(Integer.parseInt(str))))
									   hyperplane.addElement(new Integer(Integer.parseInt(str)));
								}
								
																
									 ((Vector)newMFlats.get(1)).addElement(flat);
									 
									   
									 
									   
								   }
								   // break out of the while loop since
								   // there can be only one line containing both
								   // e and f and that line is processed now within this if loop
								   break;
						      }// if for checking th eintersection
							   
							}// end of while
						  }           
				          }// end of for for existing elements 
						 
						 // delete flats containing e.
						 int newSize = 0;
					   for(int j=0;j<=rankAfterContract;j++) {
			                subVector = (Vector)newMFlats.get(j);
		                    Enumeration fm = subVector.elements();
		                    while(fm.hasMoreElements()) 
	                        {
 			     		       Vector flat = (Vector)fm.nextElement();
							   //newSize = flat.getSize();
			        		   if(flat.contains(new Integer(ar[0]))){
					    			 flat.removeElement(new Integer(ar[0]));
							   }
							   
						
							}
					   }
						 
					
					   
					   
					   
					    }// end of if(isHyperplane)
					 
					 else {
	                    // do something when there is no hyperplane 					 
						 // not containing e.(like for rank 2 matroids).
					     
						 
						 Vector subVector2 = new Vector();
				        
 		                 for(int i=1;i<=rankAfterContract;i++) {
			                 subVector2 = (Vector)newMFlats.get(i);
		                     Enumeration fm = subVector2.elements();
 			
                		     while(fm.hasMoreElements()) 
	                          {
			 
		                        Vector flat = (Vector)fm.nextElement();
				
                            
					             if(flat.contains(new Integer(ar[0]))){
						      
						           flat.removeElement(new Integer(ar[0]));
                                 }
						      }
				  
        			     	}
						 
					 }
					 
					   
				 // contracting an element reduces the rank of the matroid by 1.
					 // hence we need to add rank-3 flat as rank-2 flat so that
					 // if it is a line it is drawn in the representation
					 if(rankAfterContract > 2){
					 Vector rankFlat = new Vector(((Vector)(((Vector)newMFlats.get(rankAfterContract)).elementAt(0))));
					 ((Vector)newMFlats.get(rankAfterContract-1)).removeAllElements();
					 ((Vector)newMFlats.get(rankAfterContract-1)).addElement(rankFlat);
					 ((Vector)newMFlats.get(rankAfterContract)).removeAllElements();
					 }
					 rankAfterContract--;
					 
	    			 

			Vector szc = new Vector();
                  for(int i=1;i<=rankAfterContract;i++) {
		      Vector temporary = new Vector();
			 szc = (Vector)newMFlats.get(i);
		     Enumeration fmz = szc.elements();
		    
		     while(fmz.hasMoreElements()) 
	         {
			 
		       Vector flat = (Vector)fmz.nextElement();
			  
			   
		       if(flat.size() != 0)
			   temporary.addElement(flat);
		 }
		     szc.retainAll(temporary);
		  }
			   
					
        			   index = 0;
					   dFlats.removeAllElements();
		              memberList.removeAll();
		              for(int i=0;i<=rankAfterContract;i++) {
			            subVector = (Vector)newMFlats.get(i);
		                Enumeration fm = subVector.elements();
						Vector tempVector = new Vector();
			
		                while(fm.hasMoreElements()) 
	                    {
			              Vector flat = (Vector)fm.nextElement();
		
			              String displayStr = (String)flat.toString();
		
			              if(flat.size() != 0  &&
					           !dFlats.contains(flat)){
		                    dFlats.add(index,flat);
			                index++;
 			               
		                   memberList.add(displayStr);		  
			             }
			   
		   
	                   }
						
		
		             }	
					
					
					
					
					
movingInfinityPoints.removeAllElements();
			movingPoints.removeAllElements();
				
			         setOfLines.removeAllElements();
     			      indexPoints.removeAllElements();
	    		      initialPoints.removeAllElements();
		    	      displayFlats.removeAllElements();
			         loops.removeAllElements();
		       touchingElements.removeAllElements();
		       touchingEdges.removeAllElements();			
	    	          infinityPoints.removeAllElements();
			
			
		         //
                 // run through outline of algorithm for drawing geometric representation
                 //
			  setOfLines = DoLinearSpaces(newMFlats, rankAfterContract, sizeOfMatroid, sizeOfLines, elementsToDraw, countElem, setOfLines, indexPoints, initialPoints, displayFlats, infinityPoints, movingInfinityPoints, movingPoints, loops, touchingElements, touchingEdges);
					

                //System.out.println(" The number of curves = " + numOfCurves);
		            firstTime = new boolean[numOfCurves];
		  
    		        colorChooser = new Color[numOfCurves];
  		  
                   colorFlag = new boolean[numOfCurves];
		  
		  
		  
		  
		           startFlag = new boolean[numOfCurves];
                   ctrl1Flag = new boolean[numOfCurves];
                   ctrl2Flag = new boolean[numOfCurves];
                   endFlag = new boolean[numOfCurves];
		  
		  
                   for(int i = 0; i<numOfCurves; i++){
	   		        firstTime[i] = true;
		   	        colorFlag[i] = true;
			        startFlag[i] = false;
			        endFlag[i] = false;
			        ctrl1Flag[i] = false;
			        ctrl2Flag[i] = false;
		          }
			  
                    cubic = new CubicCurve2D.Double();
                    start = new Point[numOfCurves];
                   one = new Point[numOfCurves];
                   two = new Point[numOfCurves];
                   end = new Point[numOfCurves];
                   newP = new Point();
		 
                   startpt = new Rectangle[numOfCurves];
                   endpt = new Rectangle[numOfCurves];
                   ctrl1 = new Rectangle[numOfCurves];
                   ctrl2 = new Rectangle[numOfCurves];
	    	        rect = new Rectangle();
		  
		 
		           initstart = new Point[numOfCurves];
                   initone = new Point[numOfCurves];
                   inittwo = new Point[numOfCurves];
                   initend = new Point[numOfCurves];
         		 
                   initstartpt = new Rectangle[numOfCurves];
                   initendpt = new Rectangle[numOfCurves];
                   initctrl1 = new Rectangle[numOfCurves];
                   initctrl2 = new Rectangle[numOfCurves];
		  
		 
		           newR = new Rectangle();
                   newSR = new Rectangle(0,0,5,5);
                   newER = new Rectangle(0,0,5,5);
                   newC1R = new Rectangle(0,0,5,5);
                   newC2R = new Rectangle(0,0,5,5);

					 
		           complementButton.setEnabled(false);
		 addButton.setEnabled(false);
		 addFreeButton.setEnabled(false);			 
		doComplement = false;
		 doAdd = false;
		 doAddFree = false;			 
					          				bipartiteButton.setEnabled(false);
						doBipartite = false;
					 
					 
					 
					 
					 
				     }// end of if for not parallel and not a loop
				
				else {
 					//couldn't contract
                    JOptionPane.showMessageDialog(null, "Couldn't Contract. Please try again.");			        
				}
				
			   
				   
				   
				   
		     
			
			   
			   
			   
			   
			 
			 		 
		 }// end of try block
         catch (Exception exp) {
			// System.out.println("Cannot create the subset");
	     //throw new InternalError(exp.getMessage());
			 JOptionPane.showMessageDialog(null, "Couldn't Contract. Please try again.");
       }

		 resetToCapture = false;
		 repaint();
		 
		}
		else if ((memberList.getSelectedIndexes()).length > 1){
             JOptionPane.showMessageDialog(null, "Please select only one flat.  Clicking on an item that is already selected deselects it. ");			
		}	
		else {
			    JOptionPane.showMessageDialog(null, "Please select atleast one element. ");			
		}
			}
			else {
				JOptionPane.showMessageDialog(null, "Contraction is not available. ");
			}
			
			
			
			
			
			
			
			
			
			
			
			
			
			
			
			
			}//end of doContract
				else {
 					//couldn't contract
               		JOptionPane.showMessageDialog(null, "Please, click RESET button and then CONTRACT button to contract a point");			        
				}
         }
       };
       contractButton.addActionListener(actionListenerCont); 
	   
	   
	   
	   
	   // relax button
	   
	 ActionListener actionListenerRel = new ActionListener() {
	    public void actionPerformed(ActionEvent e) {
			if(doRelax) {
			if(isLinearSpace) {
			
				
				 
			if((memberList.getSelectedIndexes()).length == 1) {
			try {
				isBipartiteGraph = false;
				doOperation = true;
		        Vector ft;
		        int count = 0;
				manualIndex = memberList.getSelectedIndex();
				ft = (Vector) dFlats.elementAt(manualIndex);
			
				int sz = ft.size();
			
															
				
				// relax only if the hyperplane is a 3 element line 
				// which also happens to be a circuit.  But if the 
				// linear space entered is a rank-2 matroid or if after
				// contracting it becomes rank 2 matroid, we need 
				// to avoid relaxation, 
								
				if(sz == 3 && rankAfterContract == 3) {
	
		        
				  //newMFlats.removeElement(ft);
					 ((Vector)newMFlats.get(2)).removeElement(ft);
					   
				 
				   
		dFlats.removeAllElements();
			 index = 0;
			 
		 memberList.removeAll();
		 for(int i=0;i<=rankOfMatroid;i++) {
		   Vector subVector = (Vector)newMFlats.get(i);
		   Enumeration fm = subVector.elements();
		     while(fm.hasMoreElements()) 
	         {
			 
		       Vector v= (Vector)fm.nextElement();
			   Vector temp = new Vector(v);
			   String displayStr = (String)v.toString();
		       if(temp.size() != 0 &&
				  !dFlats.contains(temp)){
			      dFlats.add(index,temp);
			      index++;
			      memberList.add(displayStr);		  
			   }
			  }
		 }
			   
			 
				
				
				
				movingInfinityPoints.removeAllElements();
			    movingPoints.removeAllElements();
				setOfLines.removeAllElements();
		        indexPoints.removeAllElements();
		        initialPoints.removeAllElements();
		        displayFlats.removeAllElements();
		                loops.removeAllElements();
		       touchingElements.removeAllElements();
		       touchingEdges.removeAllElements();			
		        infinityPoints.removeAllElements();
			
			
         //
         // run through outline of algorithm for drawing geometric representation for linear spaces
         //
         setOfLines = DoLinearSpaces(newMFlats, rankOfMatroid, sizeOfMatroid, sizeOfLines, elementsToDraw, countElem, setOfLines, indexPoints, initialPoints, displayFlats, infinityPoints, movingInfinityPoints, movingPoints, loops, touchingElements, touchingEdges);



		          firstTime = new boolean[numOfCurves];
		  
		          colorChooser = new Color[numOfCurves];
		  
		          colorFlag = new boolean[numOfCurves];
		  
		  
		  
		  
        		  startFlag = new boolean[numOfCurves];
                  ctrl1Flag = new boolean[numOfCurves];
                  ctrl2Flag = new boolean[numOfCurves];
                  endFlag = new boolean[numOfCurves];
		  
		  
		          for(int i = 0; i<numOfCurves; i++){
			         firstTime[i] = true;
			         colorFlag[i] = true;
			         startFlag[i] = false;
			        endFlag[i] = false;
			         ctrl1Flag[i] = false;
			         ctrl2Flag[i] = false;
		         }
			  
                 cubic = new CubicCurve2D.Double();
                start = new Point[numOfCurves];
                one = new Point[numOfCurves];
               two = new Point[numOfCurves];
                end = new Point[numOfCurves];
                 newP = new Point();
		 
               startpt = new Rectangle[numOfCurves];
               endpt = new Rectangle[numOfCurves];
               ctrl1 = new Rectangle[numOfCurves];
               ctrl2 = new Rectangle[numOfCurves];
		       rect = new Rectangle();
		 
		 
		        initstart = new Point[numOfCurves];
                 initone = new Point[numOfCurves];
                inittwo = new Point[numOfCurves];
                initend = new Point[numOfCurves];
         		 
                 initstartpt = new Rectangle[numOfCurves];
                 initendpt = new Rectangle[numOfCurves];
                 initctrl1 = new Rectangle[numOfCurves];
                  initctrl2 = new Rectangle[numOfCurves];
		  
		 
		       newR = new Rectangle();
               newSR = new Rectangle(0,0,5,5);
              newER = new Rectangle(0,0,5,5);
               newC1R = new Rectangle(0,0,5,5);
                newC2R = new Rectangle(0,0,5,5);
		 		   
				// update the indexPoints to the points in the capture
								
								initialPoints.removeAllElements();
								movingInfinityPoints.removeAllElements();
					   
								//System.out.println(" Hi 0");
					   
								Enumeration emov0 = capturePoints.elements();
								PointsInfo pointCheck0;
								while(emov0.hasMoreElements()) {
									pointCheck0 = (PointsInfo) emov0.nextElement();
						   
									Enumeration emov10 = indexPoints.elements();
									PointsInfo pointCheck10;
									while(emov10.hasMoreElements()) {
										pointCheck10 = (PointsInfo) emov10.nextElement();
										if(pointCheck10.index.equals(pointCheck0.index)) {
											pointCheck10.point.setLocation(pointCheck0.point.getX(), pointCheck0.point.getY());
								  
										}	   
									}
								}
					   
								//System.out.println(" Hi 1");
					   
					   
								initialPoints = new Vector(indexPoints);
					   
								//System.out.println(" Hi 2");
					   
								Enumeration emov = capturePoints.elements();
								PointsInfo pointCheck;
								while(emov.hasMoreElements()) {
									pointCheck = (PointsInfo) emov.nextElement();
						   
									Enumeration emov1 = movingPoints.elements();
									PointsInfo pointCheck1;
									int newX = 0;
									int newY = 0;
									Point pNew = new Point();
									while(emov1.hasMoreElements()) {
										pointCheck1 = (PointsInfo) emov1.nextElement();
										if(pointCheck1.index.equals(pointCheck.index)) {
											newX = (int)pointCheck1.point.getX();
											newY = (int)pointCheck1.point.getY();
											pNew.setLocation(newX,newY);
											pointCheck1.point.setLocation(pointCheck.point.getX(), pointCheck.point.getY());
								  
											// go thru the infinity points and update them.
											Enumeration emov2 = infinityPoints.elements();
											Point pointCheck2;
											while(emov2.hasMoreElements()) {
												pointCheck2 = (Point) emov2.nextElement();
												if(pointCheck2.equals(pNew)) {
													pointCheck2.setLocation(pointCheck.point.getX(), pointCheck.point.getY());
												}
											}
										}	   
									}
								}
					   
					   //System.out.println(" Hi 3");
					   movingInfinityPoints = new Vector(infinityPoints);
					   
					   
					   //System.out.println(" Hi 5");
						
		               resetToCapture = false;
						repaint();		   
				   
		 }// end of if (sz == 3)
				
		else{
			
			//do nothing
			JOptionPane.showMessageDialog(null, " Relaxation is not possible. The line selected must be a 3-point circuit.");
			
		}
				
						 
			 
			 
	     
		 }// end of try block
         catch (Exception exp) {
          //throw new InternalError(exp.getMessage());
			 JOptionPane.showMessageDialog(null, "Couldn't Relax. Please try again.");
       }

		 
		 complementButton.setEnabled(false);
		 addButton.setEnabled(false);
		 addFreeButton.setEnabled(false);
		 contractButton.setEnabled(true);
		}
		else if ((memberList.getSelectedIndexes()).length > 1){
             JOptionPane.showMessageDialog(null, "Please select only one flat.  Clicking on an item that is already selected deselects it. ");			
		}	
		else {
			    JOptionPane.showMessageDialog(null, "Please select atleast one flat. ");			
		}
			

			
				
			}
			
			
	    else {
		  if((memberList.getSelectedIndexes()).length == 1) {
			try {
				isBipartiteGraph = false;
				doOperation = true;
		        Subset ft;
		        int count = 0;
				manualIndex = memberList.getSelectedIndex();
				ft = (Subset) dFlats.elementAt(manualIndex);
				
				int sz = ft.numElements()-loops.size();
				
				boolean relax = false;
				if((mfc.getFlats(ft)).length == (mfc.getFlatsNoLoopsNoTouchingEdges(ft, loops,touchingElements)).length)
					relax = true;
											
				for(int ji = 0; ji < sz; ji++)
					ar[ji] = 0;
				
				// relax only if the hyperplane is a 3 element line 
				// which also happens to be a circuit
				// this check restricts rank 2 matroids to be relaxed
				// if the hyperplane has loops and parallel elements
				// relaxation is not possible.
				if(sz == 3 && relax && rankAfterContract == 3) {
	
				   ar = mfc.getFlats(ft);
				   		 
                   Vector subVector = new Vector();
				
				   
					   
					   ((Vector)newMFlats.get(rankOfMatroid-1)).removeElement(ft);
					   
				   
				   
		           dFlats.removeAllElements();
        		   index = 0;
		           memberList.removeAll();
		           for(int i=0;i<=rankOfMatroid;i++) {
			           subVector = (Vector)newMFlats.get(i);
		               Enumeration fm1 = subVector.elements();
		               while(fm1.hasMoreElements()) 
	                   {
 			 
              		       Subset flat = (Subset)fm1.nextElement();
			                String displayStr = (String)flat.toString(true);
			                if(flat.numElements() != 0 &&
					             !dFlats.contains(flat)){
		                       dFlats.add(index,flat);
			                   index++;
			                  if(i == 0 || i == 1){
				                 ind++;
				                 indCount++;
			                  }
		                      memberList.add(displayStr);		  
			                }
			   
		   
	                   }
		            }	

			movingInfinityPoints.removeAllElements();
			movingPoints.removeAllElements();
				
			       setOfLines.removeAllElements();
			        indexPoints.removeAllElements();
			       initialPoints.removeAllElements();
			        displayFlats.removeAllElements();
			        loops.removeAllElements();
			        touchingElements.removeAllElements();
			         touchingEdges.removeAllElements();
		            infinityPoints.removeAllElements();
			
			
	     	 //
              // run through outline of algorithm for drawing geometric representation
             //
                  setOfLines = DoOutline(newMFlats, rankOfMatroid, sizeOfMatroid, modulusOfMatroid, elementsToDraw, ar, countElem,setOfLines, indexPoints, initialPoints, displayFlats, loops, touchingElements, touchingEdges, vectorCols, infinityPoints, movingInfinityPoints, movingPoints);

	


		          firstTime = new boolean[numOfCurves];
		  
		          colorChooser = new Color[numOfCurves];
		  
		          colorFlag = new boolean[numOfCurves];
		  
		  
		  
		  
        		  startFlag = new boolean[numOfCurves];
                  ctrl1Flag = new boolean[numOfCurves];
                  ctrl2Flag = new boolean[numOfCurves];
                  endFlag = new boolean[numOfCurves];
		  
		  
		          for(int i = 0; i<numOfCurves; i++){
			         firstTime[i] = true;
			         colorFlag[i] = true;
			         startFlag[i] = false;
			        endFlag[i] = false;
			         ctrl1Flag[i] = false;
			         ctrl2Flag[i] = false;
		         }
			  
                 cubic = new CubicCurve2D.Double();
                start = new Point[numOfCurves];
                one = new Point[numOfCurves];
               two = new Point[numOfCurves];
                end = new Point[numOfCurves];
                 newP = new Point();
		 
               startpt = new Rectangle[numOfCurves];
               endpt = new Rectangle[numOfCurves];
               ctrl1 = new Rectangle[numOfCurves];
               ctrl2 = new Rectangle[numOfCurves];
		       rect = new Rectangle();
		 
		 
		        initstart = new Point[numOfCurves];
                 initone = new Point[numOfCurves];
                inittwo = new Point[numOfCurves];
                initend = new Point[numOfCurves];
         		 
                 initstartpt = new Rectangle[numOfCurves];
                 initendpt = new Rectangle[numOfCurves];
                 initctrl1 = new Rectangle[numOfCurves];
                  initctrl2 = new Rectangle[numOfCurves];
		  
		 
		       newR = new Rectangle();
               newSR = new Rectangle(0,0,5,5);
              newER = new Rectangle(0,0,5,5);
               newC1R = new Rectangle(0,0,5,5);
                newC2R = new Rectangle(0,0,5,5);
		       
				
				complementButton.setEnabled(false);
		 addButton.setEnabled(false);
		 addFreeButton.setEnabled(false);
				   doComplement = false;
		 doAdd = false;
		 doAddFree = false;
				            				bipartiteButton.setEnabled(false);
						doBipartite = false;
				
						// update the indexPoints to the points in the capture
								
								initialPoints.removeAllElements();
								movingInfinityPoints.removeAllElements();
					   
								//System.out.println(" Hi 0");
					   
								Enumeration emov0 = capturePoints.elements();
								PointsInfo pointCheck0;
								while(emov0.hasMoreElements()) {
									pointCheck0 = (PointsInfo) emov0.nextElement();
						   
									Enumeration emov10 = indexPoints.elements();
									PointsInfo pointCheck10;
									while(emov10.hasMoreElements()) {
										pointCheck10 = (PointsInfo) emov10.nextElement();
										if(pointCheck10.index.equals(pointCheck0.index)) {
											pointCheck10.point.setLocation(pointCheck0.point.getX(), pointCheck0.point.getY());
								  
										}	   
									}
								}
					   
								//System.out.println(" Hi 1");
					   
					   
								initialPoints = new Vector(indexPoints);
					   
								//System.out.println(" Hi 2");
					   
								Enumeration emov = capturePoints.elements();
								PointsInfo pointCheck;
								while(emov.hasMoreElements()) {
									pointCheck = (PointsInfo) emov.nextElement();
						   
									Enumeration emov1 = movingPoints.elements();
									PointsInfo pointCheck1;
									int newX = 0;
									int newY = 0;
									Point pNew = new Point();
									while(emov1.hasMoreElements()) {
										pointCheck1 = (PointsInfo) emov1.nextElement();
										if(pointCheck1.index.equals(pointCheck.index)) {
											newX = (int)pointCheck1.point.getX();
											newY = (int)pointCheck1.point.getY();
											pNew.setLocation(newX,newY);
											pointCheck1.point.setLocation(pointCheck.point.getX(), pointCheck.point.getY());
								  
											// go thru the infinity points and update them.
											Enumeration emov2 = infinityPoints.elements();
											Point pointCheck2;
											while(emov2.hasMoreElements()) {
												pointCheck2 = (Point) emov2.nextElement();
												if(pointCheck2.equals(pNew)) {
													pointCheck2.setLocation(pointCheck.point.getX(), pointCheck.point.getY());
												}
											}
										}	   
									}
								}
					   
					   //System.out.println(" Hi 3");
					   movingInfinityPoints = new Vector(infinityPoints);
					   
					   
					   //System.out.println(" Hi 5");
						
		             resetToCapture = false;
					repaint();		
				   
		 }// end of if (sz == 3)
				
		else{
			
			//do nothing
			JOptionPane.showMessageDialog(null, " Relaxation is not possible. The hyperplane selected must be a 3-point circuit.");
			
		}
				
						 
			 
			 
	     
		 }// end of try block
         catch (Exception exp) {
          //throw new InternalError(exp.getMessage());
			 JOptionPane.showMessageDialog(null, "Couldn't Relax. Please try again.");
       }

		
		 
		}
		else if ((memberList.getSelectedIndexes()).length > 1){
             JOptionPane.showMessageDialog(null, "Please select only one flat.  Clicking on an item that is already selected deselects it. ");			
		}	
		else {
			    JOptionPane.showMessageDialog(null, "Please select atleast one flat. ");			
		}
		}
			}//end of doRelax
			else{
			
			//do nothing
				           JOptionPane.showMessageDialog(null, "Please, click RESET button and then RELAX button to relax a circuit-hyperplane");			        
			
		}
			
         }
       };
       relaxButton.addActionListener(actionListenerRel); 
	 
	   
	   
          //complement button
	 ActionListener actionListenerC28 = new ActionListener() {
		public void actionPerformed(ActionEvent e) {

			if(doComplement) {
		try{	
				
			
		  isBipartiteGraph = false;
			doOperation = true;
			
		  if(rankOfMatroid == 3 && modulusOfMatroid >= 3) {
			Vector vectorPGm = new Vector();
		    int m = modulusOfMatroid;
		    VectorInfo newV;
	        Point p = new Point(); 
		   //add the elements in the projective plane, PG(2,p)
		   //(there will be (m+1) points in the projective plane)
		   // add all the equivalent vectors too
		   Vector temp;		   
		   p.setLocation(900,325);
		   for(int equiv = 1; equiv < m; equiv++){
			  temp = new Vector();
		      temp.addElement(new Integer(0));
		      temp.addElement(new Integer(equiv));
		      temp.addElement(new Integer(0));
              newV = new VectorInfo(p, new Vector(temp));
              vectorPGm.addElement(newV);
		   }
		  
		   
		   
		   p.setLocation(425,630);
		   for(int equiv = 1; equiv < m; equiv++){
			   temp = new Vector();
		      temp.addElement(new Integer(0));
		      temp.addElement(new Integer(0));
		      temp.addElement(new Integer(equiv));
              newV = new VectorInfo(p, new Vector(temp));
              vectorPGm.addElement(newV);
		   }
		  
		   
		   int xPoint = 150;
		   int yPoint = 600;
		   int changeX = (860-xPoint)/(m-2);
	       
		   
		   for(int xm = m-1; xm >= 1; xm--) {
			   p.setLocation(xPoint,yPoint);
			   for(int equiv = 1; equiv < m; equiv++){
			      temp = new Vector();
			      temp.addElement(new Integer(0));
			      temp.addElement(new Integer(equiv));
			      temp.addElement(new Integer((xm*equiv) % m));
           	      newV = new VectorInfo(p, new Vector(temp));
                  vectorPGm.addElement(newV);
			   }
	         
			   xPoint = xPoint + changeX;
			   
		   }
		   
		   
		   xPoint = 250;
		   yPoint = 150;
		   changeX = (600-xPoint)/(m-1);
	       int changeY = (500-yPoint)/(m-1);
		   
		   // add the elements in the grid
		   for(int yValue = m-1; yValue >= 0 ;yValue--){
			   for(int zValue = m-1; zValue >= 0 ;zValue--){
				   
		           p.setLocation(xPoint,yPoint);
				   for(int equiv = 1; equiv < m; equiv++){
				      temp = new Vector();
				      temp.addElement(new Integer(equiv));
                      temp.addElement(new Integer((yValue*equiv) % m));
				      temp.addElement(new Integer((zValue*equiv) % m));
           	          newV = new VectorInfo(p, new Vector(temp));
                      vectorPGm.addElement(newV);
				   }
	              
				   yPoint = yPoint + changeY;
		      }
		      yPoint = 150;
		      xPoint = xPoint + changeX;
		   }
		   
		  
			//delete the matroid vectors to get the complement
		   boolean flag = false;
		   Vector temp1Vector = new Vector();
		   Vector toBeDeleted = new Vector();
		   Enumeration vnum1 = vectorPGm.elements();
		   
		   Vector temporary = new Vector();
		   
	       while(vnum1.hasMoreElements()) 
	       {
		       VectorInfo vSet = new VectorInfo((VectorInfo)vnum1.nextElement());
			   flag = false;
			   Enumeration vnum2 = vectorCols.elements();
	           while(vnum2.hasMoreElements() && !flag) 
	           {
			      temporary = new Vector((Vector)vnum2.nextElement());
				
				  //bPlaced[indexCount-1] also takes care of not placing the loops
				  // elements which were placed earlier.
			      if((temporary.equals(vSet.coord))){
					  flag = true;
				
					  toBeDeleted.addElement(vSet);
				
				  }
			   }
			   if(!flag){
				
				   temp1Vector.addElement(vSet);
				
			   }
			   
		   }

		   // delete all the vector equivalents which are 
		   // still in complementVector
		   
		   Vector temp2Vector = new Vector();
		   Enumeration cnum = temp1Vector.elements();
		   
		   while(cnum.hasMoreElements())
		   {
			   flag = false;
			   VectorInfo vSet1 = new VectorInfo((VectorInfo)cnum.nextElement());
			 
			   Enumeration tnum = toBeDeleted.elements();
			   while(tnum.hasMoreElements())
			   {
				   VectorInfo vSet2 = new VectorInfo((VectorInfo)tnum.nextElement());
				 
				   if(vSet1.point.equals(vSet2.point) && !flag) {
					   flag = true;
				   }
			   }
			   if(!flag){
			      temp2Vector.addElement(vSet1);
				
			   }
			   
		   }// now temp2Vector has all the vectors and its equivalent
		   // that are in complement matroid.
		 
		   
		   //to remove the equivalent:
		   Vector complementVector = new Vector();
		   Enumeration tnum1 = temp2Vector.elements();
		   flag = false;
		   
		   while(tnum1.hasMoreElements())
		   {
			   flag = false;
			  VectorInfo vSet3 = new VectorInfo((VectorInfo)tnum1.nextElement());
			Enumeration cnum1 = complementVector.elements();
			
			while(cnum1.hasMoreElements())
			{
				VectorInfo vSet4 = new VectorInfo((VectorInfo)cnum1.nextElement());
				if(vSet4.point.equals(vSet3.point))
					flag = true;
			}
			if(!flag){
				complementVector.addElement(vSet3);
				
			}
		   }
		   
		  
		   
		   if(complementVector.size() == 0){
		      //throw new InternalError("complement doesn't exist");
			  JOptionPane.showMessageDialog(null, "PG(2,q) \\  results to nothing!");
		   }
		   
		 else if(complementVector.size() != 0) {
		   // now the complement vector has the correct vectors to 
		   // be drawn
			// form the nArray of integers using complementVector
		    
		   Object array[] = new Object[rankOfMatroid];
		   int size = complementVector.size();
		   
		   int nArray1[][] = new int[size][rankOfMatroid];
		   int i = 0, j = 0;
		   Enumeration enm = complementVector.elements();
		   while(enm.hasMoreElements())
		   {
			   VectorInfo temp3 = new VectorInfo((VectorInfo)enm.nextElement());
			   
			   Vector tp = new Vector(temp3.coord);
			   array = tp.toArray();
			   for(int k = 0; k< rankOfMatroid; k++){
				   for(int m1 = 0; m1<modulusOfMatroid; m1++) {
					   if(array[k].toString().equals((new Integer(m1)).toString())){
						   nArray1[i][j] = m1;
					       j++;
					   }
				   }
			   }
			   i++;
			   j = 0;
		   }
				
		   
         // set up array of FiniteFieldVectors and matroid
         // 
		 FiniteFieldVector column1[];
		 FiniteField theCalculator1 = (FiniteField)null;
		 
		 theCalculator1 = 
		   FiniteFieldFactory.createFiniteField(modulusOfMatroid);
		 if (!(theCalculator1 instanceof FiniteField)){
		    //throw new InternalError(" Incorrect Modulus");
			 JOptionPane.showMessageDialog(null, "Incorrect Modulus.  Please re-enter.");
		 }
		 
         column1 = new FiniteFieldVector[size];
         for (int i3=0; i3<size; i3++) {
            column1[i3] = new FiniteFieldVector(nArray1[i3], rankOfMatroid, theCalculator1);
	    
			
         }
	 
		 
		 FiniteFieldReduction matrixReduce = 
		   new FiniteFieldReduction(column1[0].getSize(), 
					    size,
					    column1[0].getField());
		 int newRank = matrixReduce.getRank(column1,size);
	
		 // if the rank of the column vectors is not same as
			// the user entered rank then use GFReduction alg to find
			// the new set of column vectors
		 if(newRank != rankOfMatroid) {
	
		     FiniteFieldVector[] newColumns = new FiniteFieldVector[rankOfMatroid];
			 newColumns = matrixReduce.transpose(column1,size);
			 matrixReduce.reduce(newColumns,rankOfMatroid);
			 column1 = matrixReduce.transpose(newColumns,newRank);
			 
			 
			 
		 }
		 
		 FiniteFieldMatroid theMatroid1;
         theMatroid1 = new FiniteFieldMatroid(column1);
         //theMatroid1.setFlatCalculator(new DefaultFlatCalculator());
		algComp.setInstance(theMatroid1);
	
		 
	 
	  
		// build the column vectors according to
		// the use entered matrix.  We will use
		// this vectorCols while drawing the the
		// grid representation
	     vectorCols.removeAllElements();
	     FiniteFieldVector vector;
		 for(int v=0;v<size;v++){
		   Vector temp1 = new Vector();
           vector = theMatroid1.getElement(v);
		   for(int l =0; l<vector.getSize();l++){
			  temp1.addElement(new Integer(vector.get(l)));
		   }
		   vectorCols.addElement(temp1);
		 }
		 
	
	 
	 
	 
	 
         //
         // get flats and output them
         // 
		 Vector flats = new Vector();
         Iterator pFlat;
         Subset flat;
		 
         //flats = theMatroid1.getFlatCalculator().getFlatsByRank(theMatroid1);
		flats = algComp.getSubsetListVector();
		 newMFlats.removeAllElements();
		 memberList.removeAll();
		 dFlats.removeAllElements();
		 index = 0; 
         for (int z=0; z<= newRank; z++) {
			Vector subVector = (Vector)flats.get(z);
			 Enumeration fm = subVector.elements();
			 Vector temp1 = new Vector();
             while(fm.hasMoreElements()) 
	         {
	              flat = (Subset)fm.nextElement();
	
			      Subset flat2 = new Subset(flat);
			      temp1.addElement(flat2);
			      String displayStr = (String)flat.toString(true);
			      if(flat.numElements() != 0  &&
					   !dFlats.contains(flat)){
		             dFlats.add(index,flat);
			         index++;
			         if(z == 0 || z == 1){
				    ind++;
				    indCount++;
			      }
		             memberList.add(displayStr);		  
			      }
			   }
			   newMFlats.addElement(temp1);
	               
         }
		 
		
	
		 boolean newElements[] = new boolean[size];
		 for(int ele = 0; ele < newElements.length; ele++) {
			newElements[ele] = true;
		 }
		 
		
		 for(int ji = 0; ji <= modulusOfMatroid; ji++)
					ar[ji] = 0; 
		
		 
		 countElem = 0;
		 sizeOfMatroid = size;
		 setOfLines.removeAllElements();
		 indexPoints.removeAllElements();
		 initialPoints.removeAllElements();
		 displayFlats.removeAllElements();
		 loops.removeAllElements();
		 touchingElements.removeAllElements();
		 touchingEdges.removeAllElements();
		 infinityPoints.removeAllElements();
 movingInfinityPoints.removeAllElements();
			movingPoints.removeAllElements();
	
		
         //
         // run through outline of algorithm for drawing geometric representation
         //
         setOfLines = DoOutline(newMFlats, newRank, size, modulusOfMatroid, newElements, ar, countElem, setOfLines, 
indexPoints, initialPoints, displayFlats, loops, touchingElements, touchingEdges, vectorCols, infinityPoints, 
movingInfinityPoints, movingPoints);

	
		  firstTime = new boolean[numOfCurves];
		  
		  colorChooser = new Color[numOfCurves];
		  
		  colorFlag = new boolean[numOfCurves];
		  
		  
		  
		  
		  startFlag = new boolean[numOfCurves];
          ctrl1Flag = new boolean[numOfCurves];
          ctrl2Flag = new boolean[numOfCurves];
          endFlag = new boolean[numOfCurves];
		  
		  
		  for(i = 0; i<numOfCurves; i++){
			  firstTime[i] = true;
			  colorFlag[i] = true;
			  startFlag[i] = false;
			  endFlag[i] = false;
			  ctrl1Flag[i] = false;
			  ctrl2Flag[i] = false;
		  }
			  
         cubic = new CubicCurve2D.Double();
         start = new Point[numOfCurves];
         one = new Point[numOfCurves];
         two = new Point[numOfCurves];
         end = new Point[numOfCurves];
         newP = new Point();
		 
         startpt = new Rectangle[numOfCurves];
         endpt = new Rectangle[numOfCurves];
         ctrl1 = new Rectangle[numOfCurves];
         ctrl2 = new Rectangle[numOfCurves];
		 rect = new Rectangle();
		 
		 
		 initstart = new Point[numOfCurves];
         initone = new Point[numOfCurves];
         inittwo = new Point[numOfCurves];
         initend = new Point[numOfCurves];
         		 
         initstartpt = new Rectangle[numOfCurves];
         initendpt = new Rectangle[numOfCurves];
         initctrl1 = new Rectangle[numOfCurves];
         initctrl2 = new Rectangle[numOfCurves];
		  
		 
		 newR = new Rectangle();
         newSR = new Rectangle(0,0,5,5);
         newER = new Rectangle(0,0,5,5);
         newC1R = new Rectangle(0,0,5,5);
         newC2R = new Rectangle(0,0,5,5);

		 
		 addButton.setEnabled(false);
		        addFreeButton.setEnabled(false);
				contractButton.setEnabled(false);
				deleteLineButton.setEnabled(false);
				relaxButton.setEnabled(false);
				bipartiteButton.setEnabled(false);
				
				doContract = false;
				doDelete = false;
				doRelax = false;
				doBipartite = false;
		 doAdd = false;
		 doAddFree = false;
		 
		 resetToCapture = false;
                repaint();
		 }
		   
		   
		   
	   }
		  // need to handle the case when the modulus fo the matroid
		  // is 2.
		  else if(rankOfMatroid == 3 && modulusOfMatroid == 2){
			  
			  Vector vectorPGm = new Vector();
		    int m = modulusOfMatroid;
		    VectorInfo newV;
	        Point p = new Point(); 
		  // add the basis elemenst.
		   Vector temp;		   
		   p.setLocation(250,500);
		   
			  temp = new Vector();
		      temp.addElement(new Integer(1));
		      temp.addElement(new Integer(0));
		      temp.addElement(new Integer(0));
              newV = new VectorInfo(p, new Vector(temp));
              vectorPGm.addElement(newV);
		   
		   
		   
		   
		   p.setLocation(600,500);
		   
			   temp = new Vector();
		      temp.addElement(new Integer(0));
		      temp.addElement(new Integer(1));
		      temp.addElement(new Integer(0));
              newV = new VectorInfo(p, new Vector(temp));
              vectorPGm.addElement(newV);
		   
			  
			  p.setLocation(425,150);
		   
			   temp = new Vector();
		      temp.addElement(new Integer(0));
		      temp.addElement(new Integer(0));
		      temp.addElement(new Integer(1));
              newV = new VectorInfo(p, new Vector(temp));
              vectorPGm.addElement(newV);
			  
			  
			    p.setLocation(425,500);
		   
			   temp = new Vector();
		      temp.addElement(new Integer(1));
		      temp.addElement(new Integer(1));
		      temp.addElement(new Integer(0));
              newV = new VectorInfo(p, new Vector(temp));
              vectorPGm.addElement(newV);
			  
			    p.setLocation(512,325);
		   
			   temp = new Vector();
		      temp.addElement(new Integer(0));
		      temp.addElement(new Integer(1));
		      temp.addElement(new Integer(1));
              newV = new VectorInfo(p, new Vector(temp));
              vectorPGm.addElement(newV);
			  
			    p.setLocation(337,325);
		   
			   temp = new Vector();
		      temp.addElement(new Integer(1));
		      temp.addElement(new Integer(0));
		      temp.addElement(new Integer(1));
              newV = new VectorInfo(p, new Vector(temp));
              vectorPGm.addElement(newV);
		   		   
			  
			    p.setLocation(425,325);
		   
			   temp = new Vector();
		      temp.addElement(new Integer(1));
		      temp.addElement(new Integer(1));
		      temp.addElement(new Integer(1));
              newV = new VectorInfo(p, new Vector(temp));
              vectorPGm.addElement(newV);
			  
		
			//delete the matroid vectors to get the complement
		   boolean flag = false;
		   Vector complementVector = new Vector();
		   Enumeration vnum1 = vectorPGm.elements();
		   
		   Vector temporary = new Vector();
		   
	       while(vnum1.hasMoreElements()) 
	       {
		       VectorInfo vSet = new VectorInfo((VectorInfo)vnum1.nextElement());
			   flag = false;
			   Enumeration vnum2 = vectorCols.elements();
	           while(vnum2.hasMoreElements() && !flag) 
	           {
			      temporary = new Vector((Vector)vnum2.nextElement());
				
				  //bPlaced[indexCount-1] also takes care of not placing the loops
				  // elements which were placed earlier.
			      if((temporary.equals(vSet.coord))){
					  flag = true;
					
				  }
			   }
			   if(!flag){
				  
				   complementVector.addElement(vSet);
				  
			   }
			   
		   }

		   
		   
		   
		   
		   if(complementVector.size() == 0){
		      //throw new InternalError("complement doesn't exist");
			  JOptionPane.showMessageDialog(null, "PG(2,q) \\ M results to nothing!");
		   }
		   
		 else if(complementVector.size() != 0) {
		   // now the complement vector has the correct vectors to 
		   // be drawn
			// form the nArray of integers using complementVector
			
		   Object array[] = new Object[rankOfMatroid];
		   int size = complementVector.size();
		   
		   int nArray1[][] = new int[size][rankOfMatroid];
		   int i = 0, j = 0;
		   Enumeration enm = complementVector.elements();
		   while(enm.hasMoreElements())
		   {
			   VectorInfo temp3 = new VectorInfo((VectorInfo)enm.nextElement());
			   
			   Vector tp = new Vector(temp3.coord);
			   array = tp.toArray();
			   for(int k = 0; k< rankOfMatroid; k++){
				   for(int m1 = 0; m1<modulusOfMatroid; m1++) {
					   if(array[k].toString().equals((new Integer(m1)).toString())){
						   nArray1[i][j] = m1;
					       j++;
					   }
				   }
			   }
			   i++;
			   j = 0;
		   }
						   
		
         // set up array of FiniteFieldVectors and matroid
         // 
		 FiniteFieldVector column1[];
		 FiniteField theCalculator1 = (FiniteField)null;
		 
		 theCalculator1 = 
		   FiniteFieldFactory.createFiniteField(modulusOfMatroid);
		 if (!(theCalculator1 instanceof FiniteField)){
		    //throw new InternalError(" Incorrect Modulus");
			 JOptionPane.showMessageDialog(null, "Incorrect Modulus.  Please try again.");
		 }
		 
         column1 = new FiniteFieldVector[size];
         for (int i3=0; i3<size; i3++) {
            column1[i3] = new FiniteFieldVector(nArray1[i3], rankOfMatroid, theCalculator1);
			
         }
		 	 
		 
		  FiniteFieldReduction matrixReduce = 
		   new FiniteFieldReduction(column1[0].getSize(), 
					    size,
					    column1[0].getField());
		 int newRank = matrixReduce.getRank(column1,size);
		
		 // if the rank of the column vectors is not same as
		// the user entered rank then use GFReduction alg to find
		// the new set of column vectors
		 if(newRank != rankOfMatroid) {
		
		     FiniteFieldVector[] newColumns = new FiniteFieldVector[rankOfMatroid];
			 newColumns = matrixReduce.transpose(column1,size);
			 matrixReduce.reduce(newColumns,rankOfMatroid);
			 column1 = matrixReduce.transpose(newColumns,newRank);
			 
			 
			 
		 }
		 

		 FiniteFieldMatroid theMatroid1;
         theMatroid1 = new FiniteFieldMatroid(column1);
         //theMatroid1.setFlatCalculator(new DefaultFlatCalculator());
		algComp.setInstance(theMatroid1);


		// build the column vectors according to
		// the use entered matrix.  We will use
		// this vectorCols while drawing the the
		// grid representation 
	     vectorCols.removeAllElements();
	     FiniteFieldVector vector;
		 for(int v=0;v<size;v++){
		   Vector temp1 = new Vector();
           vector = theMatroid1.getElement(v);
		   for(int l =0; l<vector.getSize();l++){
			  temp1.addElement(new Integer(vector.get(l)));
		   }
		   vectorCols.addElement(temp1);
		 }
		 
				 
         //
         // get flats and output them
         // 
		 Vector flats = new Vector();
		flats = algComp.getSubsetListVector();
         Iterator pFlat;
         Subset flat;
		 
        // flats = theMatroid1.getFlatCalculator().getFlatsByRank(theMatroid1);
		 newMFlats.removeAllElements();
		 dFlats.removeAllElements();
		 index = 0;
		 memberList.removeAll();
		 
         for (int z=0; z<= theMatroid1.getRank(); z++) {
			Vector subVector = (Vector)flats.get(z);
			 Enumeration fm = subVector.elements();
			 Vector temp1 = new Vector();
             while(fm.hasMoreElements()) 
	         {
			 
		        flat = (Subset)fm.nextElement();
		
			      Subset flat2 = new Subset(flat);
			      temp1.addElement(flat2);
			      String displayStr = (String)flat.toString(true);
			      if(flat.numElements() != 0  &&
					   !dFlats.contains(flat)){
		             dFlats.add(index,flat);
			         index++;
			         if(z == 0 || z == 1){
				    ind++;
				    indCount++;
			      }
		             memberList.add(displayStr);		  
			      }
			   }
			   newMFlats.addElement(temp1);
	               
         }
		 
		 boolean newElements[] = new boolean[size];
		 for(int ele = 0; ele < newElements.length; ele++) {
			newElements[ele] = true;
		 }
		 
		
		 for(int ji = 0; ji <= modulusOfMatroid; ji++)
					ar[ji] = 0; 
		 
		 
		 countElem = 0;
		 sizeOfMatroid = size;
		 setOfLines.removeAllElements();
		 indexPoints.removeAllElements();
		 initialPoints.removeAllElements();
		 displayFlats.removeAllElements();
		 loops.removeAllElements();
		 touchingElements.removeAllElements();
		 touchingEdges.removeAllElements();
		 infinityPoints.removeAllElements();
 movingInfinityPoints.removeAllElements();
			movingPoints.removeAllElements();			

         //
         // run through outline of algorithm for drawing geometric representation
         //
         setOfLines = DoOutline(newMFlats, newRank, size, modulusOfMatroid, newElements, ar, countElem, setOfLines,indexPoints, initialPoints, displayFlats, loops, touchingElements, touchingEdges, vectorCols, infinityPoints, 
                                 movingInfinityPoints, movingPoints);

	
		  firstTime = new boolean[numOfCurves];
		  
		  colorChooser = new Color[numOfCurves];
		  
		  colorFlag = new boolean[numOfCurves];
		  
		  
		  
		  
		  startFlag = new boolean[numOfCurves];
          ctrl1Flag = new boolean[numOfCurves];
          ctrl2Flag = new boolean[numOfCurves];
          endFlag = new boolean[numOfCurves];
		  
		  
		  for(i = 0; i<numOfCurves; i++){
			  firstTime[i] = true;
			  colorFlag[i] = true;
			  startFlag[i] = false;
			  endFlag[i] = false;
			  ctrl1Flag[i] = false;
			  ctrl2Flag[i] = false;
		  }
			  
         cubic = new CubicCurve2D.Double();
         start = new Point[numOfCurves];
         one = new Point[numOfCurves];
         two = new Point[numOfCurves];
         end = new Point[numOfCurves];
         newP = new Point();
		 
         startpt = new Rectangle[numOfCurves];
         endpt = new Rectangle[numOfCurves];
         ctrl1 = new Rectangle[numOfCurves];
         ctrl2 = new Rectangle[numOfCurves];
		 rect = new Rectangle();
		 
		 
		 initstart = new Point[numOfCurves];
         initone = new Point[numOfCurves];
         inittwo = new Point[numOfCurves];
         initend = new Point[numOfCurves];
         		 
         initstartpt = new Rectangle[numOfCurves];
         initendpt = new Rectangle[numOfCurves];
         initctrl1 = new Rectangle[numOfCurves];
         initctrl2 = new Rectangle[numOfCurves];
		  
		 
		 newR = new Rectangle();
         newSR = new Rectangle(0,0,5,5);
         newER = new Rectangle(0,0,5,5);
         newC1R = new Rectangle(0,0,5,5);
         newC2R = new Rectangle(0,0,5,5);

		 addButton.setEnabled(false);
		        addFreeButton.setEnabled(false);
				contractButton.setEnabled(false);
				deleteLineButton.setEnabled(false);
				relaxButton.setEnabled(false);
				bipartiteButton.setEnabled(false);
			  
				doContract = false;
				doDelete = false;
				doRelax = false;
				doBipartite = false;
		 doAdd = false;
		 doAddFree = false;
				
		 resetToCapture = false;
                repaint();
		 }			  
			  
			  
		  }
		  else {
			  
			  JOptionPane.showMessageDialog(null, "PG(2,q) \\ M is only possible for rank 3 matroids. ");
		  }
			  
   

      }// end of try block
       catch (Exception exxp) {
          //throw new InternalError(exxp.getMessage());
		   JOptionPane.showMessageDialog(null, "Couldn't get PG(2,q) \\ M. Please try again.");
       }
                
				
			}//end of doComplement
			else {
			  
			  				           JOptionPane.showMessageDialog(null, "Please, click RESET button and then PG(2,q) \\ M button to perform the operation");			        
		  }
        }
      };
     complementButton.addActionListener(actionListenerC28);
	 
	 try {	
    
		    if(!isLinearSpace) {
			   doAdd = true;
               doRelax = true;
	           doContract = true;
		       doComplement = true;
			   doDelete = true;
		       doAddFree = true;
		       doBipartite = true;
			   labelFlag = true;
			   isBipartiteGraph = false;
			   isTriangleRepr = false;
		
			   flatsOfRank2 = 0;
			   manualIndex = 0;
			   ind = 0;
			   indCount = 0;
			   manualFlag = false;
			   delay = 2500;
			   highFlag = false;
			   unHighflag = false;
			   toggleFlag = true;// initially the control points are not visible.
			   update = false;  
			   pressOut = true;
			   finalStorage.removeAllElements();
			   permStorage.removeAllElements(); 
			   flatsPoints.removeAllElements();
		      

			   alg.setInstance(m);
		 mFlats = alg.getSubsetListVector();
//  		 rankOfMatroid = alg.getRank();
//  		 rankAfterContract = rankOfMatroid;
//  		 sizeOfMatroid = alg.getSize();
//  		 modulusOfMatroid = alg.getModulus();
		 rankOfMatroid = ((FiniteFieldMatroid)m).getRank();
		 rankAfterContract = rankOfMatroid;
		 sizeOfMatroid = ((FiniteFieldMatroid)m).getSize();
		 modulusOfMatroid = 
		   ((FiniteFieldMatroid)m).getField().getFieldSize();
		 Vector subVector = new Vector();
		 		 
		 for(int i=0;i<=rankOfMatroid;i++) {
			 subVector = (Vector)mFlats.get(i);			
             Enumeration fm = subVector.elements();
			 //Vector temp = new Vector();
			 Vector temp3 = new Vector();
		     while(fm.hasMoreElements()) 
	         {
			 
		       Subset flat = (Subset)fm.nextElement();
			   //Subset flat1 = new Subset(flat);
			   Subset flat3 = new Subset(flat);
			   temp3.addElement(flat3);
			   //temp.addElement(flat1);
		       String displayStr = (String)flat.toString(true);
			   if((flat.numElements()) >= 1 &&
					   !dFlats.contains(flat)){
		          dFlats.add(index,flat);
			      index++;
			      if(i == 0 || i == 1){
    				  ind++;
	    			  indCount++;
			      }
		          memberList.add(displayStr);		  
			   }
			   
		   
	         }
			 newMFlats.addElement(temp3);
			 //originalFlats.addElement(temp);
		 }

		matroid = (FiniteFieldMatroid)alg.getInstance(); 	

		FiniteFieldVector vector;
		 nArray = new int[sizeOfMatroid][rankOfMatroid];
		 int row = 0, column = 0;
		 //FiniteFieldVector vector;
		 for(int v=0;v<sizeOfMatroid;v++){
		   Vector temp1 = new Vector();
           vector = matroid.getElement(v);
		   for(int l =0; l<vector.getSize();l++){
			  temp1.addElement(new Integer(vector.get(l)));
			  nArray[row][column] = vector.get(l);
			  column++;
		   }
		   row++;
		   column = 0;
		   vectorCols.addElement(temp1);
		 }

		 		 
			   
			   // build the lattice of flats to use them in bipartite graph display
               latticeFlats.removeAllElements();
	           subVector = new Vector();
               for(int il=1;il<rankOfMatroid;il++) {
			      subVector = (Vector)mFlats.get(il);
			      Vector temp = new Vector();
		          Enumeration fm = subVector.elements();
		          while(fm.hasMoreElements()) 
	              {
			         Subset flatl = (Subset)fm.nextElement();
		             temp.addElement(flatl);
		             String displayStr = (String)flatl.toString(true);
		             if(il == 2){
				        flatsOfRank2++;
				        if(flatl.numElements() > 4)
					       labelFlag = false;
			         }
					 index++;
			         if(!temp.contains(flatl))
			         temp.addElement(flatl);
		          }
		          latticeFlats.addElement(temp);
		       }

		       elementsToDraw = new boolean[sizeOfMatroid];
		       for(int ed = 0; ed < sizeOfMatroid; ed++) {
			      elementsToDraw[ed] = true;
			   }
		 
		       ar = new int[modulusOfMatroid+1];
		       for(int ji = 0; ji <= modulusOfMatroid; ji++)
					ar[ji] = 0; 
		 
		       countElem = 0;
	           addCount = 0;
               movingInfinityPoints.removeAllElements();
		       movingPoints.removeAllElements();
               setOfLines.removeAllElements();
		       indexPoints.removeAllElements();
		       initialPoints.removeAllElements();
		       displayFlats.removeAllElements();
		       loops.removeAllElements();
		       touchingElements.removeAllElements();
		       touchingEdges.removeAllElements();
		       infinityPoints.removeAllElements();
		 
               //
               // run through outline of algorithm for drawing geometric representation
               //
               setOfLines = DoOutline(mFlats, rankOfMatroid, sizeOfMatroid, modulusOfMatroid, elementsToDraw, ar, countElem,setOfLines, indexPoints, initialPoints, displayFlats, loops, touchingElements, touchingEdges, vectorCols, infinityPoints, movingInfinityPoints,  movingPoints);
          
			   // intialize the control points and end points of all
				// the curves before entering the paint mthd
			   firstTime = new boolean[numOfCurves];
		       colorChooser = new Color[numOfCurves];
			   colorFlag = new boolean[numOfCurves];
			   startFlag = new boolean[numOfCurves];
			   ctrl1Flag = new boolean[numOfCurves];
			   ctrl2Flag = new boolean[numOfCurves];
			   endFlag = new boolean[numOfCurves];
		  
		  	   for(i = 0; i<numOfCurves; i++){
			      firstTime[i] = true;
			      colorFlag[i] = true;
			      startFlag[i] = false;
			      endFlag[i] = false;
			      ctrl1Flag[i] = false;
			      ctrl2Flag[i] = false;
		       }
			  
               cubic = new CubicCurve2D.Double();
               start = new Point[numOfCurves];
               one = new Point[numOfCurves];
               two = new Point[numOfCurves];
               end = new Point[numOfCurves];
               newP = new Point();
		       startpt = new Rectangle[numOfCurves];
               endpt = new Rectangle[numOfCurves];
               ctrl1 = new Rectangle[numOfCurves];
               ctrl2 = new Rectangle[numOfCurves];
		       rect = new Rectangle();
		 
		       initstart = new Point[numOfCurves];
               initone = new Point[numOfCurves];
               inittwo = new Point[numOfCurves];
               initend = new Point[numOfCurves];
         	   initstartpt = new Rectangle[numOfCurves];
               initendpt = new Rectangle[numOfCurves];
               initctrl1 = new Rectangle[numOfCurves];
               initctrl2 = new Rectangle[numOfCurves];
		  
		       newR = new Rectangle();
               newSR = new Rectangle(0,0,5,5);
               newER = new Rectangle(0,0,5,5);
               newC1R = new Rectangle(0,0,5,5);
               newC2R = new Rectangle(0,0,5,5);
 
               addMouseMotionListener(this);
	           addMouseListener(this);
	           addComponentListener(this);
			   resetToCapture = false;
            
		    }
		  else if(isLinearSpace) {

			   doAdd = true;
  		       doRelax = true;
	           doContract = true;
		       doComplement = false;
    		   doDelete = true;
		       doAddFree = true;
               doBipartite = true;
		       labelFlag = true;
		  
			   countElem = 0;
			   isBipartiteGraph = false;
			   addCount = 0;
			   manualIndex = 0;
               ind = 0;
               indCount = 0;
               sizeOfLines = 0;
               manualFlag = false;
               delay = 2500;
               highFlag = false;
               unHighflag = false;
		       toggleFlag = true;// initially the control points are not visible.
               update = false;
               pressOut = true;
			   boolean draw = true;
               finalStorage.removeAllElements();
               permStorage.removeAllElements();
		       flatsPoints.removeAllElements();
		       flatsOfRank2 = 0;

			   
               LinearSpace ls = (LinearSpace)m;
				rankOfMatroid = ls.getRank();
			   modulusOfMatroid = 0;
			   sizeOfMatroid = ls.getSize();
			   
			   // get the flats from input applet.
			   Vector tempFlats = ls.getLineIntVector();
			
			      draw = true;
			      rankAfterContract = rankOfMatroid; 
			      elementsToDraw = new boolean[sizeOfMatroid];
		          for(int ed = 0; ed < sizeOfMatroid; ed++) 
			         elementsToDraw[ed] = true;
				  
			   

				  
            	  if(draw) {
					//build all the flats:
					mFlats = new Vector();
					for (int i=0; i<rankOfMatroid+1; i++) {
						mFlats.add(new Vector());
					}
	
					// add rank 0 flats
					((Vector)mFlats.get(0)).addElement(new Vector());
	  
					if(rankOfMatroid == 1) {
						Vector ele = new Vector();
						for(int i=1;i<=sizeOfMatroid;i++) {
				
							ele.addElement(new Integer(i));
						}
						((Vector)mFlats.get(1)).addElement(ele);
			  
					}
					// add the rank-1 flats
					if(rankOfMatroid > 1){
						for(int i=1;i<=sizeOfMatroid;i++) {
							Vector ele = new Vector();
							ele.addElement(new Integer(i));
							((Vector)mFlats.get(1)).addElement(ele);
						}
					}
		  
					// add the lines entered by user
					if(rankOfMatroid >= 2){
						Enumeration tf = tempFlats.elements();
						while(tf.hasMoreElements()) {
							Vector v= (Vector)tf.nextElement();
							((Vector)mFlats.get(2)).addElement(v);
						}
					}
			 
					// add rank-2 flats to mFlats
					if(rankOfMatroid == 3){
						Vector v = new Vector();
						for(int i=1;i<sizeOfMatroid;i++) {
							for(int j = i+1; j <= sizeOfMatroid; j++) {
								Vector elem = new Vector();
								elem.addElement(new Integer(i));
								elem.addElement(new Integer(j));
								if(!checkInLineRank2(tempFlats, elem)){
									((Vector)mFlats.get(2)).addElement(elem);   			
								}
							}
							v.addElement(new Integer(i));
						}
						v.addElement(new Integer(sizeOfMatroid));
						((Vector)mFlats.get(3)).addElement(v);
					}



				     // build the lattice of flats to use them in bipartite graph display
					 // first add the one point lines
		             latticeFlats.removeAllElements();
		      
		
             		// now add the more than 2 point lines
					 
					 for(int il=1;il<rankOfMatroid;il++) {
			            Vector subVector = (Vector)mFlats.get(il);
			            Vector temp = new Vector();
		                Enumeration fm1 = subVector.elements();
		                while(fm1.hasMoreElements()) 
	                    {
					      Vector flatl = (Vector)fm1.nextElement();
			              if(flatl.size() >= 2) {
		                    temp.addElement(flatl);
				            flatsOfRank2++;
				            if(flatl.size() > 4)
					           labelFlag = false;
			              }
             		      if(!temp.contains(flatl))
			                temp.addElement(flatl);
                        }
			            latticeFlats.addElement(temp);
					 }
		 
					// get flats and update them in list box
           			dFlats.removeAllElements();
		            memberList.removeAll();
			        newMFlats.removeAllElements();
                    int max = 0;
			        index = 0;
					
					for(int il=0;il<=rankOfMatroid;il++) {
					  Vector temp = new Vector();
				      Vector subVector = (Vector)mFlats.get(il);		
		              Enumeration fmx = subVector.elements();
		              while(fmx.hasMoreElements()) 
	                  {
          		       Vector v= (Vector)fmx.nextElement();
			           Vector tempx = new Vector(v);
			           Vector v1 = new Vector(v);
					   
        			      String displayStr = (String)v.toString();
		         	      if(il == 2 && max < v.size()) 
    				          max = v.size();
	                      dFlats.add(index,tempx);
			              index++;
			              memberList.add(displayStr);
					   
			           temp.addElement(v1);
			          }
					  newMFlats.addElement(temp);
					}
			        sizeOfLines = max;// this value determines q = sizeOfLines-1.  q is used
					                  // in deciding wether grid or triangle repr should be used.
		   
	         
					setOfLines.removeAllElements();
		            indexPoints.removeAllElements();
		            initialPoints.removeAllElements();
		            displayFlats.removeAllElements();
		            infinityPoints.removeAllElements();
		            movingInfinityPoints.removeAllElements();
			        movingPoints.removeAllElements();
					loops.removeAllElements();
					touchingElements.removeAllElements();
					touchingEdges.removeAllElements();			
                    //
                    // run through outline of algorithm for drawing geometric representation for linear spaces
                    //
                    setOfLines = DoLinearSpaces(mFlats, rankOfMatroid, sizeOfMatroid, sizeOfLines, elementsToDraw, countElem, setOfLines, indexPoints, initialPoints, displayFlats, infinityPoints,movingInfinityPoints,  movingPoints, loops, touchingElements, touchingEdges);

					// intialize the control points and end points of all
					// the curves before entering the paint mthd
	    			firstTime = new boolean[numOfCurves];
					colorChooser = new Color[numOfCurves];
					colorFlag = new boolean[numOfCurves];
					startFlag = new boolean[numOfCurves];
					ctrl1Flag = new boolean[numOfCurves];
					ctrl2Flag = new boolean[numOfCurves];
					endFlag = new boolean[numOfCurves];
		  
		            for(i = 0; i<numOfCurves; i++){
			           firstTime[i] = true;
			           colorFlag[i] = true;
			           startFlag[i] = false;
			           endFlag[i] = false;
			           ctrl1Flag[i] = false;
			           ctrl2Flag[i] = false;
		            }
			        cubic = new CubicCurve2D.Double();
					start = new Point[numOfCurves];
					one = new Point[numOfCurves];
					two = new Point[numOfCurves];
					end = new Point[numOfCurves];
					newP = new Point();
		 
                    startpt = new Rectangle[numOfCurves];
					endpt = new Rectangle[numOfCurves];
					ctrl1 = new Rectangle[numOfCurves];
					ctrl2 = new Rectangle[numOfCurves];
					rect = new Rectangle();
		 
		            initstart = new Point[numOfCurves];
					initone = new Point[numOfCurves];
					inittwo = new Point[numOfCurves];
					initend = new Point[numOfCurves];
         		 
                    initstartpt = new Rectangle[numOfCurves];
					initendpt = new Rectangle[numOfCurves];
					initctrl1 = new Rectangle[numOfCurves];
					initctrl2 = new Rectangle[numOfCurves];
		  
		        	newR = new Rectangle();
					newSR = new Rectangle(0,0,5,5);
					newER = new Rectangle(0,0,5,5);
					newC1R = new Rectangle(0,0,5,5);
					newC2R = new Rectangle(0,0,5,5);

		            addMouseMotionListener(this);
	                addMouseListener(this);
	                addComponentListener(this);
					resetToCapture = false;
                   
					}
			 }
		   }// end of try block
           catch (Exception e) {
              //throw new InternalError(e.getMessage());
		      JOptionPane.showMessageDialog(null, "Error placing the points and lines.  Please re-enter the input.");
           }
		


  setPreferredSize(new Dimension(930,630));

	  resetToCapture = false;
	

   }// end of constructor


   // determines if a particular subset v forms a larger subset in the 
   // user entered set of lines.  If so, then it returs true.
     public boolean checkInLineRank2(Vector tFlats, Vector v) {
	    Enumeration fm = tFlats.elements();
		boolean inLine = false;
		while(fm.hasMoreElements()) 
	    {
	       Vector v1= (Vector)fm.nextElement();
		   //System.out.println(" Hi I am inside checkLine");
		   
		   Object arr[] = new Object[v.size()];
		   arr = v.toArray();
		   for(int i=0; i<v.size();i++) {
			   if(!v1.contains(new Integer(Integer.parseInt(arr[i].toString())))){
				   inLine = false;
		          break;
			   }
               if(v1.contains(new Integer(Integer.parseInt(arr[i].toString()))))
		          inLine = true;
		   }
		   if(inLine == true)
		      break;
		}
		//System.out.println("inline for " + v.toString() + " = " + inLine);
		   return inLine;
     }

   // resets the representation to the original
   public void resetGeom() {
      if(isLinearSpace){
         try {
		    isBipartiteGraph = false;
			addCount = 0;
		    sizeOfMatroid = elementsToDraw.length;
		    rankAfterContract = rankOfMatroid;
			
			// update the list box to the original lines
			// entered by the user
		    Vector subVector = new Vector();
		    dFlats.removeAllElements();
			index = 0;
			int max = 0;
		    memberList.removeAll();
		    newMFlats.removeAllElements();
			
			for(int il=0;il<=rankOfMatroid;il++) {
				Vector temp1 = new Vector();
				subVector = (Vector)mFlats.get(il);		
		        Enumeration fm = subVector.elements();
		       while(fm.hasMoreElements()) 
	           {
			      Vector v= (Vector)fm.nextElement();
			      Vector temp = new Vector(v);
			      Vector v1 = new Vector(v);
				  
			         String displayStr = (String)v.toString();
			         //System.out.println(" Original are = " + displayStr);
			         if(il == 2 && max < v.size()) 
				        max = v.size();
    
				     dFlats.add(index,temp);
			         index++;
			         memberList.add(displayStr);		  
				  
			      temp1.addElement(v1);
			   }
			   newMFlats.addElement(temp1);
			}
		   sizeOfLines = max;
		 
	           for(int ed = 0; ed < sizeOfMatroid; ed++) 
			      elementsToDraw[ed] = true;
		 
		       countElem = 0;
               movingInfinityPoints.removeAllElements();
			   movingPoints.removeAllElements();
		       setOfLines.removeAllElements();
		       indexPoints.removeAllElements();
		       initialPoints.removeAllElements();
		       displayFlats.removeAllElements();
		       infinityPoints.removeAllElements();
               loops.removeAllElements();
		       touchingElements.removeAllElements();
		       touchingEdges.removeAllElements();			
               //
               // run through outline of algorithm for drawing geometric representation for linear spaces
               //
               setOfLines = DoLinearSpaces(newMFlats, rankOfMatroid, sizeOfMatroid, sizeOfLines, elementsToDraw, countElem, setOfLines, indexPoints, initialPoints, displayFlats, infinityPoints, movingInfinityPoints,  movingPoints, loops, touchingElements, touchingEdges);
	
			   firstTime = new boolean[numOfCurves];
               colorChooser = new Color[numOfCurves];
		       colorFlag = new boolean[numOfCurves];
		       startFlag = new boolean[numOfCurves];
               ctrl1Flag = new boolean[numOfCurves];
               ctrl2Flag = new boolean[numOfCurves];
               endFlag = new boolean[numOfCurves];
		  		  
		       for(int i = 0; i<numOfCurves; i++){
			      firstTime[i] = true;
			      colorFlag[i] = true;
			      startFlag[i] = false;
			      endFlag[i] = false;
			      ctrl1Flag[i] = false;
			      ctrl2Flag[i] = false;
		       }
			  
               cubic = new CubicCurve2D.Double();
               start = new Point[numOfCurves];
               one = new Point[numOfCurves];
               two = new Point[numOfCurves];
               end = new Point[numOfCurves];
               newP = new Point();
		       startpt = new Rectangle[numOfCurves];
               endpt = new Rectangle[numOfCurves];
               ctrl1 = new Rectangle[numOfCurves];
               ctrl2 = new Rectangle[numOfCurves];
		       rect = new Rectangle();
		       initstart = new Point[numOfCurves];
               initone = new Point[numOfCurves];
               inittwo = new Point[numOfCurves];
               initend = new Point[numOfCurves];
         	   initstartpt = new Rectangle[numOfCurves];
               initendpt = new Rectangle[numOfCurves];
               initctrl1 = new Rectangle[numOfCurves];
               initctrl2 = new Rectangle[numOfCurves];
		  
		       newR = new Rectangle();
               newSR = new Rectangle(0,0,5,5);
               newER = new Rectangle(0,0,5,5);
               newC1R = new Rectangle(0,0,5,5);
               newC2R = new Rectangle(0,0,5,5);
         }// end of try block
         catch (Exception exxp) {
             //throw new InternalError(exxp.getMessage());
		     JOptionPane.showMessageDialog(null, "No Resetting available. ");
         }
              
	  }

      else {
		  
		  try {
		    isBipartiteGraph = false;
			isTriangleRepr = false;
			addCount = 0;
			rankAfterContract = rankOfMatroid;
		    sizeOfMatroid = elementsToDraw.length;
		    
			// build the column vectors according to
			// the use entered matrix.  We will use
			// this vectorCols while drawing the the
			// grid representation
			 vectorCols.removeAllElements();
	     FiniteFieldVector vector;
		 for(int v=0;v<sizeOfMatroid;v++){
		   Vector temp1 = new Vector();
           vector = matroid.getElement(v);
		   for(int l =0; l<vector.getSize();l++){
			  temp1.addElement(new Integer(vector.get(l)));
		   }
		   vectorCols.addElement(temp1);
		 }
		 
			// update the list box to the original flats
			Vector subVector = new Vector();
		    index = 0;
		    memberList.removeAll();
		    dFlats.removeAllElements();
		    newMFlats.removeAllElements();
		    for(int i=0;i<=rankOfMatroid;i++) {
			   subVector = (Vector)mFlats.get(i);
			   Vector temp = new Vector();
		       Enumeration fm = subVector.elements();
		       while(fm.hasMoreElements()) 
	           {
			      Subset flat = (Subset)fm.nextElement();
			      Subset flat2 = new Subset(flat);
			      temp.addElement(flat2);
			      String displayStr = (String)flat.toString(true);
			      if(flat.numElements() != 0  &&
					   !dFlats.contains(flat)){
		             dFlats.add(index,flat);
			         index++;
			         if(i == 0 || i == 1){
				        ind++;
				        indCount++;
			         }
		             memberList.add(displayStr);		  
			      }
			   }
			   newMFlats.addElement(temp);
		    }
	
			for(int ed = 0; ed < sizeOfMatroid; ed++) 
			   elementsToDraw[ed] = true;
		 
			for(int ji = 0; ji <= modulusOfMatroid; ji++)
			   ar[ji] = 0; 
		 
		    countElem = 0;
            movingInfinityPoints.removeAllElements();
			movingPoints.removeAllElements();
		    setOfLines.removeAllElements();
		    indexPoints.removeAllElements();
		    initialPoints.removeAllElements();
		    displayFlats.removeAllElements();
		    loops.removeAllElements();
		    touchingElements.removeAllElements();
		    touchingEdges.removeAllElements();
		    infinityPoints.removeAllElements();
			
            //
            // run through outline of algorithm for drawing geometric representation
            //
            setOfLines = DoOutline(newMFlats, rankOfMatroid, sizeOfMatroid, modulusOfMatroid, elementsToDraw, ar, countElem, setOfLines, indexPoints, initialPoints, displayFlats, loops, touchingElements, touchingEdges, vectorCols, infinityPoints,movingInfinityPoints,  movingPoints);

			// intialize the control points and end points of all
			// the curves before entering the paint mthd
		    firstTime = new boolean[numOfCurves];
            colorChooser = new Color[numOfCurves];
		    colorFlag = new boolean[numOfCurves];
		    startFlag = new boolean[numOfCurves];
            ctrl1Flag = new boolean[numOfCurves];
            ctrl2Flag = new boolean[numOfCurves];
            endFlag = new boolean[numOfCurves];
		  
		    for(int i = 0; i<numOfCurves; i++){
			   firstTime[i] = true;
			   colorFlag[i] = true;
			   startFlag[i] = false;
			   endFlag[i] = false;
			   ctrl1Flag[i] = false;
			   ctrl2Flag[i] = false;
		    }
			  
            cubic = new CubicCurve2D.Double();
            start = new Point[numOfCurves];
            one = new Point[numOfCurves];
            two = new Point[numOfCurves];
            end = new Point[numOfCurves];
            newP = new Point();
            startpt = new Rectangle[numOfCurves];
            endpt = new Rectangle[numOfCurves];
            ctrl1 = new Rectangle[numOfCurves];
            ctrl2 = new Rectangle[numOfCurves];
            rect = new Rectangle();
		 		 
    		initstart = new Point[numOfCurves];
            initone = new Point[numOfCurves];
            inittwo = new Point[numOfCurves];
            initend = new Point[numOfCurves];
         	initstartpt = new Rectangle[numOfCurves];
            initendpt = new Rectangle[numOfCurves];
            initctrl1 = new Rectangle[numOfCurves];
            initctrl2 = new Rectangle[numOfCurves];
		  
		    newR = new Rectangle();
            newSR = new Rectangle(0,0,5,5);
            newER = new Rectangle(0,0,5,5);
            newC1R = new Rectangle(0,0,5,5);
            newC2R = new Rectangle(0,0,5,5);
         }// end of try block
         catch (Exception exxp) {
            //throw new InternalError(exxp.getMessage());
	        JOptionPane.showMessageDialog(null, "No Resetting available. ");
         }
         
         
      }// end of else
   }// end of resetGeom method
   
  
   
     
     public void componentHidden(ComponentEvent e) {}
 
     public void componentMoved(ComponentEvent e) {}

	 // this takes care of when the applet is resized.
     public void componentResized(ComponentEvent e) {
        resizeX = width / 1000.0;
	    resizeY = height / 535.0;
	   
		// replace the moving points with the points in indexPoints so that the
	    // resizing happens correctly.
	    PointsInfo po2;
		Point newPoint = new Point();
		int newX=0;
		int newY  = 0;
		PointsInfo newP;
		String newIndex = " ";
		String newHighLight = " ";

		movingPoints.removeAllElements();
		Enumeration enumPR = indexPoints.elements();
		while(enumPR.hasMoreElements())
		{
		   po2 = (PointsInfo) enumPR.nextElement();
		   newX = (int)((po2.point.getX()) * resizeX);
		   newY = (int)((po2.point.getY()) * resizeY);
		   newPoint.setLocation(newX, newY);
		   newIndex = po2.index;
		   newHighLight = po2.highLight;
		   newP = new PointsInfo(newIndex,newPoint, newHighLight);
           movingPoints.addElement(newP);
        }
	  
		// replace the movingInfinity points with the points in infinityPoints so that the
		Enumeration enumPR1 = infinityPoints.elements();
		movingInfinityPoints.removeAllElements();
		Point point1 = new Point();
		Point newPoint1 = new Point();
		int newX1=0;
		int newY1  = 0;
		  
		while(enumPR1.hasMoreElements())
		{
           point1 = (Point)enumPR1.nextElement();
	       newX1 = (int)((newPoint1.getX()) * resizeX);
		   newY1 = (int)((newPoint1.getY()) * resizeY);
		   newPoint1.setLocation(newX1, newY1);
		   movingInfinityPoints.addElement(new Point(newPoint1));
		}
		resetToCapture = false;
	    repaint();
     }

     public void componentShown(ComponentEvent e) {}

	 // this method is provided to update the curves after the
	 // user moves them around in the repr.
	 public void mousePressed(MouseEvent e){
	    int mvX,mvY;
		mvX = e.getX();
		mvY = e.getY();
      	    
		// for rank 2 matroid, when there is only one line 
		// only vertical movemoent is allowed.
		if(straightLineFlag == true) {
		   point = new Point(mvX,mvY);
		   Enumeration enumPoint = movingPoints.elements();
		   PointsInfo pointCheck;
		   Rectangle rt;
		   while(enumPoint.hasMoreElements())
		   {
		      pointCheck = (PointsInfo) enumPoint.nextElement();
			  rt = new Rectangle((int)pointCheck.point.getX()-5,(int)pointCheck.point.getY()-5,12,12);
		      if(rt.contains(point)) {
			     pressOut = false;
			     update = true;
				 updatedIndex = pointCheck.index;
			  }
		   }// end of while
			
		   moveX = (int)point.getX();//donot allow the change of x co-ordinate
           moveY = (int)point.getY() - e.getY();
		   updateLocation(e);
	    }
		
		// curves are allowed to be moved in all directions
		if(straightLineFlag == false) {
		   for(int move = 0; move < numOfCurves; move++) {
		      startFlag[move] = false;
			  endFlag[move] = false;
			  ctrl1Flag[move] = false;
			  ctrl2Flag[move] = false;
			  
			  newC1R.setLocation(ctrl1[move].x,ctrl1[move].y);
			  newC2R.setLocation(ctrl2[move].x,ctrl2[move].y);
			  newSR = new Rectangle(startpt[move].x-5,startpt[move].y-5,12,12);
			  newER = new Rectangle(endpt[move].x-5,endpt[move].y-5,12,12);
	          
			  // if the start point of a curve is moved --->
		      if(newSR.contains(mvX, mvY)){
			     update = true;
				 rect.setLocation(startpt[move].x,startpt[move].y);
				 point = new Point(start[move].x,start[move].y);
			  
                 Enumeration enumCheckStart = movingPoints.elements();
		         PointsInfo pointCheckStart;
		      	 while(enumCheckStart.hasMoreElements())
		         {
		            pointCheckStart = (PointsInfo) enumCheckStart.nextElement();
		            if(pointCheckStart.point.equals(point)) {
					   updatedIndex = (String) pointCheckStart.index;
			        }
                 }// end of while
			     moveX = startpt[move].x - e.getX();
                 moveY = startpt[move].y - e.getY();
	             startFlag[move] = true;
			     ctrl1Flag[move] = false;
                 ctrl2Flag[move] = false;
                 endFlag[move] = false;
        		 pressOut = false;
			  }
			  // if the end point of a curve is moved --->
 		      else if(newER.contains(mvX, mvY)){
			     update = true;
                 rect.setLocation(endpt[move].x,endpt[move].y);
			     point = new Point(end[move].x,end[move].y);
			     Enumeration enumCheckEnd = movingPoints.elements();
		         PointsInfo pointCheckEnd;
                 while(enumCheckEnd.hasMoreElements())
		         {
		            pointCheckEnd = (PointsInfo) enumCheckEnd.nextElement();
		            if(pointCheckEnd.point.equals(point)) {
				       updatedIndex = (String) pointCheckEnd.index;
			        }
                 }// end of while
			     		  
                 moveX = endpt[move].x - e.getX();
                 moveY = endpt[move].y - e.getY();
                 endFlag[move] = true;
			     startFlag[move] = false;
			     ctrl1Flag[move] = false;
                 ctrl2Flag[move] = false;
                 pressOut = false;
			  }
			  // if the first control point of a curve is moved --->
              else if(newC1R.contains(mvX,mvY)){
			     update = true;
			     rect.setLocation(ctrl1[move].x,ctrl1[move].y);
			     point = new Point(one[move].x,one[move].y);
                 moveX = ctrl1[move].x - e.getX();
                 moveY = ctrl1[move].y - e.getY();
                 startFlag[move] = false;
				 ctrl1Flag[move] = true;
				 ctrl2Flag[move] = false;
				 endFlag[move] = false;
				 pressOut = false;
			  }
			  // if the second control point of a curve is moved --->
		      else if(newC2R.contains(mvX,mvY)){
			     update = true;
				 rect.setLocation(ctrl2[move].x,ctrl2[move].y);
				 point = new Point(two[move].x,two[move].y);
				 moveX = ctrl2[move].x - e.getX();  
				 moveY = ctrl2[move].y - e.getY();
				 startFlag[move] = false;
				 ctrl1Flag[move] = false;
				 ctrl2Flag[move] = true;
				 endFlag[move] = false;
				 pressOut = false;
		      }
		    
		   }// end of for
		   //finally call updateLocation which takes care of the updation of points.
		   updateLocation(e);
		}
     }  
	 // this method is provided to update the curves after the
	 // user moves them around in the repr.
	 public void mouseDragged(MouseEvent e){
	    if(!pressOut) {
			
		   if(straightLineFlag == true) {
			  Enumeration enumPoint = movingPoints.elements();
		      PointsInfo pointCheck;
			  Rectangle rt;
		      while(enumPoint.hasMoreElements())
		      {
		         pointCheck = (PointsInfo) enumPoint.nextElement();
				 rt = new Rectangle((int)pointCheck.point.getX()-5,(int)pointCheck.point.getY()-5,12,12);
		         if(rt.contains(point)) {
				    update = true;
					updatedIndex = pointCheck.index;
				 }
		      }// end of while ******/
		      updateLocation(e);
	       }
		   if(straightLineFlag == false) {
		      update = true;
			  updateLocation(e);
		   }
         }
     }
    
	 // this method is provided to update the curves after the
	 // user moves them around in the repr.
	 public void mouseReleased(MouseEvent e){
	    int px,py;
		px = e.getX();
		py = e.getY();
		
		if(straightLineFlag == true) {
           point = new Point(px,py);
           Enumeration enumPoint = movingPoints.elements();
	       PointsInfo pointCheck;
	       Rectangle rt;
		   while(enumPoint.hasMoreElements())
		   {
		      pointCheck = (PointsInfo) enumPoint.nextElement();
			  rt = new Rectangle((int)pointCheck.point.getX()-5,(int)pointCheck.point.getY()-5,12,12);
		      if(rt.contains(point)) {
			     update = true;
				 pressOut = true;
                 updatedIndex = pointCheck.index;
		      }
           }// end of while
		   updateLocation(e);
		}
		if(straightLineFlag == false) {
		   for(int move = 0; move < numOfCurves; move++) {
			  startFlag[move] = false;
			  endFlag[move] = false;
			  ctrl1Flag[move] = false;
			  ctrl2Flag[move] = false;
              newSR = new Rectangle(startpt[move].x-5,startpt[move].y-5,12,12);
		      newER = new Rectangle(endpt[move].x-5,endpt[move].y-5,12,12);
              newC1R.setLocation(ctrl1[move].x,ctrl1[move].y);
              newC2R.setLocation(ctrl2[move].x,ctrl2[move].y);
			  
			  // if the start point of a curve is moved --->
              if(newSR.contains(px,py)){
                 update = true;
                 rect.setLocation(startpt[move].x,startpt[move].y);
	             point = new Point(start[move].x,start[move].y);
				 
				 Enumeration enumCheckStart = movingPoints.elements();
				 PointsInfo pointCheckStart;
		      		  
		         while(enumCheckStart.hasMoreElements())
		         {
		            pointCheckStart = (PointsInfo) enumCheckStart.nextElement();
		            if(pointCheckStart.point.equals(point)) {
				       updatedIndex =  (String)pointCheckStart.index;
                    }
                 }// end of while
			  
			     startFlag[move] = true;
			     ctrl1Flag[move] = false;
                 ctrl2Flag[move] = false;
                 endFlag[move] = false;
				 pressOut = true;
              }
			  // if the end point of a curve is moved --->
              else if(newER.contains(px,py)){
			     update = true;
			     rect.setLocation(endpt[move].x,endpt[move].y);
			     point = new Point(end[move].x,end[move].y);
				 Enumeration enumCheckEnd = movingPoints.elements();
		         PointsInfo pointCheckEnd;
		      	 
		         while(enumCheckEnd.hasMoreElements())
		         {
		            pointCheckEnd = (PointsInfo) enumCheckEnd.nextElement();
		            if(pointCheckEnd.point.equals(point)) {
				       updatedIndex = (String) pointCheckEnd.index;
                    }
                 }// end of while
			  
			     startFlag[move] = false;
				 ctrl1Flag[move] = false;
				 ctrl2Flag[move] = false;
				 endFlag[move] = true;
				 pressOut = true;
             }
			  // if the first control point of a curve is moved --->
             else if(newC1R.contains(px,py)){
			    update = true;
			    rect.setLocation(ctrl1[move].x,ctrl1[move].y);
			    point = new Point(one[move].x,one[move].y);
				startFlag[move] = false;
			    ctrl1Flag[move] = true;
                ctrl2Flag[move] = false;
                endFlag[move] = false;
				pressOut = true;
             }
			  // if the second control point of a curve is moved --->
             else if(newC2R.contains(px,py)){
			    update = true;
                rect.setLocation(ctrl2[move].x,ctrl2[move].y);
			    point = new Point(two[move].x,two[move].y);
				startFlag[move] = false;
			    ctrl1Flag[move] = false;
                ctrl2Flag[move] = true;
                endFlag[move] = false;
			    pressOut = true;	
             }
          }//end of for
	      updateLocation(e);
	   }
    }

	public void mouseMoved(MouseEvent e){}

	public void mouseClicked(MouseEvent e){}
	public void mouseExited(MouseEvent e){}
	public void mouseEntered(MouseEvent e){}

	// this method updates the points and calls repaint.
	public void updateLocation(MouseEvent e){
		
		// if the line is a straight line which is the case for rank 2 matroids
       if(update && straightLineFlag == true) {
	      update = false;
		  point.setLocation(moveX, moveY + e.getY());		
		  checkPointLine();
		
		  double x,y;
		  double originalY = 0;
		  //update the movingPoins vector accordingly
		  Enumeration enumPoint = movingPoints.elements();
		  PointsInfo pointCheck;
		  while(enumPoint.hasMoreElements())
		  {
		     pointCheck = (PointsInfo) enumPoint.nextElement();
			 //donot update the loop index, x and y points.
			 if(pointCheck.index.equals(updatedIndex.toString())) {
			    originalY = pointCheck.point.getY();
			   	pointCheck.point.setLocation(point.getX(), point.getY()); 
			 }
          }// end of while
		  Enumeration enumPoint1 = movingPoints.elements();
		  PointsInfo pointCheck1;
		  while(enumPoint1.hasMoreElements())
		  {
		     pointCheck1 = (PointsInfo) enumPoint1.nextElement();
			 if(!loops.contains(pointCheck1.index.toString()) && !pointCheck1.index.equals(updatedIndex.toString())
				&& pointCheck1.point.getY() == originalY){
			    pointCheck1.point.setLocation(pointCheck1.point.getX(),point.getY());	
			 }
		  }//end of while


		  //update the indexPoins vector accordingly
          Enumeration enumPoint2 = indexPoints.elements();
		  PointsInfo pointCheck2;
		  while(enumPoint2.hasMoreElements())
		  {
		     pointCheck2 = (PointsInfo) enumPoint2.nextElement();
			 //donot update the loop index, x and y points.
			 if(pointCheck2.index.equals(updatedIndex.toString())) {
			    originalY = pointCheck2.point.getY();
			   	pointCheck2.point.setLocation(point.getX(), point.getY()); 
			 }
		  }// end of while
		  Enumeration enumPoint3 = indexPoints.elements();
		  PointsInfo pointCheck3;
		  while(enumPoint3.hasMoreElements())
		  {
		     pointCheck3 = (PointsInfo) enumPoint3.nextElement();
			 if(!loops.contains(pointCheck3.index.toString()) && !pointCheck3.index.equals(updatedIndex.toString())
				&& pointCheck3.point.getY() == originalY){
			    pointCheck3.point.setLocation(pointCheck3.point.getX(),point.getY());	
			 }
		  }//end of while

		  //update the initialPoins vector accordingly
          Enumeration enumPoint4 = initialPoints.elements();
		  PointsInfo pointCheck4;
		  while(enumPoint4.hasMoreElements())
		  {
		     pointCheck4 = (PointsInfo) enumPoint4.nextElement();
			 //donot update the loop index, x and y points.
			 if(pointCheck4.index.equals(updatedIndex.toString())) {
				 originalY = pointCheck4.point.getY();
			   	pointCheck4.point.setLocation(point.getX(), point.getY()); 
			 }
	      }// end of while
	      Enumeration enumPoint5 = initialPoints.elements();
		  PointsInfo pointCheck5;
		  while(enumPoint5.hasMoreElements())
		  {
		     pointCheck5 = (PointsInfo) enumPoint5.nextElement();
			 if(!loops.contains(pointCheck5.index.toString()) && !pointCheck5.index.equals(updatedIndex.toString())
				&& pointCheck5.point.getY() == originalY){
			    pointCheck5.point.setLocation(pointCheck5.point.getX(),point.getY());	
			 }
		  }//end of while
       }

	   // if the curves are used which is th ecase for rank 3 matroids
	   if(update && straightLineFlag == false) {
	      update = false;
		  rect.setLocation((moveX + e.getX()-4), (moveY + e.getY()-4));
		  point.setLocation(moveX + e.getX(), moveY + e.getY());
		  checkPoint();
		  
		  for(int ij =0; ij < numOfCurves;ij++) {
			  
			  // if the start point of a curve needs to be updated --->
		     if(startFlag[ij] == true ) {
			    newR.setLocation((int)(rect.x*resizeX), (int)(rect.y*resizeY));
			    startpt[ij] = new Rectangle(newR);
			    newP.setLocation((int)(point.getX()*resizeY),(int)( point.getY()*resizeY));
			    start[ij] = new Point(newP);
    
				//update the movingPoins vector accordingly
				Enumeration enumCheckStart = movingPoints.elements();
				PointsInfo pointCheckStart;
				double originalX = 0; 
				double originalY = 0;
				while(enumCheckStart.hasMoreElements())
				{
		           pointCheckStart = (PointsInfo) enumCheckStart.nextElement();
				   if(pointCheckStart.index.equals(updatedIndex.toString())) {
					  originalX = pointCheckStart.point.getX();
					  originalY = pointCheckStart.point.getY();
				      pointCheckStart.point.setLocation(point.getX(), point.getY());
				   }
                }// end of while
			  
				//update the indexPoins vector accordingly
				Enumeration enumCheckStart1 = indexPoints.elements();
		        PointsInfo pointCheckStart1;
				while(enumCheckStart1.hasMoreElements())
		        {
		           pointCheckStart1 = (PointsInfo) enumCheckStart1.nextElement();
				   if(pointCheckStart1.index.equals(updatedIndex.toString())) {
				      pointCheckStart1.point.setLocation(point.getX(), point.getY());
				   }
                }// end of while
			  
				//update the initialPoins vector accordingly
				Enumeration enumCheckStart2 = initialPoints.elements();
		        PointsInfo pointCheckStart2;
		      	while(enumCheckStart2.hasMoreElements())
		        {
		           pointCheckStart2 = (PointsInfo) enumCheckStart2.nextElement();
				   if(pointCheckStart2.index.equals(updatedIndex.toString())) {
				      pointCheckStart2.point.setLocation(point.getX(), point.getY());
				   }
		        }// end of while
			  
				//update the infinityPoins vector accordingly
			    Enumeration enumCheckStart3 = infinityPoints.elements();
		        Point pointCheckStart3;
		      	while(enumCheckStart3.hasMoreElements())
		        {
		           pointCheckStart3 = (Point) enumCheckStart3.nextElement();
				   if(pointCheckStart3.getX() == originalX 
				      && pointCheckStart3.getY() == originalY) {
				      pointCheckStart3.setLocation(point.getX(), point.getY());
				   }
		        }// end of while
			  
				//update the movingInfinityPoins vector accordingly
                Enumeration enumCheckStart4 = movingInfinityPoints.elements();
		        Point pointCheckStart4;
	            while(enumCheckStart4.hasMoreElements())
		        {
		           pointCheckStart4 = (Point) enumCheckStart4.nextElement();
				   if(pointCheckStart4.getX() == originalX 
				      && pointCheckStart4.getY() == originalY) {
				      pointCheckStart4.setLocation(point.getX(), point.getY());
				   }
  		        }// end of while
			  
			    firstTime[ij] = false;
		     }
		  
			 // if the end point of a curve needs to be updated --->
		     else if(endFlag[ij] == true) {
			    newR.setLocation((int)(rect.x*resizeX), (int)(rect.y*resizeY));
			    endpt[ij] = new Rectangle(newR);
			    newP.setLocation((int)(point.getX()*resizeX),(int)(point.getY()*resizeY));
			    end[ij] = new Point(newP);
					  
			    Enumeration enumCheckEnd = movingPoints.elements();
				PointsInfo pointCheckEnd;
				double originalX = 0;
				double originalY = 0;
				while(enumCheckEnd.hasMoreElements())
				{
				   pointCheckEnd = (PointsInfo) enumCheckEnd.nextElement();
				   if(pointCheckEnd.index.equals(updatedIndex.toString())) {
				      originalX = pointCheckEnd.point.getX();
					  originalY = pointCheckEnd.point.getY();
				      pointCheckEnd.point.setLocation(point.getX(), point.getY());
				   }
			    }// end of while
	
			    Enumeration enumCheckEnd1 = indexPoints.elements();
		        PointsInfo pointCheckEnd1;
		      	while(enumCheckEnd1.hasMoreElements())
		        {
		           pointCheckEnd1 = (PointsInfo) enumCheckEnd1.nextElement();
				   if(pointCheckEnd1.index.equals(updatedIndex.toString())) {
				      pointCheckEnd1.point.setLocation(point.getX(), point.getY());
				   }
		        }// end of while
			  
			    Enumeration enumCheckEnd2 = initialPoints.elements();
		        PointsInfo pointCheckEnd2;
		      	while(enumCheckEnd2.hasMoreElements())
		        {
		           pointCheckEnd2 = (PointsInfo) enumCheckEnd2.nextElement();
				   if(pointCheckEnd2.index.equals(updatedIndex.toString())) {
				      pointCheckEnd2.point.setLocation(point.getX(), point.getY());
				   }
                }// end of while
			  
			    Enumeration enumCheckEnd3 = infinityPoints.elements();
		        Point pointCheckEnd3;
		      	while(enumCheckEnd3.hasMoreElements())
		        {
		           pointCheckEnd3 = (Point) enumCheckEnd3.nextElement();
				   if(pointCheckEnd3.getX() == originalX 
					  && pointCheckEnd3.getY() == originalY) {
				      pointCheckEnd3.setLocation(point.getX(), point.getY());
				   }
		        }// end of while
			  
			    Enumeration enumCheckEnd4 = movingInfinityPoints.elements();
		        Point pointCheckEnd4;
                while(enumCheckEnd4.hasMoreElements())
		        {
		           pointCheckEnd4 = (Point) enumCheckEnd4.nextElement();
				   if(pointCheckEnd4.getX() == originalX 
				      && pointCheckEnd4.getY() == originalY) {
				      pointCheckEnd4.setLocation(point.getX(), point.getY());
				   }
		        }// end of while
			  		  
			    firstTime[ij] = false;
		     }
		  
			 // if the first control point of a curve needs to be updated --->
		     else if(ctrl1Flag[ij] == true ) {
			    newR.setLocation((int)(rect.x*resizeX), (int)(rect.y*resizeY));
				ctrl1[ij] = new Rectangle(newR);
				newP.setLocation((int)(point.getX()*resizeX),(int)(point.getY()*resizeY));
				one[ij] = new Point(newP);
			    firstTime[ij] = false;
             }
               
			 // if the second control point of a curve needs to be updated --->
		     else if(ctrl2Flag[ij] == true ) {
			    newR.setLocation((int)(rect.x*resizeX), (int)(rect.y*resizeY));
			    ctrl2[ij] = new Rectangle(newR);
			    newP.setLocation((int)(point.getX()*resizeX),(int)(point.getY()*resizeY));
			    two[ij] = new Point(newP);
			    firstTime[ij] = false;
		     }
	      }//end of for
 	   }// end of if(update)
	   resetToCapture = false;
	   repaint();
    }
	
	// makes sure that the line in the repr is not dragged 
	// outside the frame
	synchronized void checkPointLine() {
	   if (area == null) {
		  return;
	   }
       if((area.contains(point))){
	      return;
	   }
       double new_px = point.getX();
       double new_py = point.getY();
		
       if(point.getY() > 535){
		  new_py = 530;
	   }
	   if(point.getY() < 85){
         new_py = 90;
	   }
       point.setLocation(new_px, new_py);
	}
	
	
	/*
         * Checks if the rectangle is contained within the applet window.  If the rectangle
         * is not contained within the applet window, it is redrawn so that it is adjacent
         * to the edge of the window and just inside the window.
	*/
	synchronized void checkPoint(){
	   if (area == null) {
			return;
	   }
       if((area.contains(rect)) && (area.contains(point))){
			return;
	   }
       int new_x = (int)rect.x;
	   int new_y = (int)rect.y;
	   double new_px = point.getX();
	   double new_py = point.getY();
	   
	   if((rect.x+rect.width)>area.getWidth()){
		  new_x = (int)area.getWidth()-(rect.width+10);
       }
	   if(point.getX() > area.getWidth()){
		  new_px = (int)area.getWidth()- 10;
       }
	   if(rect.x < 168){  
		  new_x = 170;
       }
	   if(point.getX() < 168){
		  new_px = 170;
       }
	   if((rect.y+rect.width)>535){
		  new_y = 530-(rect.height+10);
	   }
       if(point.getY() > 535){
		  new_py = 530;
       }
	   if(rect.y < 85){  
		  new_y = 90;
       }
	   if(point.getY() < 85){
          new_py = 90;
	   }
	   rect.setLocation(new_x, new_y);
	   point.setLocation(new_px, new_py);
	}
   
    public void paint(Graphics g) {
       Dimension dim = getSize();
	   int w = dim.width;
       int h = dim.height; 
       width = (double)dim.width;
       height = (double)dim.height; 
       area = new Rectangle(new Point(160,30),new Dimension(1000,652));
		
	   Graphics2D g2 = (Graphics2D) g;
	   bi = (BufferedImage)createImage(w, h);
	   big = bi.createGraphics();
	   g2.setColor(Color.gray);
	   g2.setBackground(new Color(204,204,204));
       g2.clearRect(0, 0, area.width, area.height);
	   g2.setColor(Color.black);
	  
	   double fontSize = 14 * resizeX;
	   if(resizeY < resizeX)
		  fontSize = 14 * resizeY;
	  	  	  
	   g2.setFont(new Font("Serif", Font.BOLD,(int)fontSize));  
       Color color[] = {Color.blue,Color.black,Color.yellow, Color.cyan, Color.gray, Color.green ,Color.magenta,
					   Color.pink,Color.orange, new Color(0,200,0), new Color(200,0,0),
	                   new Color(0,0,200), new Color(0,0,150),new Color(0,150,0), new Color(150,0,0),
	                   new Color(175,0,0), new Color(0,175,0), new Color(0,0,175), new Color(192,0,0),
	                   new Color(0,192,0), new Color(0,0,192), new Color(128,0,0), new Color(0,128,0),
	                   new Color(0,0,128), new Color(255,0,75) ,new Color(255,75,0), new Color(0,255,75),
	                   new Color(51,51,51),new Color(0,0,204),new Color(102,51,51),new Color(153,51,204),new Color(153,51,51),
	                   new Color(102,204,204),new Color(204,51,102),new Color(255,153,0),new Color(153,51,255),new Color(51,255,255),
	                   new Color(0,255,204),new Color(153,0,255)};
	
	   // if the geometric repr need to be drawn
	  if(!isBipartiteGraph) {
	     PointsInfo po2;
		 Point newPoint = new Point();
	     int flatSize = 0;
         Iterator it;
		 nCurve = 0;
	     colorIndex = 0;
	     
		 // go thru' each flat/ line and draw them
		 Enumeration enum = setOfLines.elements();
	     while(enum.hasMoreElements()) 
	     {
		    HashSet flatSet = ((HashSet)enum.nextElement());
			// determine if the line to be drawn is a curve or a straight line
		   // rank 2 matroids ---> staright lines
		   // rank 3 matroids --> curves
			if(flatSet.contains(new Boolean(true))){
	           straightLineFlag = true;
		    }
		    else{
			   straightLineFlag = false;
		    }

            // b'coz the flatSet also has the boolean value and a highlight indicator
		    flatSize = flatSet.size()-1 -1;
			it = flatSet.iterator();
			int atemp = 0;
			Object temp[] = new Object[flatSize];
			int pointIndex;
			Object check = new Object();
			boolean highlight = false;
	  
            while(it.hasNext())
		    {
	    	   check = it.next();
			   if(check.equals(new Integer(-1)) )
				  highlight = true;
			   if(check.equals(new Integer(-2)) )
				  highlight = false;
			   if(!check.equals(new Boolean(true)) && !check.equals(new Boolean(false)) 
				  && !check.equals(new Integer(-1)) && !check.equals(new Integer(-2))){
		          temp[atemp] = check;
			      atemp++;
			   }
		    }
		  
			// if the points in the flat are parallel points then
			// repr the points as a comma separated label
	  		for(int ind = 0; ind < flatSize; ind++) {
	    	   Enumeration tenum = touchingEdges.elements();
	       	   while(tenum.hasMoreElements()) 
	           {
		          Vector tSet = ((Vector)tenum.nextElement());
			      Object edgesArray[] = new Object[tSet.size()];
			      edgesArray = tSet.toArray();
			      String indexString = edgesArray[0].toString();
			      for(int is = 1; is < edgesArray.length ; is++)
				     indexString = indexString + "," + edgesArray[is].toString();
			
			      Enumeration tSetm = tSet.elements();
			      while(tSetm.hasMoreElements())
			      { 
				     check = tSetm.nextElement();
				     if(check.toString().equals(temp[ind].toString())) {
					    temp[ind] = indexString;
				     }
			      }
		       }
		    }
		  			  
		    Point flatPoints[] = new Point[flatSize]; // regular points
		    Point C01, C10, C21, C12; // control points
			
			// copy the point coordinates of this flat in to an array
		    Enumeration enumP = movingPoints.elements();
            newPoint = new Point();
		    Rectangle newRectangle = new Rectangle();
		    while(enumP.hasMoreElements())
		    {
		       po2 = (PointsInfo) enumP.nextElement();
		       for(pointIndex = 0; pointIndex < flatSize; pointIndex++) {
			      if(po2.index.equals(temp[pointIndex].toString())) {
				     newPoint.setLocation(((po2.point.getX())), (po2.point.getY()));
				     flatPoints[pointIndex] = new Point(newPoint);
                  }
			   }
		    }// end of while

			// if line is a straight line
			if(straightLineFlag == true)
		    {
		 	   g2.setColor(Color.green);		
			   double x[] = new double[flatSize];	
			   double y[] = new double[flatSize];
			   
			   for(int f = 0; f < flatSize; f++) {
			 	  x[f] = flatPoints[f].getX();
				  y[f] = flatPoints[f].getY();
			   }
				 
			   // sort the coordinates based on the x value
			   // this gives a good repr
			   sort(x,y);
			  
			   // copy the coordinates back into the array after sorting
			   for(pointIndex = 0; pointIndex < flatSize; pointIndex++) {
			 	  newPoint.setLocation(x[pointIndex], y[pointIndex]);
				  flatPoints[pointIndex] = new Point(newPoint);
			   }
	
			   g2.setStroke(new BasicStroke(2.0f));
			   for(pointIndex = 0; pointIndex < flatSize-1; pointIndex++) {
				  if(!highlight)
				     g2.drawLine((int)flatPoints[pointIndex].getX(),(int) flatPoints[pointIndex].getY(), (int)flatPoints[pointIndex+1].getX(), (int)flatPoints[pointIndex+1].getY());	
				  else {
	                 g2.setStroke(new BasicStroke(7.0f));
					 g2.drawLine((int)flatPoints[pointIndex].getX(),(int) flatPoints[pointIndex].getY(), (int)flatPoints[pointIndex+1].getX(), (int)flatPoints[pointIndex+1].getY());	
				  }
		          g2.setStroke(new BasicStroke(2.0f));
			   }
			   g2.setColor(Color.black);
		    }
			// if line is a curve, we use cubic curves to draw them
		    else if (straightLineFlag == false){
		       //draw the curved lines now:
          	   g2.setStroke(new BasicStroke(2.0f));
			   double xValues[] = new double[flatSize];
			   double yValues[] = new double[flatSize];
			   boolean xFlag = true;
			   for(int fi = 0; fi < flatSize; fi++) {
			 	  xValues[fi] = flatPoints[fi].getX();
				  yValues[fi] = flatPoints[fi].getY();
			   }
				
			   // A cubic curve is described by a third-order equation.
			   // This type of line segment is specified by four points: 
			   // two endpoints and two control points. Each control point
			   // determines the tangent of the curve for one of the endpoints.
			   // Suppose the endpoints are p1 and p2, and the control points
			   // are c1 and c2. The tangent of the curve at p1 is determined
			   // by the line between p1 and c1. Likewise, the tangent at p2 
			   // is determined by a line from p2 to c2. These curves are also
			   // called Bzier curves.
			      
			  //permStorage.removeAllElements();
			  //finalStorage.removeAllElements();
			  //determineOrderOfElements(flatPoints, flatSize);
			  //if(ascending(yValues)) {
			  // xFlag = true;
			  // }
			  // else if(descending(yValues)) {
			  //   xFlag = true;
			  // }
			  // else
			  //	 xFlag = false;
			  //if(xFlag == false){
              //double diff2 = sort(yValues,xValues);
			  //}
              //if(diff1 < diff2)
  		      
			   sort(xValues,yValues);// to get the start point in the infinity line to be the 
			                         // one with least xValue.
			   Point p2 = new Point();
	          boolean flag = false;
	          int match = -1;
		 
			  // select the starting point in the line to be the infinity point.
	          // if the triangle repr was used then infinity points will be empty and
			  // match = -1.
	          for(int i = 0; i < xValues.length && !flag; i++) {
	             p2.setLocation((int)xValues[i],(int)yValues[i]);
		         if(movingInfinityPoints.contains(p2)) {
			        flag = true;// this projective plane point would be the start for drawing
			        match = i;
                 }
	          }
			  // sort the points based on the next nearest point
			  sortDistance(xValues,yValues, match);

			  for(pointIndex = 0; pointIndex < flatSize; pointIndex++) {
			 	 newPoint.setLocation(xValues[pointIndex], yValues[pointIndex]);
				 flatPoints[pointIndex] = new Point(newPoint);
			  }
				 	 
			 Graphics2D mGraphics = (Graphics2D)g;
			 for(pointIndex = 0; pointIndex < flatSize-1; pointIndex++) {
			    while(colorFlag[nCurve]){
				colorChooser[nCurve] = color[colorIndex];
				if(colorIndex == 38)
				   colorIndex = 0;
				   colorFlag[nCurve] = false;
				}
				
			   if(resetToCapture == false) {
				Point initPoint = new Point();
				Rectangle initRectangle = new Rectangle();
				
				newPoint.setLocation(flatPoints[pointIndex].getX(), flatPoints[pointIndex].getY());
				start[nCurve] = new Point(newPoint);
				newPoint.setLocation(flatPoints[pointIndex+1].getX(), flatPoints[pointIndex+1].getY());
		        end[nCurve] = new Point(newPoint);
				
				newRectangle.setRect(start[nCurve].getX()-4, start[nCurve].getY()-4, 12,12);
				startpt[nCurve] = new Rectangle(newRectangle);

				newRectangle.setRect((int)end[nCurve].getX()-4, (int)end[nCurve].getY()-4, 12,12);
                endpt[nCurve] = new Rectangle(newRectangle);
				
				/***********to update the control points accordingly***********/
				if(startFlag[nCurve] == true || endFlag[nCurve] == true) {
				   int ptX = (int)start[nCurve].getX();
				   int ptY = (int)start[nCurve].getY();
    			   ptX = ptX + (int)((end[nCurve].getX() - start[nCurve].getX())/(3)+10);
	    	       ptY  = ptY + (int)((end[nCurve].getY() - start[nCurve].getY())/(3)-10);
		    	   newPoint.setLocation(ptX, ptY);
			       one[nCurve] = new Point(newPoint);
				   				
				   ptX = ptX + (int)((end[nCurve].getX() - start[nCurve].getX())/(3)-10);
     		       ptY  = ptY + (int)((end[nCurve].getY() - start[nCurve].getY())/(3)+10);
	     		   newPoint.setLocation(ptX, ptY);
		    	   two[nCurve] = new Point(newPoint);
				   
				   ptX = (int)start[nCurve].getX();
				   ptY = (int)start[nCurve].getY();
    			   ptX = ptX + (int)((end[nCurve].getX() - start[nCurve].getX())/(3));
	    	       ptY  = ptY + (int)((end[nCurve].getY() - start[nCurve].getY())/(3));
		    	   newRectangle.setRect(ptX, ptY, 12,12);
                   ctrl1[nCurve] = new Rectangle(newRectangle);
				
				   ptX = ptX + (int)((end[nCurve].getX() - start[nCurve].getX())/(3));
    		       ptY  = ptY + (int)((end[nCurve].getY() - start[nCurve].getY())/(3));
        		   newRectangle.setRect(ptX, ptY, 12,12);
	               ctrl2[nCurve] = new Rectangle(newRectangle);
				}// end of if flag
						 
				if(firstTime[nCurve]){
				   initPoint.setLocation(flatPoints[pointIndex].getX(), flatPoints[pointIndex].getY());
    			   initstart[nCurve] = new Point(initPoint);
										   
				   initPoint.setLocation(flatPoints[pointIndex+1].getX(), flatPoints[pointIndex+1].getY());
    			   initend[nCurve] = new Point(initPoint);
				   
				   int pointX = (int)start[nCurve].getX();
				   int pointY = (int)start[nCurve].getY();
				   pointX = pointX + (int)((end[nCurve].getX() - start[nCurve].getX())/(3)+10);
		           pointY  = pointY + (int)((end[nCurve].getY() - start[nCurve].getY())/(3)-10);
				   newPoint.setLocation(pointX, pointY);
				   initPoint.setLocation(pointX, pointY);
		           one[nCurve] = new Point(newPoint);
				   initone[nCurve] = new Point(initPoint);
					
				   pointX = pointX + (int)((end[nCurve].getX() - start[nCurve].getX())/(3)-10);
		           pointY  = pointY + (int)((end[nCurve].getY() - start[nCurve].getY())/(3)+10);
				   newPoint.setLocation(pointX, pointY);
				   initPoint.setLocation(pointX, pointY);
		           two[nCurve] = new Point(newPoint);
				   inittwo[nCurve] = new Point(initPoint);
					
				   initRectangle.setRect((int)start[nCurve].getX()-4, (int)start[nCurve].getY()-4, 12,12);
				   initstartpt[nCurve] = new Rectangle(initRectangle);

    			   initRectangle.setRect((int)end[nCurve].getX()-4, (int)end[nCurve].getY()-4, 12,12);
				   initendpt[nCurve] = new Rectangle(initRectangle);
				   
				   pointX = (int)start[nCurve].getX();
				   pointY = (int)start[nCurve].getY();
				   pointX = pointX + (int)((end[nCurve].getX() - start[nCurve].getX())/(3));
		           pointY  = pointY + (int)((end[nCurve].getY() - start[nCurve].getY())/(3));

				   newRectangle.setRect(pointX, pointY, 12,12);
				   initRectangle.setRect(pointX, pointY,12,12);
                   ctrl1[nCurve] = new Rectangle(newRectangle);
				   initctrl1[nCurve] = new Rectangle(initRectangle);
				   
				   pointX = pointX + (int)((end[nCurve].getX() - start[nCurve].getX())/(3));
		           pointY  = pointY + (int)((end[nCurve].getY() - start[nCurve].getY())/(3));
				   
				   newRectangle.setRect(pointX, pointY, 12,12);
				   initRectangle.setRect(pointX, pointY,12,12);
                   ctrl2[nCurve] = new Rectangle(newRectangle);
				   initctrl2[nCurve] = new Rectangle(initRectangle);
				}// end first time
			   }// end of if capyure == false
			   
								   
				cubic.setCurve(start[nCurve], one[nCurve], two[nCurve], end[nCurve]);
    			mGraphics = (Graphics2D)g;
				g2.setColor(colorChooser[nCurve]);
				if(highlight)
	        	   g2.setStroke(new BasicStroke(7.0f));
				
				mGraphics.draw((Shape)cubic);
                if(!toggleFlag) {
                   // mGraphics.fill(new Rectangle(startpt[nCurve].x, startpt[nCurve].y,5,5));
	               // mGraphics.fill(new Rectangle(endpt[nCurve].x, endpt[nCurve].y,5,5));
	               mGraphics.fill(new Rectangle(ctrl1[nCurve].x, ctrl1[nCurve].y,5,5));
	               mGraphics.fill(new Rectangle(ctrl2[nCurve].x, ctrl2[nCurve].y,5,5));
                }
			  	g2.setStroke(new BasicStroke(2.0f));
				if(nCurve < numOfCurves-1)
				   nCurve++;
			 }// end of for
			 colorIndex++;
			 g2.setColor(Color.black);
	   	  }// end else
       }// end of while
	   g2.setColor(Color.black);
	   fontSize = 24 * resizeX;
	   if(resizeY < resizeX)
		  fontSize = 24 * resizeY;
	  
	   if(rankOfMatroid == 3 && rankAfterContract > 2) 
	     g2.setFont(new Font("Serif", Font.BOLD,(int)fontSize));  
	  
	  // draw the points
	  Enumeration e1 = movingPoints.elements();
      PointsInfo ip;
      while(e1.hasMoreElements())
	  {
	     ip= (PointsInfo) e1.nextElement();
		 // donot draw 0 point.
	     if(!(ip.index.toString().equals(new String("0")))) {
		    if(ip.highLight.toString().equals(new String("-1"))) {
			   g2.setColor(Color.red);
			}
	        g2.fillRoundRect((int)ip.point.getX()-5,(int)ip.point.getY()-5,12,12,10,10);
			g2.setColor(Color.black);
			g2.drawString(ip.index.toString(),(int)ip.point.getX()-15,(int)ip.point.getY()-15);
			if(loops.contains(ip.index.toString()))
				g2.drawRect((int)ip.point.getX()-10,(int)ip.point.getY()-10,20,20);
		 }
	  }
	  
	  fontSize = 14 * resizeX;
	  if(resizeY < resizeX)
		  fontSize = 14 * resizeY;
	  
	  g2.setFont(new Font("Serif", Font.BOLD,(int)fontSize));  
   }// end of if(!isBipartiteGraph)
   
	  // if the bipartite graph is to be drawn and the 
	  // matroid is entered as a matrix
   else if(isBipartiteGraph && !isLinearSpace) {
      sizeOf = rankOfMatroid + 1;
      colorIndex = 0;
	  int splitY = 700;
	  int splitX = 1000 - 150;
	  int xValue;
	  int yValue;
	  int xSplit;
	  int ySplit; 
	  Point p = new Point();
	  FlatsInfo f;
	  flatsPoints = new Vector();
	  ySplit = (int)(splitY/(sizeOf + 1));
	  yValue = (int)(500 - ySplit);
	  
	  fontSize = 10 * resizeX;
	  if(resizeY < resizeX)
		  fontSize = 10 * resizeY;
	  
	  	  
	  g2.setFont(new Font("Serif", Font.BOLD,(int)fontSize));  
	    
	  // det the placement of points and drwa them
	  Enumeration enums1 = latticeFlats.elements();
	  
	  while(enums1.hasMoreElements()) 
	  {
	     Vector temp = (Vector)enums1.nextElement();
		 xSplit = (int)(splitX / (temp.size() + 1));
	
		 xValue = (int)(150 + xSplit);
		 Enumeration esp1 = temp.elements();
		 while(esp1.hasMoreElements()) {
		    Subset fs = (Subset)esp1.nextElement();
		    String displayStr = (String)fs.toString(true);
			p.setLocation((int)(xValue*resizeX),(int)(yValue*resizeY));
			f = new FlatsInfo(fs,p, "-2");// do not highlight initially
			if(highlightElement[0] > 0 && 
			   mfc.contains(fs, highlightElement[0]-1)){
			   f = new FlatsInfo(fs,p, "-1");// highlight
			   //System.out.println(" Highlighting the flat " + fs.toString());
			}
			flatsPoints.addElement(f);
			g2.fillRoundRect(((int)(xValue*resizeX)) - 5,((int)(yValue*resizeY)) - 5,12,12,10,10);
			if(flatsOfRank2 <= 15  && labelFlag == true){
			   if(fs.numElements() <= 1)
				  g2.drawString(displayStr,((int)(xValue*resizeX))-25,((int)(yValue*resizeY))+5);
			   else
			      g2.drawString(displayStr,((int)(xValue*resizeX))-35,((int)(yValue*resizeY))-15);
			}
			xValue = (int)(xValue + xSplit); 
				 
		 }
	     yValue = (int)(yValue - ySplit);	  
	  }
	  	  
	  // draw the line joining the points and their inclusion sets.
	  Enumeration enums = latticeFlats.elements();
	  FlatsInfo f1; 
	  Vector temp1 = new Vector();
	  Vector temp2 = new Vector();
	  Point t1 = new Point();
	  Point t2 = new Point();
	  String str1 = new String();
	  String str2 = new String();
	  boolean firstTime = true;
	  while(enums.hasMoreElements()) 
	  {
	     if(firstTime){
		    temp1 = (Vector)enums.nextElement();
		    temp2 = (Vector)enums.nextElement();
			firstTime = false;
		 }
		 else {
	        temp1 = new Vector(temp2);
		    temp2 = (Vector)enums.nextElement();
		 }
		 Enumeration espTemp1 = temp1.elements();
		 colorIndex = 0;  		  
		 while(espTemp1.hasMoreElements()) {
		    Subset fs1 = (Subset)espTemp1.nextElement();
	        g2.setColor(color[colorIndex]);
	        colorIndex++;
			if(colorIndex == 37){
			   colorIndex = 0;
			}
	  
	        Enumeration espTemp2 = temp2.elements();	 
			while(espTemp2.hasMoreElements()) {
			   Subset fs2 = (Subset)espTemp2.nextElement();
			   if(fs2.subsetContains(fs1)){
			      Enumeration e = flatsPoints.elements();
				  while(e.hasMoreElements())
				  {
				     f1 = (FlatsInfo)e.nextElement();
					 if(f1.flat.equals(fs1)){
						t1.setLocation(f1.point);
						str1 = new String(f1.highLight);
					 } 
				 	 if(f1.flat.equals(fs2)){
						t2.setLocation(f1.point);
						str2 = new String(f1.highLight);
					 }
				  }
				  g2.setStroke(new BasicStroke(2.0f));
				  if(str1.equals("-1") && str2.equals("-1"))
					  g2.setStroke(new BasicStroke(7.0f));
				  
                  g2.drawLine((int)t1.getX(),(int)t1.getY(), (int)t2.getX(), (int)t2.getY());	
			   }
	        }
	     }  
      }
   }
	
   // if the bipartite graph is to be drawn and the 
	  // matroid is entered as a set of lines
   else if(isBipartiteGraph && isLinearSpace) {
	  sizeOf = rankOfMatroid + 1;
	  colorIndex = 0;
	  int splitY = 700;
	  int splitX = 1000 - 150;
	  int xValue;
	  int yValue;
	  int xSplit;
	  int ySplit; 
	  Point p = new Point();
	  FlatsInfoLinear f;
	  flatsPoints = new Vector();
	  ySplit = (int)(splitY/(sizeOf + 1));
	  yValue = (int)(500 - ySplit);
	  
	  fontSize = 10 * resizeX;
	  if(resizeY < resizeX)
		  fontSize = 10 * resizeY;
	  
	  g2.setFont(new Font("Serif", Font.BOLD,(int)fontSize));  
	  
	  Enumeration enums1 = latticeFlats.elements();
	  while(enums1.hasMoreElements()) 
	  {
		  Vector temp = (Vector)enums1.nextElement();
		  xSplit = (int)(splitX / (temp.size() + 1));
	
		  xValue = (int)(150 + xSplit);
		  Enumeration esp1 = temp.elements();
		  while(esp1.hasMoreElements()) {
			  
		     Vector fs = (Vector)esp1.nextElement();
		     String displayStr = (String)fs.toString();
			 p.setLocation((int)(xValue*resizeX),(int)(yValue*resizeY));
			 f = new FlatsInfoLinear(fs,p, "-2");// do not highlight initially
			 if(highlightElement[0] > 0 && 
			   fs.contains(new Integer(highlightElement[0]))){
				 f = new FlatsInfoLinear(fs,p, "-1");// highlight
			 }
			 flatsPoints.addElement(f);
			 g2.fillRoundRect(((int)(xValue*resizeX)) - 5,((int)(yValue*resizeY)) - 5,12,12,10,10);
			 if(flatsOfRank2 <= 15  && labelFlag == true){
				 if(fs.size() <= 1)
				    g2.drawString(displayStr,((int)(xValue*resizeX))-25,((int)(yValue*resizeY))+5);
			     else
			        g2.drawString(displayStr,((int)(xValue*resizeX))-35,((int)(yValue*resizeY))-15);
			 }
			 xValue = (int)(xValue + xSplit); 
				 
		  }
	
		  yValue = (int)(yValue - ySplit);	  
	  }
	  	  
	  Enumeration enums = latticeFlats.elements();
	  FlatsInfoLinear f1; 
	  Vector temp1 = new Vector();
	  Vector temp2 = new Vector();
	  Point t1 = new Point();
	  Point t2 = new Point();
	  String str1 = new String();
	  String str2 = new String();
	  boolean firstTime = true;
	  boolean drawFlag = true;
	  while(enums.hasMoreElements()) 
	  {
		  if(firstTime){
		     temp1 = (Vector)enums.nextElement();
		     temp2 = (Vector)enums.nextElement();
			 firstTime = false;
		  }
		  else {
			 temp1 = new Vector(temp2);
		     temp2 = (Vector)enums.nextElement();
		  }
		  Enumeration espTemp1 = temp1.elements();
		  colorIndex = 0;  		  
		  while(espTemp1.hasMoreElements()) {
		     Vector fs1 = (Vector)espTemp1.nextElement();
	         g2.setColor(color[colorIndex]);
			 colorIndex++;
			 if(colorIndex == 37){
				colorIndex = 0;
			 }
				 
	         Enumeration espTemp2 = temp2.elements();	 
			 while(espTemp2.hasMoreElements()) {
		       Vector fs2 = (Vector)espTemp2.nextElement();
			   drawFlag = false;
			   Object array2[] = new Object[fs2.size()];
			   Object array1[] = new Object[fs1.size()];
			   array2 = fs2.toArray();
			   array1 = fs1.toArray();
               for(int k = 0; k< array2.length; k++){
				   if(array2[k].toString().equals(array1[0].toString())){			   
					   drawFlag = true;
					   break;
				   }
			   }
	
			   if(drawFlag) {
				 Enumeration e = flatsPoints.elements();
				 while(e.hasMoreElements())
				 {
				    f1 = (FlatsInfoLinear)e.nextElement();
					if(f1.flat.equals(fs1)){
						t1.setLocation(f1.point);
						str1 = new String(f1.highLight);
					} 
					if(f1.flat.equals(fs2)){
						t2.setLocation(f1.point);
						str2 = new String(f1.highLight);
					}
				 }
				 g2.setStroke(new BasicStroke(2.0f));
				 if(str1.equals("-1") && str2.equals("-1"))
					g2.setStroke(new BasicStroke(7.0f));
				 
                 g2.drawLine((int)t1.getX(),(int)t1.getY(), (int)t2.getX(), (int)t2.getY());	
			   }
		    }
		  }
	   }
	}
	  
	
  }// end of paint mthd
   
   
 
   // method sorts the distances based on the next nearest point in the repr
 public void sortDistance(double first[], double second[], int match)
 {
    Point[] tempArray = new Point[first.length];
	Point newPoint = new Point();
	if(match != -1){
	   newPoint.setLocation((int)first[match],(int)second[match]);
	   tempArray[0] = new Point(newPoint);
	   first[match] = 0.0;
	   second[match] = 0.0;
	   int start = 0; 
	   double minDist = 10000.0;
	   double dist = 0.0;
	   for(int pass = 0; pass < first.length-1; pass++) {
	     for(int x = 0; x < first.length ;x++) {
		   if(first[x]!=0 && second[x]!=0){
		      dist = Math.sqrt( Math.pow(((int)tempArray[start].getY() - (int)second[x]),2) +
						Math.pow(((int)tempArray[start].getX() - (int)first[x]),2));
		      if(dist < minDist){
			     minDist = dist;
				 newPoint.setLocation((int)first[x],(int)second[x]);
			     tempArray[start+1] = new Point(newPoint);
				 match = x;
			  }
		   }
         }
		 first[match] = 0.0;
		 second[match] = 0.0;
		 minDist = 10000.0;
		 start++;
      }
		   
	  //after it finishes all the passes
	  // add the last point into tempArray
	  for(int y = 0; y < first.length; y++ ) {
	     if(first[y]!= 0 && second[y] != 0) {
		    newPoint.setLocation((int)first[y], (int)second[y]);
		    tempArray[start] = new Point(newPoint);
		 }
	  }
		   
	  for(int z = 0; z < first.length; z++) {
	     first[z] = tempArray[z].getX();
	     second[z] = tempArray[z].getY();
	  }
			   
    }
	else if(match == -1){
	   sort(first, second);
	   newPoint.setLocation((int)first[0],(int)second[0]);
	   tempArray[0] = new Point(newPoint);
	   first[0] = 0.0;
	   second[0] = 0.0;
	   int start = 0; 
	   double minDist = 10000.0;
	   double dist = 0.0;
		
	   for(int pass = 0; pass < first.length-1; pass++) {
	      for(int x = 0; x < first.length ;x++) {
	    	if(first[x]!=0 && second[x]!=0){
		         dist = Math.sqrt( Math.pow(((int)tempArray[start].getY() - (int)second[x]),2) +
						Math.pow(((int)tempArray[start].getX() - (int)first[x]),2));
			     if(dist < minDist){
				     minDist = dist;
					 newPoint.setLocation((int)first[x],(int)second[x]);
				     tempArray[start+1] = new Point(newPoint);
					 match = x;
			     }
			}
          }
	      first[match] = 0.0;
		  second[match] = 0.0;
		  minDist = 10000.0;
		  start++;
	   }
	   //after it finishes all the passes
	   // add the last point into tempArray
	   for(int y = 0; y < first.length; y++ ) {
	      if(first[y]!= 0 && second[y] != 0) {
		     newPoint.setLocation((int)first[y], (int)second[y]);
		     tempArray[start] = new Point(newPoint);
		  }
	   }
		   
	   for(int z = 0; z < first.length; z++) {
		   first[z] = tempArray[z].getX();
		   second[z] = tempArray[z].getY();
	   }
	}
 }
   
   
 //ascending sort
 public double sort(double first[], double second[])
 {
   for(int pass = 1; pass < first.length; pass++){
      for(int i =0; i< first.length-1;i++){
	     if(first[i] > first[i+1])
		 {
		   double hold;
		   hold = first[i];
		   first[i] = first[i+1];
		   first[i+1] = hold;
		
		   hold = second[i];
	       second[i] = second[i+1];
		   second[i+1] = hold;
		 }
	  }
   }
	   
   // find the tangent
   double diff = 0;
   double rad = 180.0 / Math.PI;
   double inter = 0;
   Point p1 = new Point();
   Point p2 = new Point();
   Point p3 = new Point();
   Point newPoint = new Point();

   for(int ind = 1;ind<(first.length-1); ind++) {
      p1.setLocation(new Point((int)first[ind-1], (int)second[ind-1]));
      p2.setLocation(new Point((int)first[ind],(int) second[ind]));
      p3.setLocation(new Point((int)first[ind+1], (int)second[ind+1]));

	  //find the control points:
	  int ptX = (int)p2.getX();
	  int ptY = (int)p2.getY();
	  ptX = ptX + (int)((p3.getX() - p2.getX())/(3)+10);
	  ptY  = ptY + (int)((p3.getY() - p2.getY())/(3)-10);
	  newPoint.setLocation(ptX, ptY);
	  Point c2 = new Point(newPoint);// is the first control point of the second curve
	  
	  ptX = (int)p1.getX();
	  ptY = (int)p1.getY();
	  ptX = ptX + (int)((p2.getX() - p1.getX())/(3)+10);
	  ptY  = ptY + (int)((p2.getY() - p1.getY())/(3)-10);
	    
	  ptX = ptX + (int)((p2.getX() - p1.getX())/(3)-10);
	  ptY  = ptY + (int)((p2.getY() - p1.getY())/(3)+10);
	  newPoint.setLocation(ptX, ptY);
	  Point c1 = new Point(newPoint);// is the second control point of the first curve
	      
	  double slope1 = (p2.getY() - c1.getY())/(p2.getX() - c1.getX());
	  double slope2 = (p2.getY() - c2.getY())/(p2.getX() - c2.getX());
	     
	  inter = rad * (Math.abs(Math.atan(slope1)-Math.atan(slope2)));
	  diff = diff + inter;
	       
   }
   return diff;
	   
 }
   
 public boolean ascending(double values[])
 {
    boolean vaflag = true;
	for(int fa =0; fa < values.length - 1;fa++)
	{
	  if(!(values[fa] <= values[fa+1]))
	     vaflag = false;
	}
	  return vaflag;
 }
   
 public boolean descending(double values[])
 {
    boolean vdflag = true;
    for(int fd =0; fd < values.length - 1;fd++)
    {
	   if(!(values[fd] >= values[fd+1]))
		   vdflag = false;
    }
    return vdflag;
 }
   
 public void start(){}
 public void stop() {}
 public void destroy() {}


   
  
	   /***************** HighLight Timer Code*********************/
	   
	    Action highAction = new AbstractAction() {
          public void actionPerformed(ActionEvent e) { 
			  
			  Subset ft = new Subset();
		        int ar[];
				int count = 0;
				if(ind < index)
				   ft = (Subset) dFlats.elementAt(ind);
                
			    int sz = ft.numElements()-loops.size();

				
			    ar = new int[sz];
								
				for(int ji = 0; ji < sz; ji++)
					   ar[ji] = 0;
				
				ar = mfc.getFlatsNoLoopsNoTouchingEdges(ft, loops, touchingElements);
				for(int j = 0; j < ar.length && ar[j] != 0;j++) {
						  count++;
				}
				

			  if(ind < index && highFlag == true && unHighflag == false) {
				  
                
                doHighLight(ft,ar,count,loops, movingPoints, indexPoints, touchingEdges, setOfLines);  
		        String h = "HighLighting Flat " + (ind+1) + " of " + index;

				memberList.select(ind);
				resetToCapture = false;
				repaint();	   
				unHighflag = true;
								   
			  }
			  
			  else if(ind < index && highFlag == true && unHighflag == true){
					  doHighLight(ft,ar,count,loops, movingPoints, indexPoints, touchingEdges, setOfLines);  
			          unHighflag = false;
					  ind++;
			  }
			  else{

				  highFlag = false;
				  ind = indCount;
				  unHighflag = false;
			  }
			  
          } 
        }; 
		
	public void startHigh() {

       if (highTimer == null) {
		   
         highTimer = new  javax.swing.Timer(delay, highAction); 
         highTimer.start();
      }
      else
         if(!highTimer.isRunning() )
            highTimer.restart();
    }
    public void stopHigh() {
      highTimer.stop();
    }
	   
/***************** HighLight Timer Code*********************/
	   
private static void doHighLight(Subset ft,int[] ar, int count, Vector loops,Vector movingPoints,  Vector indexPoints, Vector touchingEdges, Vector setOfLines) {
		        int numVisits = 0;
	   //if flats of rank 0 has a loop, highlight that loop in the repr
				
				  if(ft.numElements() == 1 || (ft.numElements()-loops.size()) == 1){
					
					String indexString;
					if(ft.numElements() == 1){
						ar = mfc.getFlats(ft);
						indexString = new Integer(ar[0]).toString();
					}
						
					else
						indexString = new Integer(ar[0]).toString();
					
					   Enumeration ienum = movingPoints.elements();
					   int newX, newY;
					   Point p = new Point();
					   PointsInfo newP;
					   String h;
			           while(ienum.hasMoreElements())
			           {
				        PointsInfo tip;
                	              tip= (PointsInfo) ienum.nextElement();
			
					    if(tip.index.toString().equals(indexString)) {
						   newX = (int)tip.point.getX();
						   newY = (int)tip.point.getY();
						   h = tip.highLight;
						   p.setLocation(newX,newY);
						   numVisits++;
					       if(numVisits == 1) {
							   if(h.equals(new String("-2"))){
								   movingPoints.remove(tip);
	                                             newP = new PointsInfo(indexString,p, "-1");
							         movingPoints.addElement(newP);
                                                   manualFlag = true;
							   }
							   else {
								   movingPoints.remove(tip);
							     newP = new PointsInfo(indexString,p, "-2");
								 movingPoints.addElement(newP);
                                                 manualFlag = false;
							   }
			                
						   }
					    }
					  }
				}
				
				//if flats of rank 1 has a touching element, highlight that element in the repr
				else if(count == 1 && (ft.numElements()-loops.size()) > 1) {
				
				   String indexString = new Integer(ar[0]).toString();
                   Enumeration tenum = touchingEdges.elements();
	               while(tenum.hasMoreElements()) 
	               {

			          Vector tSet = ((Vector)tenum.nextElement());
					  if(tSet.contains(new Integer(ar[0]))){
				        Object edgesArray[] = new Object[tSet.size()];
			            edgesArray = tSet.toArray();		   
			            
			            for(int is = 1; is < edgesArray.length ; is++)
				          indexString = indexString + "," + edgesArray[is].toString();
						break;
				      }
					  
				   }
		
		    	   Enumeration ienum = movingPoints.elements();
				   int newX, newY;
				   Point p = new Point();
				   PointsInfo newP;
				   String h;
			       while(ienum.hasMoreElements())
			       {
				        PointsInfo tip;
                	    tip= (PointsInfo) ienum.nextElement();
					    if(tip.index.toString().equals(indexString)) {
						   newX = (int)tip.point.getX();
						   newY = (int)tip.point.getY();
						   h = tip.highLight;
						   p.setLocation(newX,newY);
						   numVisits++;
					       if(numVisits == 1) {
							   if(h.equals(new String("-2"))){
								   movingPoints.remove(tip);
	                                         newP = new PointsInfo(indexString,p, "-1");
							     movingPoints.addElement(newP);
                                               manualFlag = true;

							   }
							   else {
								   movingPoints.remove(tip);
							     newP = new PointsInfo(indexString,p, "-2");
								 movingPoints.addElement(newP);
                                                 manualFlag = false;

							   }
			                
						   }
					    }
					  }
				}
				
				if(count == 2) {
					
				  for(int i = 0; i < 2; i++) {
					  numVisits = 0;
			         String indexString = new Integer(ar[i]).toString();
                     Enumeration tenum = touchingEdges.elements();
	                 while(tenum.hasMoreElements()) 
	                 {
		              Vector tSet = ((Vector)tenum.nextElement());
					  if(tSet.contains(new Integer(ar[i]))){
				        Object edgesArray[] = new Object[tSet.size()];
			            edgesArray = tSet.toArray();		   
			            
			            for(int is = 1; is < edgesArray.length ; is++)
				          indexString = indexString + "," + edgesArray[is].toString();
						break;
				      }
					  
				   }
		
		    	   Enumeration ienum = movingPoints.elements();
				   int newX, newY;
				   Point p = new Point();
				   PointsInfo newP;
				   String h;
			       while(ienum.hasMoreElements())
			       {
				        PointsInfo tip;
                	    tip= (PointsInfo) ienum.nextElement();
					    if(tip.index.toString().equals(indexString)) {
						   newX = (int)tip.point.getX();
						   newY = (int)tip.point.getY();
						   h = tip.highLight;
						   p.setLocation(newX,newY);
						   numVisits++;
					       if(numVisits == 1) {
							   if(h.equals(new String("-2"))){
								   movingPoints.remove(tip);
	                                          newP = new PointsInfo(indexString,p, "-1");
							     movingPoints.addElement(newP);
                                                manualFlag = true;

							   }
							   else {
								   movingPoints.remove(tip);
							     newP = new PointsInfo(indexString,p, "-2");
								 movingPoints.addElement(newP);
                                                 manualFlag = false;

							   }
			                
						   }//end of if
					    }//end of if
					}//end of while
				  }//end of for
				}
				
				if(count >= 3) {
    			  Iterator it;
	              Enumeration enum = setOfLines.elements();
       	  	  
	              boolean flag = false;
	        	  boolean highlight = false;
	  
         	      while(enum.hasMoreElements()) 
	              {
		             HashSet fSet = ((HashSet)enum.nextElement());
		         
		             if(fSet.contains(new Boolean(true))){
	                      flag = true;
                     }
		             else if(fSet.contains(new Boolean(false))){
			              flag = false;
		             }
					it = fSet.iterator();
		            Object check3 = new Object();
		                              
	  
                    while(it.hasNext())
		            {
	    	           check3 = it.next();
			           if(check3.equals(new Integer(-1)) )
				           highlight = true;
			           if(check3.equals(new Integer(-2)) )
				           highlight = false;
			        }
											  
				      boolean same = true;
					  
				      for(int j = 0; j < count && ar[j] != 0;j++) {
					    if(!(fSet.contains(new Integer(ar[j]))))
						    same = false;
									      
				      }

				    if(same == true) {
						numVisits++;
								
						// having this if because for some reason the
						// the number of times this part of the code is
						//being visited twice during one button click
						// eventually this should be fixed.  Having
						// this if condition prevents the entry twice for now.
						if(numVisits == 1){
						    if(flag == true && highlight == true){
						    	  fSet.remove(new Integer(-1));
								  fSet.add(new Integer(-2));
                                                  manualFlag = false;

							}
											  
							else if(flag == true && highlight == false) {
								  fSet.remove(new Integer(-2));
    							  fSet.add(new Integer(-1));
                                            manualFlag = true;

	                                    }
									  
							else if(flag == false && highlight == true) {
								  fSet.remove(new Integer(-1));
								  fSet.add(new Integer(-2));
                                                   manualFlag = false;

							}
												   
							else if(flag == false && highlight == false)												    {
								  fSet.remove(new Integer(-2));
							      fSet.add(new Integer(-1));
                                                manualFlag = true;

						    }
					    }//end of if of numVisits
					}// end of if
												  
                }// end of while
				}// end of if count
	   }// end of mtd doHighLight

	private static void doHighLightLinear(Vector ft,int[] ar, int count,Vector movingPoints, Vector indexPoints, Vector setOfLines) {
		        int numVisits = 0;
	   //if flats of rank 0 has a loop, highlight that loop in the repr
			
				  if(ft.size() == 1){
					
					String indexString;
					
			
						indexString = new Integer(ar[0]).toString();
			
					   Enumeration ienum = movingPoints.elements();
					   int newX, newY;
					   Point p = new Point();
					   PointsInfo newP;
					   String h;
			           while(ienum.hasMoreElements())
			           {
				        PointsInfo tip;
                	              tip= (PointsInfo) ienum.nextElement();
			
					    if(tip.index.toString().equals(indexString)) {
						   newX = (int)tip.point.getX();
						   newY = (int)tip.point.getY();
						   h = tip.highLight;
						   p.setLocation(newX,newY);
			
						   numVisits++;
					       if(numVisits == 1) {
							   if(h.equals(new String("-2"))){
								   movingPoints.remove(tip);
	                               newP = new PointsInfo(indexString,p, "-1");
					               movingPoints.addElement(newP);
                                    manualFlag = true;
							   }
							   else {
								   movingPoints.remove(tip);
							     newP = new PointsInfo(indexString,p, "-2");
								 movingPoints.addElement(newP);
                                                 manualFlag = false;
							   }
			                
						   }
					    }
					  }
				}
				
		
				  // if the selected flat is a point
				if(count == 2) {
			
			
				  for(int i = 0; i < 2; i++) {
					  numVisits = 0;
			         String indexString = new Integer(ar[i]).toString();
                
		
		    	   Enumeration ienum = movingPoints.elements();
				   int newX, newY;
				   Point p = new Point();
				   PointsInfo newP;
				   String h;
			       while(ienum.hasMoreElements())
			       {
				        PointsInfo tip;
                	    tip= (PointsInfo) ienum.nextElement();
					    if(tip.index.toString().equals(indexString)) {
						   newX = (int)tip.point.getX();
						   newY = (int)tip.point.getY();
						   h = tip.highLight;
						   p.setLocation(newX,newY);
						   numVisits++;
					       if(numVisits == 1) {
							   if(h.equals(new String("-2"))){
								   movingPoints.remove(tip);
	                                          newP = new PointsInfo(indexString,p, "-1");
							     movingPoints.addElement(newP);
                                                manualFlag = true;

							   }
							   else {
								   movingPoints.remove(tip);
							     newP = new PointsInfo(indexString,p, "-2");
								 movingPoints.addElement(newP);
                                                 manualFlag = false;

							   }
			                
						   }//end of if
					    }//end of if
					}//end of while
				  }//end of for
				}
				
				//if the selecetd flat is a line
				if(count >= 3) {
    			  Iterator it;
	              Enumeration enum = setOfLines.elements();
       	  	
	              boolean flag = false;
	        	  boolean highlight = false;
	              boolean same = true;
         	      while(enum.hasMoreElements()) 
	              {
		             HashSet fSet = ((HashSet)enum.nextElement());
		    
		             if(fSet.contains(new Boolean(true))){
	                      flag = true;
                     }
		             else if(fSet.contains(new Boolean(false))){
			              flag = false;
		             }
					
					it = fSet.iterator();
		            Object check3 = new Object();
		                              
	  
                    while(it.hasNext())
		            {
	    	           check3 = it.next();
			           if(check3.equals(new Integer(-1)) )
				           highlight = true;
			           if(check3.equals(new Integer(-2)) )
				           highlight = false;
			        }
											  
					
				      same = true;
					  
					 
				      for(int j = 0; j < ft.size()&& ar[j] != 0;j++) {
						  //System.out.println(" Entering j in check = " + j);
					    if(!(fSet.contains(new Integer(ar[j]))))
						    same = false;
									      
				      }
				
				
									  
				    if(same == true) {
						numVisits++;
					   
						// having this if because for some reason the
						// the number of times this part of the code is
						//being visited twice during one button click
						// eventually this should be fixed.  Having
						// this if condition prevents the entry twice for now.
						if(numVisits == 1){
						    if(flag == true && highlight == true){
						    	  fSet.remove(new Integer(-1));
								  fSet.add(new Integer(-2));
                                                  manualFlag = false;

							}
											  
							else if(flag == true && highlight == false) {
								  fSet.remove(new Integer(-2));
    							  fSet.add(new Integer(-1));
                                            manualFlag = true;

	                                    }
									  
							else if(flag == false && highlight == true) {
								  fSet.remove(new Integer(-1));
								  fSet.add(new Integer(-2));
                                                   manualFlag = false;

							}
												   
							else if(flag == false && highlight == false)												    {
								  fSet.remove(new Integer(-2));
							      fSet.add(new Integer(-1));
                                                manualFlag = true;

						    }
					    }//end of if of numVisits
					}// end of if
												  
                }// end of while
				}// end of if count
				
	   }// end of mtd doHighLightLinearSpace
	   
	   
public int[] toArrayNoLoops(int n, int arSize, Vector flat, Vector loops) {

	
    int array[] =  new int[arSize];
    
	int iSize = 0;
    for(int x = 1;x<=n;x++)
	{
	
		 if( flat.contains(new Integer(x)) && !loops.contains(new Integer(x).toString())) {
             array[iSize] = x;
			 iSize++;
	
         }
    } 

 return array;   
 
}

public int toArrayNoLoopsNoParallel(int n, int arSize, Vector flat, Vector loops, Vector touchingElements) {

    int array[] =  new int[arSize];
    Vector flat1 = new Vector();
	int iSize = 0;
    for(int x = 1;x<=n;x++)
	{
		 if( flat.contains(new Integer(x)) && !loops.contains(new Integer(x).toString())
			 && !touchingElements.contains(new Integer(x))) {
             array[iSize] = x;
			 iSize++;
         }
    } 

 return iSize;   

}


   private static void vrbPrint(String s)
   {
     if (mVerbose) {
      System.out.print(s);
     }
   }

   private static void vrbPrintln(String s)
   {
     if (mVerbose) {
       System.out.println(s);
     }
   }

   private static Vector DoOutline(Vector mFlats, int rankOfMatroid, int sizeOfMatroid,int modulusOfMatroid,
								   boolean[] elementsToDraw,
								   int[] ar, int countElem, Vector sol, 
								   Vector indexPoints, Vector initialPoints, 
								   Vector displayFlats, Vector loops, 
				   Vector touchingElements, Vector touchingEdges, Vector vectorCols, Vector infinityPoints,  Vector movingInfinityPoints, Vector movingPoints) 
	   
   {
	   
	   
  // for rank 1 and rank 2 matroids
      if (rankOfMatroid < 3) {
      
		 
	     LinkedList rank2Flats = new LinkedList();
         LinkedList lines = new LinkedList();
		 Subset flat;
		 int i,x;
         int n = sizeOfMatroid;
         int r = rankOfMatroid;
		 int m = modulusOfMatroid;
		 
	
		 
         boolean[] bPlaced = new boolean[n+countElem];
	     int nPlaced = 0;
	     HashSet setOfPoints;
	     HashSet displayPoints;
	     int arrayx[] = new int[0];
		 int[] array;
	     int newX, newY;
	     int offX, offY;
		 int rank2Size = 0;
	     Point p = new Point();
	     PointsInfo newP;
	     PointsInfo newP1;	
	     PointsInfo newP2;
		 numOfCurves = 0;
		 
		 for (i=0; i<n+countElem; i++){
	        bPlaced[i] = !elementsToDraw[i];
			if(bPlaced[i] == true)
				nPlaced++;
		 }
		 
		 
		 
		 Vector pFlat = new Vector();
		 
		 
		
		 
		 // place the loop elements if any	  
	     newX = 300;
         newY = 90;
	     int count = 0;
	  
	     
	     pFlat = (Vector)mFlats.get(0);
	     Enumeration enum = pFlat.elements();
		
	     while(enum.hasMoreElements())
	     {
            flat = (Subset)enum.nextElement();
			
		    arrayx = new int[flat.numElements()];
		    arrayx = mfc.getFlats(flat);
		    
		    for(x = 0;x<flat.numElements();x++)
			{
		       if(arrayx[x] != 0 && !bPlaced[arrayx[x]-1] && elementsToDraw[arrayx[x]-1])
			   {
			      p.setLocation(newX,newY);
	              newP = new PointsInfo(new Integer(arrayx[x]).toString(),p, "-2");
			      newP1 = new PointsInfo(new Integer(arrayx[x]).toString(),p, "-2");
                  indexPoints.addElement(newP);
			      initialPoints.addElement(newP1);
 newP2 = new PointsInfo(new Integer(arrayx[x]).toString(),p, "-2");
                
			       movingPoints.addElement(newP2);
			      loops.addElement(new Integer(arrayx[x]).toString());
		          bPlaced[arrayx[x]-1] = true;
			      nPlaced++;
			      count = count + 1;
			      newX = newX + 50;
			      if(newX > 900){
				     newY = newY + 50;
			         newX = 300;
					 count = 0;
			      }  
		       }// end of if
		    }// end of for
         }// end of while
	     offX = newX;
	     offY = newY;
	  
         pFlat = (Vector)mFlats.get(1);
	     Enumeration enum1 = pFlat.elements();
		
	     while(enum1.hasMoreElements())
	     {
	        flat = (Subset)enum1.nextElement();
		  	
			
		    int arSize = flat.numElements()- loops.size();
			
		
			if(arSize > 1) {
					arrayx = new int[arSize];
		       // remove the loops element from the rank-1 flat to det touching edge.
				
		       arrayx = mfc.getFlatsNoLoops(flat, loops);
              
		       Vector tEdges = new Vector();
		       tEdges.addElement(new Integer(arrayx[0]));
		       for(x = 1;x<arSize;x++) 
			   {
		          touchingElements.addElement(new Integer(arrayx[x]).toString());
			      tEdges.addElement(new Integer(arrayx[x]));
			      bPlaced[arrayx[x]-1] = true;
			      nPlaced++;
		       }		
		       touchingEdges.add(tEdges);
		   }// end of if
         }// end of while
	   
		 
		 
		 
		 
         	  
	     //
         // place elements 0, 1 and 2 in default position
         //
        
	  	  
	     p.setLocation(0,0);
	     newP = new PointsInfo("0",p, "-2");
	     newP1 = new PointsInfo("0",p, "-2");
	     indexPoints.addElement(newP);
	     initialPoints.addElement(newP1);
 newP2 = new PointsInfo("0",p, "-2");
	   
	       movingPoints.addElement(newP2);

		   
		 if(rankOfMatroid == 1 && (n+countElem) >= 1 && !bPlaced[0] == true){
	        p.setLocation(250,500);
	        newP = new PointsInfo("1",p, "-2");
	        newP1 = new PointsInfo("1",p, "-2");
            indexPoints.addElement(newP);
	        initialPoints.addElement(newP1);
 newP2 = new PointsInfo("1",p, "-2");
           
		 movingPoints.addElement(newP2);
		    bPlaced[0] = true;
		    nPlaced++;
		 }
	  
         if(rankOfMatroid == 1 && (n+countElem) >= 2 && !bPlaced[1] == true){
		   p.setLocation(900,500);
		   newP = new PointsInfo("2",p, "-2");
	       newP1 = new PointsInfo("2",p, "-2");
           indexPoints.addElement(newP);
	       initialPoints.addElement(newP1);
newP2 = new PointsInfo("2",p, "-2");
		  movingPoints.addElement(newP2);
		   bPlaced[1] = true;
		   nPlaced++;
		 }
	  
         

         try {
		
			 if(rankOfMatroid > 1) {
			 
		 pFlat = (Vector)mFlats.get(2);
	     Enumeration enum23 = pFlat.elements();
	     while(enum23.hasMoreElements())
	     {
            flat = (Subset)enum23.nextElement();
            rank2Flats.add(flat);
         }
		 
            //
            // place elements in flats with {0,1}
            //
		  
		   int countPlaced = 0;
		   int start = -1;
		   int end = -1;
            pFlat = (Vector)mFlats.get(2);
	        Enumeration enum2 = pFlat.elements();
	        while(enum2.hasMoreElements())
	        {  
	           flat = (Subset)enum2.nextElement();
			   
			   		   
			   arrayx = new int[flat.numElements()];
		          arrayx = mfc.getFlats(flat);
				
				  for(int iz = 0; iz < arrayx.length && countPlaced < 2; iz++){
					  if(!touchingElements.contains(new Integer(arrayx[iz]).toString()) && countPlaced == 0
						 && !loops.contains(new Integer(arrayx[iz]).toString()) &&
						 !bPlaced[arrayx[iz]-1] == true){
						start = arrayx[iz]-1;
						p.setLocation(250,500);
						newP = new PointsInfo(new Integer(arrayx[iz]).toString(),p, "-2");
						newP1 = new PointsInfo(new Integer(arrayx[iz]).toString(),p, "-2");
						indexPoints.addElement(newP);
						initialPoints.addElement(newP1);
						newP2 = new PointsInfo(new Integer(arrayx[iz]).toString(),p, "-2");
						movingPoints.addElement(newP2);
						bPlaced[arrayx[iz]-1] = true;
						nPlaced++;
						countPlaced++;
					  }
					  if(!touchingElements.contains(new Integer(arrayx[iz]).toString()) && countPlaced == 1
						 && !loops.contains(new Integer(arrayx[iz]).toString())
						 && !bPlaced[arrayx[iz]-1] == true){
						end = arrayx[iz]-1;
						p.setLocation(900,500);
						newP = new PointsInfo(new Integer(arrayx[iz]).toString(),p, "-2");
						newP1 = new PointsInfo(new Integer(arrayx[iz]).toString(),p, "-2");
						indexPoints.addElement(newP);
						initialPoints.addElement(newP1);
						newP2 = new PointsInfo(new Integer(arrayx[iz]).toString(),p, "-2");
						movingPoints.addElement(newP2);
						bPlaced[arrayx[iz]-1] = true;
						nPlaced++;
						countPlaced++;
					  }
				  }
				  
				  
		       if(mfc.contains(flat, start) && mfc.contains(flat, end) 
				  && !(loops.contains(new Integer(start+1).toString()))
				  && !(loops.contains(new Integer(end+1).toString()))) 
			   {
		          arrayx = new int[flat.numElements()];
		          arrayx = mfc.getFlats(flat);
		          rank2Size = flat.numElements()-loops.size();
			
		          for(x = 0; x<arrayx.length;x++)
				  {
		      	    if(touchingElements.contains(new Integer(arrayx[x]).toString()))
					   rank2Size--;
		          }
		       }  
			   setOfPoints = new HashSet();
		       displayPoints = new HashSet();
		       if(rank2Size > 2) 
			   {
		          newX = 250;
		          newY = 500;
		          setOfPoints.add(new Boolean(true));
    	          setOfPoints.add(new Integer(-2));//donot highlight
			      setOfPoints.add(new Integer(start+1));
		          displayPoints.add(new Integer(start+1));
		          setOfPoints.add(new Integer(end+1));
		          displayPoints.add(new Integer(end+1));
			      for(x = 0; x< flat.numElements(); x++)
				  {
				     if(arrayx[x] != (start+1) && arrayx[x] != (end+1) && !loops.contains(new Integer(arrayx[x]).toString())
				         && !touchingElements.contains(new Integer(arrayx[x]).toString()) && elementsToDraw[arrayx[x]-1]
						&& !bPlaced[arrayx[x]-1]) 
					 {
					    setOfPoints.add(new Integer(arrayx[x]));
			            displayPoints.add(new Integer(arrayx[x]));
                        newX = newX + (int)((900-250)/(rank2Size-1));
		                newY = (int)(500);
		                p.setLocation(newX, newY);
	                    newP = new PointsInfo(new Integer(arrayx[x]).toString(),p, "-2");
				        newP1 = new PointsInfo(new Integer(arrayx[x]).toString(),p, "-2");
                        indexPoints.addElement(newP);
				        initialPoints.addElement(newP1);

 newP2 = new PointsInfo(new Integer(arrayx[x]).toString(),p, "-2");
                       
					  movingPoints.addElement(newP2); 

		    	        bPlaced[arrayx[x]-1] = true;
						
			            nPlaced++;
		             }// end of if  	   
  		          }// end of for

		        
		          // include the flats if excluding the loops and touching elements, they are lines to be drawn.
		          if(setOfPoints.size() >= 5)
				  {
	  	             sol.addElement(setOfPoints);
 	  	             displayFlats.addElement(displayPoints);
			         // since setOfPoints has a 2 boolean values
			         numOfCurves = numOfCurves + setOfPoints.size() -2 -1;
                     // draw a line through this flat
	                 
                     removeSubsetFromList(flat, rank2Flats);
	                 lines.add(flat);
		          }
	     }// end of if
		
	   }// end of while
	  
			 }
		
		//
     	// place any still unplaced elements "off to the side"
	    //
	  
	    int circleX = offX;
	    int circleY = offY;
	    count = 0;
        int zi;
	    for (i=0; i<n+countElem; i++) 
		{
	       zi=i+1;
	       if (!bPlaced[i] && elementsToDraw[i]) 
		   {
		        
		      p.setLocation(circleX, circleY);
	          newP = new PointsInfo(new Integer(zi).toString(),p, "-2");
    		  newP1 = new PointsInfo(new Integer(zi).toString(),p, "-2");
              indexPoints.addElement(newP);
			  initialPoints.addElement(newP1);
				newP2 = new PointsInfo(new Integer(zi).toString(),p, "-2");
           
			    movingPoints.addElement(newP2);
						
		      /////////////  Also place these zi points //////////////
	          bPlaced[i] = true;
		      count++;
			  
			      circleX = circleX + 50;
			  if(circleX > 900 )
			  {
				circleX = offX;
				circleY = circleY + 50;
				count = 0;
			  }
	       }
	    }

		
		if(rankOfMatroid > 1) {
		
		//
	// finally, draw (possibly curved) lines connecting remaining flats
	//
	
	
    Iterator remFlat;
	for (remFlat = rank2Flats.iterator(); remFlat.hasNext();) {
	   flat = (Subset)remFlat.next();
	   array = new int[flat.numElements()];
	   array = mfc.getFlats(flat);
	   
	   rank2Size = flat.numElements()-loops.size();
	   
		
		  for(x = 0; x<array.length;x++){
			if(touchingElements.contains(new Integer(array[x]).toString())){
		       rank2Size--;
			}
		 }
		  
		  
		  setOfPoints = new HashSet();
		 displayPoints = new HashSet();
	   if (rank2Size >= 3) {
	   		 
		 setOfPoints.add(new Boolean(false));
		 setOfPoints.add(new Integer(-2));
		 
		 
		 for(int ar1 = 0; ar1 < flat.numElements(); ar1++) 
		 {
			 if(!loops.contains(new Integer(array[ar1]).toString()) && !touchingElements.contains(new Integer(array[ar1]).toString())
				&& elementsToDraw[array[ar1]-1]) {
		        setOfPoints.add(new Integer(array[ar1]));
		        displayPoints.add(new Integer(array[ar1]));
			 }
		 }
		 
		 if(setOfPoints.size() >= 5){
		    
		    sol.addElement(setOfPoints);
 	  	    displayFlats.addElement(displayPoints);
			numOfCurves = numOfCurves + setOfPoints.size()  -2 -1;
		 }

		
	    }
	  }
		
		}
		
		
		
		//draw the touching edges.
		Enumeration tenum = touchingEdges.elements();
	    
		while(tenum.hasMoreElements()) 
	    {
		   
		   Vector tSet = ((Vector)tenum.nextElement());
		   Object edgesArray[] = new Object[tSet.size()];
		   edgesArray = tSet.toArray();
		   String indexString = edgesArray[0].toString();
		   for(int is = 1; is < edgesArray.length ; is++)
			  indexString = indexString + "," + edgesArray[is].toString();
		   
		   //adjust the points in indexPoints
		   Enumeration ienum = indexPoints.elements();
		   while(ienum.hasMoreElements())
		   {
	          PointsInfo tip;
        	  tip= (PointsInfo) ienum.nextElement();
			  Enumeration tSetm = tSet.elements();
			  
			  Object check;
              while(tSetm.hasMoreElements())
			  {
			     check = tSetm.nextElement();
				 if(check.toString().equals(tip.index.toString())) 
				 {
				    newX = (int)tip.point.getX();
					newY = (int)tip.point.getY();
					
					
					boolean didR1 = indexPoints.removeElement(tip);
					
					p.setLocation(newX,newY);
                    newP = new PointsInfo(indexString,p, "-2");
		            
                    indexPoints.addElement(newP);
		            
                    
			   
  				 }// end of if
			  }// end of while
		   }// end of while
		   
		   // adjust the points in the initialPoints
		   Enumeration ienum1 = initialPoints.elements();
		   while(ienum1.hasMoreElements())
		   {
	          PointsInfo tip;
        	  tip= (PointsInfo) ienum1.nextElement();
			  Enumeration tSetm = tSet.elements();
			  
			  Object check;
              while(tSetm.hasMoreElements())
			  {
			     check = tSetm.nextElement();
				 if(check.toString().equals(tip.index.toString())) 
				 {
				    newX = (int)tip.point.getX();
					newY = (int)tip.point.getY();
					
					
					boolean didR2 = initialPoints.removeElement(tip);
					
					p.setLocation(newX,newY);
                    
		            newP1 = new PointsInfo(indexString,p, "-2");
                    
		            initialPoints.addElement(newP1);
					
                    
			    
  				 }// end of if
			  }// end of while
		   }// end of while
		   
		   
		   //adjust the points in the movingPoints
		   Enumeration ienum3 = movingPoints.elements();
		   while(ienum3.hasMoreElements())
		   {
	          PointsInfo tip;
        	  tip= (PointsInfo) ienum3.nextElement();
			  Enumeration tSetm = tSet.elements();
			  
			  Object check;
              while(tSetm.hasMoreElements())
			  {
			     check = tSetm.nextElement();
				 if(check.toString().equals(tip.index.toString())) 
				 {
				    newX = (int)tip.point.getX();
					newY = (int)tip.point.getY();
					boolean didR3 = movingPoints.removeElement(tip);
					
					p.setLocation(newX,newY);
                    
					newP2 = new PointsInfo(indexString,p, "-2");
                    
			    movingPoints.addElement(newP2);
  				 }// end of if
			  }// end of while
		   }// end of while
		   
		   
		   
		}// end of while
	 	  
	 }// end of try block
     catch (Exception e1) {
        //throw new InternalError(e1.getMessage());
		 JOptionPane.showMessageDialog(null, "Error in placing the points and flats.  Please re-enter the input.");
     }
			
   }// end of if
   else if(rankOfMatroid == 3){
      //
      // make a copy of the collection of rank-3 flats
      //
      LinkedList rank2Flats = new LinkedList();
	  LinkedList rank2Flats1 = new LinkedList();
      LinkedList lines = new LinkedList();
      Vector pFlat = new Vector();
	  Vector pFlat1 = new Vector();
      Subset flat, flat1, flat2, t, flats;
    Point p13 = new Point();
	  int i, j, k,x,y,l,g;
      int zi, zj, zk;
      int n = sizeOfMatroid;
      int r = rankOfMatroid;
	  int m = modulusOfMatroid;
	
	  	
	  
	  numOfCurves = 0;	
	   PointsInfo newP2;
	   
	  int sze;
      boolean[] bPlaced = new boolean[n+countElem];
	  
      StringBuffer message;
      int nPlaced = 0;
	  HashSet setOfPoints;
	  HashSet displayPoints;
	  Enumeration enum, enumsa;
	  PointsInfo newP;
	  PointsInfo newP1;
	  	  VectorInfo newV;
	  VectorInfo newV1;
	  Point p = new Point();
	  Point p12 = new Point();
	  int arrayx[];
	  int newX, newY;
	  int offX, offY;
	  int arrayCheck[];
	  int array1x[];
	  int array2x[];
	  int array3x[];
	  int array4x[];
	  int array[];
	  int rank2Size;

	  boolean bStop = false;
	  int fi;
	  int pcount;
	  Enumeration fnum;
	  Iterator pSet1;
      
	  // the elements deleted using the delete button 
	  // are stopped from being placed here.
	  for (i=0; i<n+countElem; i++) {
	     bPlaced[i] = !elementsToDraw[i];
		 	if(bPlaced[i] == true)
				nPlaced++;
		 
		
	  }
	  
	  
	  // det if there are any loop elements:  If so, place them.
	  newX = 300;
	  newY = 90;
	  int count = 0;
	  Vector tempVector;
	  pFlat = (Vector)mFlats.get(0);
      Enumeration enumLoops = pFlat.elements();
	  while(enumLoops.hasMoreElements())
	  {
         flat = (Subset)enumLoops.nextElement();
		arrayx = new int[flat.numElements()];
		arrayx = mfc.getFlats(flat);
		
		for(x = 0;x<flat.numElements();x++) {
		  if(arrayx[x] != 0 && !bPlaced[arrayx[x]-1]) {
			p.setLocation(newX,newY);
	        newP = new PointsInfo(new Integer(arrayx[x]).toString(),p, "-2");
			newP1 = new PointsInfo(new Integer(arrayx[x]).toString(),p, "-2");
            indexPoints.addElement(newP);
			initialPoints.addElement(newP1);
newP2 = new PointsInfo(new Integer(arrayx[x]).toString(),p, "-2");
         
			movingPoints.addElement(newP2);

			loops.addElement(new Integer(arrayx[x]).toString());
		    bPlaced[arrayx[x]-1] = true;
			nPlaced++;
	    
			
			count = count + 1;
			newX = newX + 50;
			if(newX > 900){
				newY = newY + 50;
				newX = 300;
				count = 0;
			}
		  }// end of if
		}// end of for
       
      }
	  
	  
	  offX =newX;
	  offY = newY;
	  
	   pFlat = (Vector)mFlats.get(1);
 	   Enumeration enum1 = pFlat.elements();
	   while(enum1.hasMoreElements())
	   {
          flat = (Subset)enum1.nextElement();
	
		int arSize = flat.numElements()- loops.size();
	
		
		// remove the loops element from the rank-1 flat to det parallel elements.
	
		if(arSize > 1) {
			arrayx = new int[arSize];
			arrayx = mfc.getFlatsNoLoops(flat, loops);
		   
			Vector tEdges = new Vector();
		    tEdges.addElement(new Integer(arrayx[0]));
		    for(x = 1;x<arSize;x++) {
		
			   touchingElements.addElement(new Integer(arrayx[x]).toString());
			   tEdges.addElement(new Integer(arrayx[x]));
			   bPlaced[arrayx[x]-1] = true;
			   nPlaced++;
		    }		
		    touchingEdges.add(tEdges);
		
		}// end of if
       
       }// end of for
      
	  
	  	  
	  
	   //checking the condition for rank-3 matroids that 
	   //" Any two distinct lines meet in at most one point"
	   //--- Chapter 1, Section 1.5.8 in Matroid Theory by James Oxley
	   
	    int countCheck = 0;
		boolean draw = true;
		pFlat = (Vector)mFlats.get(2);
	     Vector pCheck = new Vector(pFlat);
		 
		 
		 for(int check = 0; check < pCheck.size()-1; check++){
	      Enumeration enumCheck = pCheck.elements();
		  flat1 = (Subset)enumCheck.nextElement();
		  
		  
		  arrayCheck = new int[flat1.numElements()];
		  arrayCheck = mfc.getFlatsNoLoopsNoTouchingEdges(flat1, loops, touchingElements);
		  
	
	      while(enumCheck.hasMoreElements())
	      {
          	 flat2 = (Subset)enumCheck.nextElement();
			 
			 
			 for(int xCheck = 0; xCheck < arrayCheck.length;xCheck++){
				 
			    if(arrayCheck[xCheck] != 0 && mfc.contains(flat2, arrayCheck[xCheck]-1) )
		        {
				   countCheck++;
		
			    }
			 }
			 if(countCheck >= 2){
				 //don't draw the flats are wrong, hence exit
				 draw = false;
		
			 }
			 countCheck = 0;
		
		  }
		  
		  pCheck.removeElement(flat1);
		  countCheck = 0;
		
		 }
		
		 
		 
	pFlat = (Vector)mFlats.get(2);
	  enum = pFlat.elements();
	  while(enum.hasMoreElements())
	  {
         flat = (Subset)enum.nextElement();
      
         rank2Flats.add(flat);
      }
		 
	  
   if(draw){	  
	  
		
	  
	 if(((n+countElem) - loops.size() - touchingElements.size())  < (m*m) || (m == 2) || isTriangleRepr){

	 // Using Prop 2.2.3 in The theory of Finite linear spaces
		   // by Lynn Margaret Batten and Albrecht Beutelspacher, if number of 
		   // points >= square of the p, and if every point has degree at most
		   // p+1, then the linear space can be extended to a 
		   // projective plane of order p.  Hence if number of points is less
		   // than square of p draw geometric repr in the triangle form.
	 
			 
	  //
      // place elements 1, 2 and 3 in default position
      //
      	  
		
	
	  p.setLocation(0,0);
	  newP = new PointsInfo("0",p, "-2");
	  newP1 = new PointsInfo("0",p, "-2");
	  indexPoints.addElement(newP);
	  initialPoints.addElement(newP1);
 newP2 = new PointsInfo("0",p, "-2");
	 
 movingPoints.addElement(newP2);
	  
	  if((n+countElem) >= 1 && !bPlaced[0]){

	     p.setLocation(415,465);
	     newP = new PointsInfo("1",p, "-2");
	     newP1 = new PointsInfo("1",p, "-2");
         indexPoints.addElement(newP);
	     initialPoints.addElement(newP1);
  newP2 = new PointsInfo("1",p, "-2");
         
	      movingPoints.addElement(newP2);
		 bPlaced[0] = true;
		 
		 nPlaced++;
	  }
	  
	 
	  
	  if((n+countElem) >= 2 && !bPlaced[1]){

         p.setLocation(725,465);
	     newP = new PointsInfo("2",p, "-2");
	     newP1 = new PointsInfo("2",p, "-2");
         indexPoints.addElement(newP);
	     initialPoints.addElement(newP1);
  newP2 = new PointsInfo("2",p, "-2");
        
	      movingPoints.addElement(newP2);

	     bPlaced[1] = true;
	     nPlaced++;
	    
	  }
	  
	  
	  if((n+countElem) >= 3 && !bPlaced[2]){

	     p.setLocation(565,155);
	     newP = new PointsInfo("3",p, "-2");
	     newP1 = new PointsInfo("3",p, "-2");
         indexPoints.addElement(newP);
	     initialPoints.addElement(newP1);
 newP2 = new PointsInfo("3",p, "-2");
        
	      movingPoints.addElement(newP2);
	     bPlaced[2] = true;
	     nPlaced++;
	      
	  }
      
	  

      try {
        //
        // place elements in flats with {0,1}, {1,2} and {0,2} 
        //
	
           pFlat = (Vector)mFlats.get(2);
	       Enumeration enum2 = pFlat.elements();
	       while(enum2.hasMoreElements())
	       {
			   
             flat = (Subset)enum2.nextElement();
			 
		     if(mfc.contains(flat, 0) && mfc.contains(flat, 1)
				&& !(loops.contains(new Integer(1).toString()))
				  && !(loops.contains(new Integer(2).toString())))
		     {
		       arrayx = new int[flat.numElements()];
		        arrayx = mfc.getFlats(flat);
			
		      rank2Size = flat.numElements()-loops.size();
			
		       for(x = 0; x<arrayx.length;x++){
			    if(touchingElements.contains(new Integer(arrayx[x]).toString())){
 	
	    			rank2Size--;
    			}
               }
		
		setOfPoints = new HashSet();
	    displayPoints = new HashSet();
		if(rank2Size > 2) {
	    	
		    
		    newX = 415;
		    newY = 465;

			setOfPoints.add(new Boolean(false));
			// no highlight to start with
		    setOfPoints.add(new Integer(-2));
			
			
		   setOfPoints.add(new Integer(1));
		   displayPoints.add(new Integer(1));
		   setOfPoints.add(new Integer(2));
		   displayPoints.add(new Integer(2));
		   
		   for(x = 0; x< flat.numElements(); x++){
			    	   
		   
		   		   		   
		       if(arrayx[x] != 1 && arrayx[x] != 2 && !loops.contains(new Integer(arrayx[x]).toString())
				                                   && !touchingElements.contains(new Integer(arrayx[x]).toString())
				                 && elementsToDraw[arrayx[x]-1]   && !bPlaced[arrayx[x]-1]) {
			

				 setOfPoints.add(new Integer(arrayx[x]));
			     displayPoints.add(new Integer(arrayx[x]));
		         newX = newX + (int)((725-415)/(rank2Size-1));
		         newY = (int)(465);
		   
		          p.setLocation(newX, newY);
	              newP = new PointsInfo(new Integer(arrayx[x]).toString(),p, "-2");
				  newP1 = new PointsInfo(new Integer(arrayx[x]).toString(),p, "-2");
                  indexPoints.addElement(newP);
				  initialPoints.addElement(newP1);
  newP2 = new PointsInfo(new Integer(arrayx[x]).toString(),p, "-2");
                
				   movingPoints.addElement(newP2);

			      bPlaced[arrayx[x]-1] = true;
			      nPlaced++;
			     
		       }// end of if  	   
		   
		   }// end of for
			
			
			// setOfPoints in addition to the flats contains boolean value and an integer
			// representing if highlight is to be done or not.
		   if(setOfPoints.size() >= 5){
		        sol.addElement(setOfPoints);
 	  	        displayFlats.addElement(displayPoints);
                numOfCurves = numOfCurves + setOfPoints.size() -2 -1;
				removeSubsetFromList(flat, rank2Flats);
	          lines.add(flat);
		  
	            //
	            // draw a line through this flat
	            //
	      
	          
		   }
			  
		}// end of if
	   }// end of if
	  }// end of while
		
		  
		   
			   
		  		  pFlat = (Vector)mFlats.get(2);
	      Enumeration enum3 = pFlat.elements();
	      while(enum3.hasMoreElements())
	      {
             flat = (Subset)enum3.nextElement();
			
		     if(mfc.contains(flat, 1) && mfc.contains(flat, 2)
				&& !(loops.contains(new Integer(2).toString()))
				  && !(loops.contains(new Integer(3).toString())))
		     {
		 		   array1x = new int[flat.numElements()];
		    array1x = mfc.getFlats(flat);
			
		 rank2Size = flat.numElements()-loops.size();
		
		
		 for(x = 0; x<array1x.length;x++){
			if(touchingElements.contains(new Integer(array1x[x]).toString())){
		       rank2Size--;
			}
		 }
		 
		 
		 setOfPoints = new HashSet();
		   displayPoints = new HashSet();
		 if(rank2Size > 2) {
		 

		   
		   newX = 725;
		   newY = 465;
		
		   setOfPoints.add(new Boolean(false));
		   setOfPoints.add(new Integer(-2));
		   
			
		   setOfPoints.add(new Integer(2));
		   displayPoints.add(new Integer(2));
		   setOfPoints.add(new Integer(3));
		   displayPoints.add(new Integer(3));
		   
		   for(x = 0; x< flat.numElements(); x++) {
			
		       
			   
		     if(array1x[x] != 2 && array1x[x] != 3 && !loops.contains(new Integer(array1x[x]).toString())
				                                   && !touchingElements.contains(new Integer(array1x[x]).toString())
				                && elementsToDraw[array1x[x]-1] && !bPlaced[array1x[x]-1]) {
			
				 
				 setOfPoints.add(new Integer(array1x[x]));
			   displayPoints.add(new Integer(array1x[x]));
		       newX = newX +  (int)((565-725)/(rank2Size-1));
		       newY = newY + (int)((155-465)/(rank2Size-1));
		   
		       p.setLocation(newX, newY);
	           newP = new PointsInfo(new Integer(array1x[x]).toString(),p, "-2");
			   newP1 = new PointsInfo(new Integer(array1x[x]).toString(),p, "-2");
               indexPoints.addElement(newP);
			   initialPoints.addElement(newP1);
  newP2 = new PointsInfo(new Integer(array1x[x]).toString(),p, "-2");
              
			     movingPoints.addElement(newP2);

			   bPlaced[array1x[x]-1] = true;
			   nPlaced++;
			  
		     }// end of if		   
		   }// end of for
			
		   if(setOfPoints.size() >= 5){
		      
			   sol.addElement(setOfPoints);
 	  	       displayFlats.addElement(displayPoints);
			   numOfCurves = numOfCurves + setOfPoints.size()- 2 -1;
               removeSubsetFromList(flat, rank2Flats);
	           lines.add(flat);
	        		
	          //
	          //  draw a line through this flat
	           //
 	  
         	  	           
		   }
		   
		 }//  end of if
		}// end of if
	  }// end of while

		 
		 
			  pFlat = (Vector)mFlats.get(2);
	      Enumeration enum4 = pFlat.elements();
	      while(enum4.hasMoreElements())
	      {
             flat = (Subset)enum4.nextElement();
			 
		     if(mfc.contains(flat, 0) && mfc.contains(flat, 2)
				&& !(loops.contains(new Integer(1).toString()))
				  && !(loops.contains(new Integer(3).toString())))
		     {
		       array2x = new int[flat.numElements()];
		       array2x = mfc.getFlats(flat);
		
			   rank2Size = flat.numElements()-loops.size();
			   
		
		      for(x = 0; x<array2x.length;x++){
			    if(touchingElements.contains(new Integer(array2x[x]).toString())){
		          rank2Size--;
			    }
		      }
		 
		 
		 setOfPoints = new HashSet();
			displayPoints = new HashSet();
		 if(rank2Size > 2) {
		 
		    
		    
		    newX = 565;
		    newY = 155;
		
		    setOfPoints.add(new Boolean(false));
			setOfPoints.add(new Integer(-2));
			
			
			setOfPoints.add(new Integer(1));
		   displayPoints.add(new Integer(1));
		   setOfPoints.add(new Integer(3));
		   displayPoints.add(new Integer(3));
		   
		    for(x = 0; x< flat.numElements(); x++) {
		       if(array2x[x] != 1 && array2x[x] != 3 && !loops.contains(new Integer(array2x[x]).toString())
				                                   && !touchingElements.contains(new Integer(array2x[x]).toString())
				           && elementsToDraw[array2x[x]-1] && !bPlaced[array2x[x]-1]) {
			  
				
				   setOfPoints.add(new Integer(array2x[x]));
				displayPoints.add(new Integer(array2x[x]));
		          newX = newX + (int)((415-565)/(rank2Size-1));
		          newY = newY + (int)((465-155)/(rank2Size-1));
		   
		          p.setLocation(newX, newY);
	              newP = new PointsInfo(new Integer(array2x[x]).toString(),p, "-2");
				  newP1 = new PointsInfo(new Integer(array2x[x]).toString(),p, "-2");
                  indexPoints.addElement(newP);
				  initialPoints.addElement(newP1);
 newP2 = new PointsInfo(new Integer(array2x[x]).toString(),p, "-2");
                
				    movingPoints.addElement(newP2);
			      bPlaced[array2x[x]-1] = true;
			      nPlaced++;
			     
		        }	//end of if	   
			
     			
		    
	    	}// end of for
			
		  if(setOfPoints.size() >= 5){
		
		      
	 	    sol.addElement(setOfPoints);
 	    	   displayFlats.addElement(displayPoints);
            numOfCurves = numOfCurves + setOfPoints.size() -2 -1;
			removeSubsetFromList(flat, rank2Flats);
	          lines.add(flat);
	              
	         //
	         // draw a line through this flat
	         //
	        
	         
		  }
		  
		 }// end of if
		}//end of if
	  }//end of while
      
	

	//
	// next determine flats containing newly placed elements and 
	// 0, 1 or 2 (that haven't been done already)
	//
		  
		
		  
	for (i=0; (i<(n+countElem)) && (nPlaced < (n+countElem)); i++) {
	  zi = i+1;
	  
	  if (bPlaced[i] && elementsToDraw[i] && !(loops.contains(new Integer(i+1).toString()))
		   && !touchingElements.contains(new Integer(i+1).toString())) {
	    for (j=0; (j<3) && bPlaced[j] && (nPlaced < (n+countElem)) && !(loops.contains(new Integer(j+1).toString())) && !(touchingElements.contains(new Integer(j+1).toString())); j++) {
	      zj = j+1;
	      pFlat = (Vector)mFlats.get(2);
	      Enumeration enum5 = pFlat.elements();
	      while(enum5.hasMoreElements())
	      {
            flat = (Subset)enum5.nextElement();
			
		    if(mfc.contains(flat, i) && mfc.contains(flat, j) && i!=j)
		    {
		  
		     if(flat.numElements() > 2) {
		   
			 
		       if (!lines.contains(flat)) {
			      Enumeration enum121 = indexPoints.elements();
		          PointsInfo po;
			      Point p1 = new Point();
			      Point p2 = new Point();
		          while(enum121.hasMoreElements())
		          {
			        po = (PointsInfo) enum121.nextElement();
				 
    			 if(po.index.equals(new Integer(zi).toString())) {
					 p1.setLocation(po.point.getX(), po.point.getY());
				 }
				 if(po.index.equals(new Integer(zj).toString())){
					 p2.setLocation(po.point.getX(), po.point.getY());
				 }
			 }
			  
		     array3x = new int[flat.numElements()];
             array3x = mfc.getFlats(flat);
			 
			 rank2Size = flat.numElements()-loops.size();
			
		
		  for(x = 0; x<array3x.length;x++){
			if(touchingElements.contains(new Integer(array3x[x]).toString())){
		       rank2Size--;
			}
		 }
		 
		  setOfPoints = new HashSet();
			 displayPoints = new HashSet();
		  if(rank2Size > 2){
		     
		     newX = (int)p1.getX();
		     newY = (int)p1.getY();
		  		  
		     setOfPoints.add(new Boolean(false));
			 setOfPoints.add(new Integer(-2));
		     
		  	  
		     for(x = 0; x< flat.numElements(); x++) {
				if (!bPlaced[array3x[x]-1] && elementsToDraw[array3x[x]-1]
					&& !loops.contains(new Integer(array3x[x]).toString()) 
					&& !touchingElements.contains(new Integer(array3x[x]).toString())) {
					
					  
		           
			
		  		      newX = newX + (int)((p2.getX() - p1.getX())/(rank2Size-1));
		              newY = newY + (int)((p2.getY() - p1.getY())/(rank2Size-1));
		     	      p.setLocation(newX, newY);
	                  newP = new PointsInfo(new Integer(array3x[x]).toString(),p, "-2");
					  newP1 = new PointsInfo(new Integer(array3x[x]).toString(),p, "-2");
                      indexPoints.addElement(newP);
					  initialPoints.addElement(newP1);
 newP2 = new PointsInfo(new Integer(array3x[x]).toString(),p, "-2");
                     
					    movingPoints.addElement(newP2);

		     		  bPlaced[array3x[x]-1] = true;
		              nPlaced++;
			      
		        
				
		           setOfPoints.add(new Integer(array3x[x]));
				   displayPoints.add(new Integer(array3x[x]));
				}
		  		
		     }// end of for
			
			if(setOfPoints.size() >= 5){
			   
		       sol.addElement(setOfPoints);
 	  	       displayFlats.addElement(displayPoints);
			   numOfCurves = numOfCurves + setOfPoints.size()  -2 -1;
			   removeSubsetFromList(flat, rank2Flats);
		  lines.add(flat);
			}
		  }
		  }// end of if
		  
		  
		}
	
	   } 
	  } 
	}
	  }
	}

	
	
	//
	// next, try to place each new element with some combination of already
	// placed elements
	//
	
		
	for (i=0; (i<(n+countElem)) && (nPlaced < (n+countElem)); i++) {
	  zi =i+1;
	 
	  if (!bPlaced[i] && elementsToDraw[i] && !(loops.contains(new Integer(i+1).toString()))
		    && !(touchingElements.contains(new Integer(i+1).toString()))) {
	    for (j=0; j<(n+countElem) && !bPlaced[i] && elementsToDraw[i]; j++) {
	     zj = j+1;
	     if (bPlaced[j] && !(loops.contains(new Integer(zj).toString())) && elementsToDraw[j]
			   && !(touchingElements.contains(new Integer(zj).toString()))) {
	            pFlat = (Vector)mFlats.get(2);
	            Enumeration enum6 = pFlat.elements();
	            while(enum6.hasMoreElements())
	            {
                   flat = (Subset)enum6.nextElement();
				   
		           if(mfc.contains(flat, i) && mfc.contains(flat, j) && i!=j )
		           {

		            array4x = new int[flat.numElements()];
		            array4x = mfc.getFlats(flat);
		   
        		    rank2Size = flat.numElements()-loops.size();
					
		
		        for(x = 0; x<array4x.length;x++){
			     if(touchingElements.contains(new Integer(array4x[x]).toString())){
		          rank2Size--;
			     }
		        }
			
		  setOfPoints = new HashSet();
		   displayPoints = new HashSet();
		  if(rank2Size > 2) {

		   
		  
		  Enumeration enum212 = indexPoints.elements();
		  PointsInfo po;
		  Point p1 = new Point();

			 
		  while(enum212.hasMoreElements())
		  {
		     po = (PointsInfo) enum212.nextElement();
							 
			 if(po.index.equals(new Integer(zj).toString()))
					 p1.setLocation(po.point.getX(), po.point.getY());

		  }
		  
		     newX = (int)p1.getX();
		     newY = (int)p1.getY();
		     setOfPoints.add(new Boolean(false));
			 setOfPoints.add(new Integer(-2));
		     
		
			
		     for(x = 0; x< flat.numElements(); x++){
			    
		        if (bPlaced[array4x[x]-1] && array4x[x] != zj && !loops.contains(new Integer(array4x[x]).toString()) 
					      && !touchingElements.contains(new Integer(array4x[x]).toString())
					      && elementsToDraw[array4x[x]-1]) {
		        
			
		           Enumeration enump = indexPoints.elements();
	   	           PointsInfo pop;
			 
     			   Point p2 = new Point();
		           while(enump.hasMoreElements())
		           {
			           pop = (PointsInfo) enump.nextElement();
								 
        			   if(pop.index.equals(new Integer(array4x[x]).toString()))
					       p2.setLocation(pop.point.getX(), pop.point.getY());
				   }
				   
				   if(!bPlaced[i]){
		           bPlaced[i] = true;
			       newX = newX + (int)((p2.getX() - p1.getX())/(rank2Size-1));
		           newY = newY + (int)((p2.getY() - p1.getY())/(rank2Size-1));
		   		   
		           p.setLocation(newX, newY);
	               newP = new PointsInfo(new Integer(i+1).toString(),p, "-2");
			       newP1 = new PointsInfo(new Integer(i+1).toString(),p, "-2");
                   indexPoints.addElement(newP);
				   initialPoints.addElement(newP1);
  newP2 = new PointsInfo(new Integer(i+1).toString(),p, "-2");
                   
				     movingPoints.addElement(newP2);
	               nPlaced++;		  
				   
				   }
				   
				   setOfPoints.add(new Integer(x));
                   displayPoints.add(new Integer(x));
			
		         }// end of if
		         
		       }// end of for
			 
			 if(setOfPoints.size() >= 5){
			      
 	  	        displayFlats.addElement(displayPoints);
				numOfCurves = numOfCurves + setOfPoints.size()  -2 -1;
				removeSubsetFromList(flat, rank2Flats);
		    lines.add(flat);
			 }

			
		     } // end of if
					   
		    
		  
		}
	      }
	    }
	  }
	  }
	}
	
	
	      
	//
	// place any still unplaced elements "off to the side"
	//
	  
	  int circleX = offX;
	  int circleY = offY;
	  count = 0;
	  for (i=0; i<n+countElem; i++) {
	     zi=i+1;
	     if (!bPlaced[i] && !loops.contains(new Integer(i+1).toString())
			      && !touchingElements.contains(new Integer(i+1).toString())
			      && elementsToDraw[i] ) {
		 
		    p.setLocation(circleX, circleY);
	        newP = new PointsInfo(new Integer(zi).toString(),p, "-2");
			newP1 = new PointsInfo(new Integer(zi).toString(),p, "-2");
            indexPoints.addElement(newP);
			initialPoints.addElement(newP1);
newP2 = new PointsInfo(new Integer(zi).toString(),p, "-2");
           
			movingPoints.addElement(newP2);
						
		    /////////////  Also place these zi points //////////////
	        bPlaced[i] = true;
		    count++;
			circleX = circleX + 50;
			if(circleX > 900){
				circleX = offX;
				circleY = circleY + 50;
				count = 0;
			}
	     }
	   }

	//
	// finally, draw (possibly curved) lines connecting remaining flats
	//
	
    Iterator remFlat;
	for (remFlat = rank2Flats.iterator(); remFlat.hasNext();) {
	   flat = (Subset)remFlat.next();
	   
	   array = new int[flat.numElements()];
	   array = mfc.getFlats(flat);
	   
	   rank2Size = flat.numElements()-loops.size();
	   
		
		  for(x = 0; x<array.length;x++){
			if(touchingElements.contains(new Integer(array[x]).toString())){
		       rank2Size--;
			}
		 }
		  
		  
		  setOfPoints = new HashSet();
		 displayPoints = new HashSet();
	   if (rank2Size >= 3) {
	   		 
		 setOfPoints.add(new Boolean(false));
		 setOfPoints.add(new Integer(-2));
		 
		 
		 for(int ar1 = 0; ar1 < flat.numElements(); ar1++) 
		 {
			 if(!loops.contains(new Integer(array[ar1]).toString()) && !touchingElements.contains(new Integer(array[ar1]).toString())
				&& elementsToDraw[array[ar1]-1]) {
		        setOfPoints.add(new Integer(array[ar1]));
		        displayPoints.add(new Integer(array[ar1]));
			 }
		 }
		 
		 if(setOfPoints.size() >= 5){
		  
		    sol.addElement(setOfPoints);
 	  	    displayFlats.addElement(displayPoints);
			numOfCurves = numOfCurves + setOfPoints.size()  -2 -1;
		 }

		
	    }
	  }
	
	
		
	//draw the parallel elements.
		Enumeration tenum = touchingEdges.elements();
	   
		while(tenum.hasMoreElements()) 
	    {
		 
			Vector tSet = ((Vector)tenum.nextElement());
			Object edgesArray[] = new Object[tSet.size()];
			edgesArray = tSet.toArray();
			String indexString = edgesArray[0].toString();
			for(int is = 1; is < edgesArray.length ; is++)
				indexString = indexString + "," + edgesArray[is].toString();
			
			// adjust the points in indexpoints
			Enumeration ienum = indexPoints.elements();
			while(ienum.hasMoreElements())
			{
	
				PointsInfo tip;
        	    tip= (PointsInfo) ienum.nextElement();
				
				Enumeration tSetm = tSet.elements();
				Object check;
                while(tSetm.hasMoreElements())
			    {
					check = tSetm.nextElement();
					if(check.toString().equals(tip.index.toString())) {
						newX = (int)tip.point.getX();
						newY = (int)tip.point.getY();
						
						boolean didR1 = indexPoints.removeElement(tip);
						
						p.setLocation(newX,newY);
	                    newP = new PointsInfo(indexString,p, "-2");
			            
                        indexPoints.addElement(newP);
			            
						
					}// end of if
				}// end of while
			}// end of while
			
			Enumeration ienum2 = initialPoints.elements();
			while(ienum2.hasMoreElements())
			{
	
				PointsInfo tip;
        	    tip= (PointsInfo) ienum2.nextElement();
				//itt = tSet.iterator();
				Enumeration tSetm = tSet.elements();
				Object check;
                while(tSetm.hasMoreElements())
			    {
					check = tSetm.nextElement();
					if(check.toString().equals(tip.index.toString())) {
						newX = (int)tip.point.getX();
						newY = (int)tip.point.getY();
						
						boolean didR2 = initialPoints.removeElement(tip);
                        
						p.setLocation(newX,newY);
	                    
			            newP1 = new PointsInfo(indexString,p, "-2");
                       
			            initialPoints.addElement(newP1);
						
                       
				      
						
					}// end of if
				}// end of while
			}// end of while
			
			
			Enumeration ienum3 = movingPoints.elements();
			while(ienum3.hasMoreElements())
			{
	
				PointsInfo tip;
        	    tip= (PointsInfo) ienum3.nextElement();
				
				Enumeration tSetm = tSet.elements();
				Object check;
                while(tSetm.hasMoreElements())
			    {
					check = tSetm.nextElement();
					if(check.toString().equals(tip.index.toString())) {
						newX = (int)tip.point.getX();
						newY = (int)tip.point.getY();
						
                        boolean didR3 = movingPoints.removeElement(tip);
						
						p.setLocation(newX,newY);
	                    
						newP2 = new PointsInfo(indexString,p, "-2");
                       
				      movingPoints.addElement(newP2);
						
					}// end of if
				}// end of while
			}// end of while
			
			
			
		}// end of while
	
		
	
	
    }// end of try
    catch (Exception e) {
        //throw new InternalError(e.getMessage());
		JOptionPane.showMessageDialog(null, "Error placing the points and flats.  Please re-enter the input.");
    } 

  }// if - for breaking down the design for drawing.
		 
 else if((((n+countElem) - loops.size() - touchingElements.size()) >= (m*m)) && (m > 2)){
  
	 
	 
	 
	
	 
	 // Using Prop 2.2.3 in The theory of Finite linear spaces
		   // by Lynn Margaret Batten and Albrecht Beutelspacher, if number of 
		   // points >= square of the p, and if every point has degree at most
		   // p+1, then the linear space can be extended to a 
		   // projective plane of order p.  Hence if number of points is greater
		   // than or equal to square of p draw geometric repr in the grid form
		   // by deleting the corresponding points from PG(2,p).
  	  try {
		   Vector vectorPoints = new Vector();
		   
		   	   
		   //add the elements in the projective plane, PG(2,p)
		   //(there will be (m+1) points in the projective plane)
		   // add all the equivalent vectors too
		   Vector temp;		   
		   p.setLocation(710,270);
		   p12.setLocation(710,270);
           p13.setLocation(710,270);
		 
		    movingInfinityPoints.addElement(new Point(p13));
		   infinityPoints.addElement(new Point(p12));
		   for(int equiv = 1; equiv < m; equiv++){
			  temp = new Vector();
			  temp.addElement(new Integer(0));
		      temp.addElement(new Integer(equiv));
		      temp.addElement(new Integer(0));
			  newV = new VectorInfo(p, new Vector(temp));
			  
              vectorPoints.addElement(newV);
			  
		   }
		   
		   
		   
		   p.setLocation(480,500);
		   p12.setLocation(480,500);
  p13.setLocation(480,500);
		   infinityPoints.addElement(new Point(p12));
		      movingInfinityPoints.addElement(new Point(p13));
		 
		   for(int equiv = 1; equiv < m; equiv++){
			   temp = new Vector();
		      temp.addElement(new Integer(0));
		      temp.addElement(new Integer(0));
		      temp.addElement(new Integer(equiv));
              newV = new VectorInfo(p, new Vector(temp));
			  
              vectorPoints.addElement(newV);
		   }
		   
		   
		   int xPoint = 250;
		   int yPoint = 500;
		   int changeX = (680-xPoint)/(m-2);
	       
		   
		   for(x = m-1; x >= 1; x--) {
			   p.setLocation(xPoint,yPoint);
			   p12.setLocation(xPoint,yPoint);
			    p13.setLocation(xPoint,yPoint);
			   infinityPoints.addElement(new Point(p12));
			     movingInfinityPoints.addElement(new Point(p13));
			   for(int equiv = 1; equiv < m; equiv++){
			      temp = new Vector();
			      temp.addElement(new Integer(0));
			      temp.addElement(new Integer(equiv));
			      temp.addElement(new Integer((x*equiv) % m));
           	      newV = new VectorInfo(p, new Vector(temp));
				
                  vectorPoints.addElement(newV);
			   }
	           
			   xPoint = xPoint + changeX;
			   
		   }
		   
	
		   
		   
		   
		   
		   
		   xPoint = 350;
		   yPoint = 140;
		   changeX = (610-xPoint)/(m-1);
	       int changeY = (400-yPoint)/(m-1);
		   
		   // add the elements in the grid
		   for(int yValue = m-1; yValue >= 0 ;yValue--){
			   for(int zValue = m-1; zValue >= 0 ;zValue--){
			
		           p.setLocation(xPoint,yPoint);
				   for(int equiv = 1; equiv < m; equiv++){
				      temp = new Vector();
				      temp.addElement(new Integer(equiv));
                      temp.addElement(new Integer((yValue*equiv) % m));
				      temp.addElement(new Integer((zValue*equiv) % m));
           	          newV = new VectorInfo(p, new Vector(temp));
			
                      vectorPoints.addElement(newV);
				   }
	              
				   yPoint = yPoint + changeY;
		      }
		      yPoint = 140;
		      xPoint = xPoint + changeX;
		   }
		   
	
				   
		   int indexCount = 1;
		   boolean flag = false;
		   int scale = 0;
		   Enumeration vnum1 = vectorPoints.elements();
	       while(vnum1.hasMoreElements()) 
	       {
		       VectorInfo vSet = ((VectorInfo)vnum1.nextElement());
			   
			   Enumeration vnum2 = vectorCols.elements();
	           while(vnum2.hasMoreElements() && !flag) 
	           {
			      Vector temporary = (Vector)vnum2.nextElement();
				
				  //bPlaced[indexCount-1] also takes care of not placing the loops
				  // elements which were placed earlier.
			      if((temporary.equals(vSet.coord)) && !bPlaced[indexCount-1] && 
					 !touchingElements.contains(new Integer(indexCount).toString())
					 && elementsToDraw[indexCount-1]){
					 
			         p.setLocation(vSet.point);
	                 newP = new PointsInfo(new Integer(indexCount).toString(),p, "-2");
			          newP1 = new PointsInfo(new Integer(indexCount).toString(),p, "-2");
                     indexPoints.addElement(newP);
			          initialPoints.addElement(newP1); 
                     newP2 = new PointsInfo(new Integer(indexCount).toString(),p, "-2");
                   
				   movingPoints.addElement(newP2);            
					  flag = true;
					  bPlaced[indexCount-1] = true;
					  
			      }
				  				  				  
				  else
					  indexCount++;
			      
		       }
			   
			   flag = false;
			   indexCount = 1;
		   }
			
		   //if there are still any unplaced elements--> they must be 
		   // the parallel elements.
		   	Enumeration tenum = touchingEdges.elements();
	    
		while(tenum.hasMoreElements()) 
	    {
		   
			Vector tSet = ((Vector)tenum.nextElement());
			Object edgesArray[] = new Object[tSet.size()];
			edgesArray = tSet.toArray();
			String indexString = edgesArray[0].toString();
			for(int is = 1; is < edgesArray.length ; is++)
				indexString = indexString + "," + edgesArray[is].toString();
			
			Enumeration ienum = indexPoints.elements();
			while(ienum.hasMoreElements())
			{
	
				PointsInfo tip;
        	    tip= (PointsInfo) ienum.nextElement();
				
				Enumeration tSetm = tSet.elements();
				Object check;
                while(tSetm.hasMoreElements())
			    {
					check = tSetm.nextElement();
					if(check.toString().equals(tip.index.toString())) {
						newX = (int)tip.point.getX();
						newY = (int)tip.point.getY();
						
						boolean didR1 = indexPoints.removeElement(tip);
						
						p.setLocation(newX,newY);
	                    newP = new PointsInfo(indexString,p, "-2");
			            
                        indexPoints.addElement(newP);
			            
                     
				     
						
					}// end of if
				}// end of while
			}// end of while
			
			
			Enumeration ienum1 = initialPoints.elements();
			while(ienum1.hasMoreElements())
			{
	
				PointsInfo tip;
        	    tip= (PointsInfo) ienum1.nextElement();
				
				Enumeration tSetm = tSet.elements();
				Object check;
                while(tSetm.hasMoreElements())
			    {
					check = tSetm.nextElement();
					if(check.toString().equals(tip.index.toString())) {
						newX = (int)tip.point.getX();
						newY = (int)tip.point.getY();
						
						boolean didR2 = initialPoints.removeElement(tip);
						
						p.setLocation(newX,newY);
	                    
			            newP1 = new PointsInfo(indexString,p, "-2");
                        
			            initialPoints.addElement(newP1);
						
                     
				    
						
					}// end of if
				}// end of while
			}// end of while
			
			
			Enumeration ienum2 = movingPoints.elements();
			while(ienum2.hasMoreElements())
			{
	
				PointsInfo tip;
        	    tip= (PointsInfo) ienum2.nextElement();
				
				Enumeration tSetm = tSet.elements();
				Object check;
                while(tSetm.hasMoreElements())
			    {
					check = tSetm.nextElement();
					if(check.toString().equals(tip.index.toString())) {
						newX = (int)tip.point.getX();
						newY = (int)tip.point.getY();
						
						boolean didR3 = movingPoints.removeElement(tip);
						
						p.setLocation(newX,newY);
	                    
						newP2 = new PointsInfo(indexString,p, "-2");
                     
				     movingPoints.addElement(newP2);
						
					}// end of if
				}// end of while
			}// end of while
			
			
		}// end of while
		  
		pFlat1 = (Vector)mFlats.get(2);
	  enumsa = pFlat1.elements();
	  while(enumsa.hasMoreElements())
	  {
         flats = (Subset)enumsa.nextElement();
         
         rank2Flats1.add(flats);
      }
		   		   
		   // add the flats to be drawn:
	   Iterator remFlat;
	   for (remFlat = rank2Flats.iterator(); remFlat.hasNext();) {
	      flat = (Subset)remFlat.next();
		 
    	  array = new int[flat.numElements()];
	      array = mfc.getFlats(flat);

		  
		  rank2Size = flat.numElements()-loops.size();
		  
		
		  for(x = 0; x<array.length;x++){
			if(touchingElements.contains(new Integer(array[x]).toString())){
		       rank2Size--;
			}
		 }
		  
		  
	   
		  setOfPoints = new HashSet();
		  displayPoints = new HashSet();
	   
		  if (rank2Size >= 3) {
		     setOfPoints.add(new Boolean(false));
		     setOfPoints.add(new Integer(-2));
		 
		 
		     for(int ar1 = 0; ar1 < flat.numElements(); ar1++) 
		     {
				  if(!loops.contains(new Integer(array[ar1]).toString()) && !touchingElements.contains(new Integer(array[ar1]).toString())) {
    			    setOfPoints.add(new Integer(array[ar1]));
	    	        displayPoints.add(new Integer(array[ar1]));
				  }
			 
             }
		 
	    	  if(setOfPoints.size() >= 5){
		      
		        sol.addElement(setOfPoints);
 	  	        displayFlats.addElement(displayPoints);
			    numOfCurves = numOfCurves + setOfPoints.size()  -2 -1;
		      }
		  }
	    
	  }// end of for pFlat
	   
		   
    }// end of try
    catch (Exception e) {
        //throw new InternalError(e.getMessage());
		//System.err.println(e.getMessage() + "\n");
		JOptionPane.showMessageDialog(null, "Error in placing the points and flats.  Please re-enter the input.");
    } 
   }// else - for breaking down the design for drawing the matroids.
  }// end of if(draw)
   
   else if(!draw) {
		// throw an exception b'coz, two lines meet in more than two points.
	   //throw new InternalError("two lines meet in more than two points");
	   JOptionPane.showMessageDialog(null, "two lines meet in more than two points.  Please re-enter the input.");
	   System.exit(0);
	   
	}

 }// end of else
	  

 
  return sol;

  }// end of DoOutLine mtd

   
   // draws linear spaces
   private static Vector DoLinearSpaces(Vector mFlats, int rankOfMatroid, int sizeOfMatroid, int sizeOfLines, boolean[] elementsToDraw,
								   int countElem, Vector sol, 
								   Vector indexPoints, Vector initialPoints, 
				Vector displayFlats, Vector infinityPoints, Vector movingInfinityPoints, Vector movingPoints,
				Vector loops, Vector touchingElements, Vector touchingEdges)
   {
       
	   //System.out.println(" Hi entered dolinear");
	   
	   if (rankOfMatroid < 3) {
      
		 
	     LinkedList rank2Flats = new LinkedList();
         LinkedList lines = new LinkedList();
		
		 int i,x;
         int n = sizeOfMatroid;
         
		 
	

         boolean[] bPlaced = new boolean[n+countElem];
	     int nPlaced = 0;
	     HashSet setOfPoints;
	     HashSet displayPoints;
	     int arrayx[] = new int[0];
		 int[] array;
	     int newX, newY;
	     int offX, offY;
		 int rank2Size = 0;
	     Point p = new Point();
	     PointsInfo newP;
	     PointsInfo newP1;	
	     PointsInfo newP2;
		 numOfCurves = 0;
		 int count = 0;
		 Vector flat;
		 
		 for (i=0; i<n+countElem; i++){
	        bPlaced[i] = !elementsToDraw[i];
			if(bPlaced[i] == true)
				nPlaced++;
		 }
		 		 
		 // place the loop elements if any	  
	     newX = 300;
         newY = 90;
         Vector pFlat = new Vector();
		 pFlat = (Vector)mFlats.get(0);
		 Enumeration enum = pFlat.elements();
		 while(enum.hasMoreElements())
	     {
            flat = (Vector)enum.nextElement();
				    
		    for(x = 1;x<=(n+countElem);x++)
			{
				if(flat.size() >= 1 && flat.contains(new Integer(x).toString()) && elementsToDraw[x-1]
				  && !bPlaced[x-1]) {
		       
		
			      p.setLocation(newX,newY);
	              newP = new PointsInfo(new Integer(x).toString(),p, "-2");
			      newP1 = new PointsInfo(new Integer(x).toString(),p, "-2");
                  indexPoints.addElement(newP);
			      initialPoints.addElement(newP1);
					newP2 = new PointsInfo(new Integer(x).toString(),p, "-2");
                
			       movingPoints.addElement(newP2);
				   loops.addElement(new Integer(x).toString());
			      bPlaced[x-1] = true;
			      nPlaced++;
				  //System.out.println(" Palacing loop " + x);
			      count = count + 1;
			      newX = newX + 50;
			      if(newX > 900){
				     newY = newY + 50;
			         newX = 300;
					 count = 0;
			      }  
		       }// end of if
		    }// end of for
         }// end of while
	     offX = newX;
	     offY = newY;
	  
         
	     pFlat = (Vector)mFlats.get(1);
	     Enumeration enum1 = pFlat.elements();
		 boolean firstOne = true;
		// System.out.println(" The flats of rank - 1 are = ");
	     while(enum1.hasMoreElements())
	     {
	        flat = (Vector)enum1.nextElement();
			if(flat.size() > 1) {
			   Vector tEdges = new Vector();
		       firstOne = true;
		       for(x = 1;x<=(n+countElem);x++)
			   {
				if(flat.contains(new Integer(x)) && elementsToDraw[x-1]
				  && !bPlaced[x-1] && !loops.contains(new Integer(x).toString())) {
		    
				 tEdges.addElement(new Integer(x));
				 if(!firstOne){
				    touchingElements.addElement(new Integer(x).toString());
		            bPlaced[x-1] = true;
			        nPlaced++;
				    
				 }
				 firstOne = false;
				  //System.out.println(" parallel ele is  " + x);
		        }		
		       
		      }// end of for
			  touchingEdges.add(tEdges);
			}
         }// end of while
         	  
	     //
         // place elements 0, 1 and 2 in default position
         //
       
	  	  
	     p.setLocation(0,0);
	     newP = new PointsInfo("0",p, "-2");
	     newP1 = new PointsInfo("0",p, "-2");
	     indexPoints.addElement(newP);
	     initialPoints.addElement(newP1);
 newP2 = new PointsInfo("0",p, "-2");
	   
	       movingPoints.addElement(newP2);

		 if(rankOfMatroid == 1 && (n+countElem) >= 1 && !bPlaced[0] == true){
	        p.setLocation(250,500);
	        newP = new PointsInfo("1",p, "-2");
	        newP1 = new PointsInfo("1",p, "-2");
            indexPoints.addElement(newP);
	        initialPoints.addElement(newP1);
             newP2 = new PointsInfo("1",p, "-2");
           
		 movingPoints.addElement(newP2);
		    bPlaced[0] = true;
		    nPlaced++;
			//System.out.println(" Placing 1");
		 }
	  
         if(rankOfMatroid == 1 && (n+countElem) >= 2 && !bPlaced[1] == true){
		   p.setLocation(900,500);
		   newP = new PointsInfo("2",p, "-2");
	       newP1 = new PointsInfo("2",p, "-2");
           indexPoints.addElement(newP);
	       initialPoints.addElement(newP1);
newP2 = new PointsInfo("2",p, "-2");
		  movingPoints.addElement(newP2);
		   bPlaced[1] = true;
		   nPlaced++;
		  //System.out.println(" Placing 2");
		 }
	  
         

         try {
		
			 if(rankOfMatroid > 1) {
			 
				 
            //
            // place elements in flats with {0,1}
            //
				 int countPlaced = 0;
		   int start = -1;
		   int end = -1;
		   
		   Vector tempVec = new Vector(); 
		   tempVec = (Vector)mFlats.get(2); 
		   pFlat = new Vector(tempVec);
	       Enumeration enum2 = pFlat.elements();
	       while(enum2.hasMoreElements())
	       {
               flat = (Vector)enum2.nextElement();
			   
			   
			
				 for(int iz = 1; iz<= (n+countElem) && countPlaced < 2; iz++){
					  if(flat.contains(new Integer(iz)) && !touchingElements.contains(new Integer(iz).toString()) && countPlaced == 0
						 && !loops.contains(new Integer(iz).toString()) &&
						 !bPlaced[iz-1] == true){
						start = iz;
						p.setLocation(250,500);
						newP = new PointsInfo(new Integer(iz).toString(),p, "-2");
						newP1 = new PointsInfo(new Integer(iz).toString(),p, "-2");
						indexPoints.addElement(newP);
						initialPoints.addElement(newP1);
						newP2 = new PointsInfo(new Integer(iz).toString(),p, "-2");
						movingPoints.addElement(newP2);
						bPlaced[iz-1] = true;
						nPlaced++;
						countPlaced++;
					  }
					  if(flat.contains(new Integer(iz)) && !touchingElements.contains(new Integer(iz).toString()) && countPlaced == 1
						 && !loops.contains(new Integer(iz).toString())
						 && !bPlaced[iz-1] == true){
						end = iz;
						p.setLocation(900,500);
						newP = new PointsInfo(new Integer(iz).toString(),p, "-2");
						newP1 = new PointsInfo(new Integer(iz).toString(),p, "-2");
						indexPoints.addElement(newP);
						initialPoints.addElement(newP1);
						newP2 = new PointsInfo(new Integer(iz).toString(),p, "-2");
						movingPoints.addElement(newP2);
						bPlaced[iz-1] = true;
						nPlaced++;
						countPlaced++;
					  }
				  }
			   
			   
		       if(flat.contains(new Integer(start)) && flat.contains(new Integer(end))
				  && !(loops.contains(new Integer(start).toString()))
				  && !(loops.contains(new Integer(end).toString()))
				  && !touchingElements.contains(new Integer(start).toString())
					  && !touchingElements.contains(new Integer(end).toString())) 
			   {

				   rank2Size = flat.size()-loops.size();
				   
		          for(x = 1; x<= (n+countElem);x++)
				  {
		      	    if(touchingElements.contains(new Integer(x).toString())
					   && flat.contains(new Integer(x)))
					   rank2Size--;
		          }
				  //System.out.println("rank2Size = " + rank2Size);
			   setOfPoints = new HashSet();
		       displayPoints = new HashSet();

			   if(rank2Size > 2) 
			   {
		          newX = 250;
		          newY = 500;
		          setOfPoints.add(new Boolean(true));
    	          setOfPoints.add(new Integer(-2));//donot highlight
			      setOfPoints.add(new Integer(start));
		          displayPoints.add(new Integer(start));
		          setOfPoints.add(new Integer(end));
		          displayPoints.add(new Integer(end));

				 for(x = 1; x<= (n+countElem); x++){
			    	   
		   
		   		   		   
		       if( flat.contains(new Integer(x)) && x != start && x != end && elementsToDraw[x-1]
				  && !bPlaced[x-1] && !loops.contains(new Integer(x).toString())
				         && !touchingElements.contains(new Integer(x).toString())) {
			  
				 
				    

					    setOfPoints.add(new Integer(x));
			            displayPoints.add(new Integer(x));
                        newX = newX + (int)((900-250)/(rank2Size-1));
		                newY = (int)(500);
		                p.setLocation(newX, newY);
	                    newP = new PointsInfo(new Integer(x).toString(),p, "-2");
				        newP1 = new PointsInfo(new Integer(x).toString(),p, "-2");
                        indexPoints.addElement(newP);
				        initialPoints.addElement(newP1);

                     newP2 = new PointsInfo(new Integer(x).toString(),p, "-2");
                       
					  movingPoints.addElement(newP2); 

		    	        bPlaced[x-1] = true;
						//System.out.println(" Placing " + x);
			            nPlaced++;
		             }// end of if  	   
  		          }// end of for

		        
		          // include the flats if excluding the loops and touching elements, they are lines to be drawn.
		          if(setOfPoints.size() >= 5)
				  {
	  	             sol.addElement(setOfPoints);
 	  	             displayFlats.addElement(displayPoints);
			         // since setOfPoints has a 2 boolean values
			         numOfCurves = numOfCurves + setOfPoints.size() -2 -1;
                     // draw a line through this flat
	                 
                     pFlat.removeElement(flat);
					 
	                 lines.add(flat);
				  }

			   }
	   }// end of while
	  
			 }
			 }
		//
     	// place any still unplaced elements "off to the side"
	    //
	  
	    int circleX = offX;
	    int circleY = offY;
	    count = 0;
        int zi;
	    for (i=0; i<(n+countElem); i++) 
		{
	       zi=i+1;
	       if (!bPlaced[i] && elementsToDraw[i]) 
		   {
		    
		      p.setLocation(circleX, circleY);
	          newP = new PointsInfo(new Integer(zi).toString(),p, "-2");
    		  newP1 = new PointsInfo(new Integer(zi).toString(),p, "-2");
              indexPoints.addElement(newP);
			  initialPoints.addElement(newP1);
				newP2 = new PointsInfo(new Integer(zi).toString(),p, "-2");
           
			    movingPoints.addElement(newP2);
						
		      /////////////  Also place these zi points //////////////
	          bPlaced[i] = true;
		      count++;
			  //System.out.println(" Palacing offside " + zi);
			      circleX = circleX + 50;
			  if(circleX > 900 )
			  {
				circleX = offX;
				circleY = circleY + 50;
				count = 0;
			  }
	       }
	    }

		
		if(rankOfMatroid > 1) {
		
		//
	// finally, draw (possibly curved) lines connecting remaining flats
	//
	
	// ifthe lines are not joined b/n 1 and 2.
    Iterator remFlat;
	
	for (remFlat = pFlat.iterator(); remFlat.hasNext();) {
	   flat = (Vector)remFlat.next();
	   		  
	   rank2Size = flat.size()-loops.size();
	   
	     for(x = 1; x<= (n+countElem);x++)
				  {
		      	    if(touchingElements.contains(new Integer(x).toString())
					   && flat.contains(new Integer(x)))
					   rank2Size--;
		          }
		 
		  setOfPoints = new HashSet();
		 displayPoints = new HashSet();
	   if (rank2Size >= 3) {
	   		 
		 setOfPoints.add(new Boolean(false));
		 setOfPoints.add(new Integer(-2));
	
		 
		 			 for(x = 1; x<= (n+countElem); x++){
			    	   
		   
		   		   		   
		       if( flat.contains(new Integer(x)) && elementsToDraw[x-1] &&
				  !loops.contains(new Integer(x).toString()) 
				  && !touchingElements.contains(new Integer(x).toString())) {
		 
				   
		        setOfPoints.add(new Integer(x));
		        displayPoints.add(new Integer(x));
			 }
		 }
		 
		 if(setOfPoints.size() >= 5){
		    
		    sol.addElement(setOfPoints);
 	  	    displayFlats.addElement(displayPoints);
			numOfCurves = numOfCurves + setOfPoints.size()  -2 -1;
		 }

		
	    }
	}
		
		}
		
	
				//draw the touching edges.
		Enumeration tenum = touchingEdges.elements();
	    //Iterator itt;
		while(tenum.hasMoreElements()) 
	    {
			
		   
		   Vector tSet = ((Vector)tenum.nextElement());
		   if(tSet.size() != 0) {
		      
		      Object edgesArray[] = new Object[tSet.size()];
		      
		      edgesArray = tSet.toArray();
		      
		      String indexString = edgesArray[0].toString();
		      
		      for(int is = 1; is < edgesArray.length ; is++)
			     indexString = indexString + "," + edgesArray[is].toString();
		   
		   
		      
		      //adjust the points in indexPoints
		      Enumeration ienum = indexPoints.elements();
    		   while(ienum.hasMoreElements())
	    	   {
		    	   
	              PointsInfo tip;
        	     tip= (PointsInfo) ienum.nextElement();
			     Enumeration tSetm = tSet.elements();
			    
			     Object check;
                 while(tSetm.hasMoreElements())
			     {
			        check = tSetm.nextElement();
				    if(check.toString().equals(tip.index.toString())) 
				    {
					  
				      newX = (int)tip.point.getX();
					   newY = (int)tip.point.getY();
					
					   
					   boolean didR1 = indexPoints.removeElement(tip);
					   
					   p.setLocation(newX,newY);
                       newP = new PointsInfo(indexString,p, "-2");
		               
                       indexPoints.addElement(newP);
		               
                    
			         
  				    }// end of if
			      }// end of while
		       }// end of while
		   
		      // adjust the points in the initialPoints
		      Enumeration ienum1 = initialPoints.elements();
		      while(ienum1.hasMoreElements())
		   {
	          PointsInfo tip;
        	  tip= (PointsInfo) ienum1.nextElement();
			  Enumeration tSetm = tSet.elements();
			  
			  Object check;
              while(tSetm.hasMoreElements())
			  {
			     check = tSetm.nextElement();
				 if(check.toString().equals(tip.index.toString())) 
				 {
				    newX = (int)tip.point.getX();
					newY = (int)tip.point.getY();
					
					
					boolean didR2 = initialPoints.removeElement(tip);
					
					p.setLocation(newX,newY);
                   
		            newP1 = new PointsInfo(indexString,p, "-2");
                   
		            initialPoints.addElement(newP1);
					
                    
			    
  				 }// end of if
			  }// end of while
		   }// end of while
		   
		   
		   //adjust the points in the movingPoints
		   Enumeration ienum3 = movingPoints.elements();
		   while(ienum3.hasMoreElements())
		   {
	          PointsInfo tip;
        	  tip= (PointsInfo) ienum3.nextElement();
			  Enumeration tSetm = tSet.elements();
			  
			  Object check;
              while(tSetm.hasMoreElements())
			  {
			     check = tSetm.nextElement();
				 if(check.toString().equals(tip.index.toString())) 
				 {
				    newX = (int)tip.point.getX();
					newY = (int)tip.point.getY();
					
					
					boolean didR3 = movingPoints.removeElement(tip);
					
					p.setLocation(newX,newY);
                    
					newP2 = new PointsInfo(indexString,p, "-2");
                    
			    movingPoints.addElement(newP2);
  				 }// end of if
			  }// end of while
		   }// end of while
		

		   
		   
		   }
		}// end of while
	 	  
		
	 }// end of try block
     catch (Exception e1) {
        //throw new InternalError(e1.getMessage());
		 JOptionPane.showMessageDialog(null, "Error in placing the points and flats.  Please re-enter the input.");
     }
			
   }// end of if
	  
	  
	  else if(rankOfMatroid == 3) {
		 
		  //System.out.println(" Hi entered rank == 3");
		  
		   numOfCurves = 0;	
		   int n = sizeOfMatroid; 
	
		   
	      boolean[] bPlaced = new boolean[n+countElem];
	  int count = 0;
      StringBuffer message;
      int nPlaced = 0;
	  HashSet setOfPoints;
	  HashSet displayPoints;
	  Enumeration enum, enumsa;
	  PointsInfo newP;
	  PointsInfo newP1, newP2;
	  	  VectorInfo newV;
	  VectorInfo newV1;
	  LinkedList lines = new LinkedList();
	  Vector flat= new Vector();
	  Point p = new Point();
	  Point p12 = new Point();
	   Point p13 = new Point();
	  int rank2Size = 0;
	  int newX, newY;
	  int offX, offY;
	  offX= 300;
	  offY = 90;
	  int x, i , j;
	
	  boolean bStop = false;
	  int fi;
	  int pcount;
	  Enumeration fnum;
	  Iterator pSet1;
      
	  // the elements deleted using the delete button 
	  // are stopped from being placed here.
	  for (i=0; i<n+countElem; i++) {
	     bPlaced[i] = !elementsToDraw[i];
		 	if(bPlaced[i] == true)
				nPlaced++;
		 
		
	  } 
	  
	  // place the loop elements if any	  
	     newX = 300;
         newY = 90;
	     
		 
		 Vector pFlat = new Vector();
		 pFlat = (Vector)mFlats.get(0);
		 enum = pFlat.elements();
		 while(enum.hasMoreElements())
	     {
            flat = (Vector)enum.nextElement();
	    
		    for(x = 1;x<=(n+countElem);x++)
			{
				if(flat.size() >= 1 && flat.contains(new Integer(x).toString()) && elementsToDraw[x-1]
				  && !bPlaced[x-1]) {
		          		    //System.out.println(" The loops = " + x);    
			      p.setLocation(newX,newY);
	              newP = new PointsInfo(new Integer(x).toString(),p, "-2");
			      newP1 = new PointsInfo(new Integer(x).toString(),p, "-2");
                  indexPoints.addElement(newP);
			      initialPoints.addElement(newP1);
					newP2 = new PointsInfo(new Integer(x).toString(),p, "-2");
                
			       movingPoints.addElement(newP2);
				   loops.addElement(new Integer(x).toString());
			      bPlaced[x-1] = true;
			      nPlaced++;
			      count = count + 1;
			      newX = newX + 50;
			      if(newX > 900){
				     newY = newY + 50;
			         newX = 300;
					 count = 0;
			      }  
		       }// end of if
		    }// end of for
         }// end of while
	     offX = newX;
	     offY = newY;
	  
         
		 //System.out.println(" Hi finished loops");
		 
		 
	    pFlat = (Vector)mFlats.get(1);
	     Enumeration enum1 = pFlat.elements();
		 boolean firstOne = true;
		// System.out.println(" The flats of rank - 1 are = ");
	     while(enum1.hasMoreElements())
	     {
	        flat = (Vector)enum1.nextElement();
			if(flat.size() > 1) {
			   Vector tEdges = new Vector();
		       firstOne = true;
		       for(x = 1;x<=(n+countElem);x++)
			   {
				if(flat.contains(new Integer(x)) && elementsToDraw[x-1]
				  && !bPlaced[x-1] && !loops.contains(new Integer(x).toString())) {
		    
                 tEdges.addElement(new Integer(x));
				 if(!firstOne){
				    touchingElements.addElement(new Integer(x).toString());
		            
		            bPlaced[x-1] = true;
			        nPlaced++;
					
				 }
				 firstOne = false;
		        }		
		       
		       }// end of for
		       touchingEdges.addElement(tEdges);	
			}
         }// end of while
		 
		 //System.out.println(" Hi finished touching ele");
		 
		 
	  // determine m, the order of the projective plane.  If this matroid
	  // is not representable, this check might not yield a good geometric repr.
	 int m = sizeOfLines - 1;
	  //System.out.println(" m = " + m);
	 if((n+countElem)  < (m*m) || (m <= 2)){

	 // Using Prop 2.2.3 in The theory of Finite linear spaces
		   // by Lynn Margaret Batten and Albrecht Beutelspacher, if number of 
		   // points >= square of the p, and if every point has degree at most
		   // p+1, then the linear space can be extended to a 
		   // projective plane of order p.  Hence if number of points is less
		   // than square of p draw geometric repr in the triangle form.
		
	  p.setLocation(0,0);
	  newP = new PointsInfo("0",p, "-2");
	  newP1 = new PointsInfo("0",p, "-2");
	  indexPoints.addElement(newP);
	  initialPoints.addElement(newP1);
  newP2 = new PointsInfo("0",p, "-2");
                       
				     movingPoints.addElement(newP2);
	  
	  if((n+countElem) >= 1 && !bPlaced[0]){

	     p.setLocation(415,465);
	     newP = new PointsInfo("1",p, "-2");
	     newP1 = new PointsInfo("1",p, "-2");
         indexPoints.addElement(newP);
	     initialPoints.addElement(newP1);
 newP2 = new PointsInfo("1",p, "-2");
                       
				     movingPoints.addElement(newP2);
		 bPlaced[0] = true;
		
		 nPlaced++;
	  }
	  
	  
	  if((n+countElem) >= 2 && !bPlaced[1]){

         p.setLocation(725,465);
	     newP = new PointsInfo("2",p, "-2");
	     newP1 = new PointsInfo("2",p, "-2");
         indexPoints.addElement(newP);
	     initialPoints.addElement(newP1);
 newP2 = new PointsInfo("2",p, "-2");
                       
				     movingPoints.addElement(newP2);
	     bPlaced[1] = true;
	     nPlaced++;
		
	  }
	  
	  
	  if((n+countElem) >= 2 && !bPlaced[2]){

	     p.setLocation(565,155);
	     newP = new PointsInfo("3",p, "-2");
	     newP1 = new PointsInfo("3",p, "-2");
         indexPoints.addElement(newP);
	     initialPoints.addElement(newP1);
newP2 = new PointsInfo("3",p, "-2");
                       
				     movingPoints.addElement(newP2);
	     bPlaced[2] = true;
	     nPlaced++;
		 
	  }
      
	  
	  

      try {
        //
        // place elements in flats with {0,1}, {1,2} and {0,2} 
        //
		  
		  Vector tempVec = new Vector(); 
		  tempVec = (Vector)mFlats.get(2); 
		  pFlat = new Vector(tempVec);
	       Enumeration enum2 = pFlat.elements();
	       while(enum2.hasMoreElements())
	       {
             flat = (Vector)enum2.nextElement();
		     if(flat.contains(new Integer(1)) && flat.contains(new Integer(2))
								&& !(loops.contains(new Integer(1).toString()))
				  && !(loops.contains(new Integer(2).toString())))
				
		     {
	
			rank2Size = flat.size()-loops.size();
	   
	        for(x = 1; x<= (n+countElem);x++)
				  {
		      	    if(touchingElements.contains(new Integer(x).toString())
					   && flat.contains(new Integer(x)))
					   rank2Size--;
		          }
		 
		      
		
		        setOfPoints = new HashSet();
	            displayPoints = new HashSet();
		
	    if(rank2Size > 2) {	
		    
		        newX = 415;
		        newY = 465;

			     setOfPoints.add(new Boolean(false));
			    // no highlight to start with
		        setOfPoints.add(new Integer(-2));
			
			    setOfPoints.add(new Integer(1));
		   displayPoints.add(new Integer(1));
		   setOfPoints.add(new Integer(2));
		   displayPoints.add(new Integer(2));
		   
		       
		         for(x = 1; x<= (n+countElem); x++){
			    	   
		   
		   		   		   
		       if( flat.contains(new Integer(x)) && x != 1 && x != 2 && elementsToDraw[x-1]
				  && !bPlaced[x-1]  && !loops.contains(new Integer(x).toString())
				                                   && !touchingElements.contains(new Integer(x).toString())) {
			

				 setOfPoints.add(new Integer(x));
			     displayPoints.add(new Integer(x));
		         newX = newX + (int)((725-415)/(rank2Size-1));
		         newY = (int)(465);
		   
		          p.setLocation(newX, newY);
	              newP = new PointsInfo(new Integer(x).toString(),p, "-2");
				  newP1 = new PointsInfo(new Integer(x).toString(),p, "-2");
                  indexPoints.addElement(newP);
				  initialPoints.addElement(newP1);
 newP2 = new PointsInfo(new Integer(x).toString(),p, "-2");
                  movingPoints.addElement(newP2);
			      bPlaced[x-1] = true;
			      nPlaced++;
			      
		       }// end of if  	   
		   
		   }// end of for
			
			
			// setOfPoints in addition to the flats contains boolean value and an integer
			// representing if highlight is to be done or not.
		   if(setOfPoints.size() >= 5){
		        sol.addElement(setOfPoints);
 	  	        displayFlats.addElement(displayPoints);
                numOfCurves = numOfCurves + setOfPoints.size() -2 -1;
				pFlat.removeElement(flat);
	            lines.add(flat);
		   
	            //
	            // draw a line through this flat
	            //
	       
	          
		   }
			  
		
	   }// end of if
	  }// end of while
		   }
		   
		   
			//System.out.println(" Hi finish laying 1,2 flat");   
		  
	      Enumeration enum3 = pFlat.elements();
	      while(enum3.hasMoreElements())
	      {
             flat = (Vector)enum3.nextElement();
		     if(flat.contains(new Integer(2)) && flat.contains(new Integer(3))
								&& !(loops.contains(new Integer(2).toString()))
				  && !(loops.contains(new Integer(3).toString())))
		     {
		 		   
		 rank2Size = flat.size()-loops.size();
	   
	     for(x = 1; x<= (n+countElem);x++)
				  {
		      	    if(touchingElements.contains(new Integer(x).toString())
					   && flat.contains(new Integer(x)))
					   rank2Size--;
		          }
		 
		 setOfPoints = new HashSet();
		   displayPoints = new HashSet();
		 
		 
		 if(rank2Size > 2) {
		   
		   newX = 725;
		   newY = 465;
		
		   setOfPoints.add(new Boolean(false));
		   setOfPoints.add(new Integer(-2));
		   
			
		   setOfPoints.add(new Integer(2));
		   displayPoints.add(new Integer(2));
		   setOfPoints.add(new Integer(3));
		   displayPoints.add(new Integer(3));
		   
		   for(x = 1; x<= (n+countElem); x++) {
			
		       
			   
		     if(x != 2 && x != 3 &&  flat.contains(new Integer(x))
				                && elementsToDraw[x-1] && !bPlaced[x-1]
				&& !loops.contains(new Integer(x).toString())
				&& !touchingElements.contains(new Integer(x).toString())) {
			
				 
				 setOfPoints.add(new Integer(x));
			   displayPoints.add(new Integer(x));
		       newX = newX +  (int)((565-725)/(rank2Size-1));
		       newY = newY + (int)((155-465)/(rank2Size-1));
		   
		       p.setLocation(newX, newY);
	           newP = new PointsInfo(new Integer(x).toString(),p, "-2");
			   newP1 = new PointsInfo(new Integer(x).toString(),p, "-2");
               indexPoints.addElement(newP);
			   initialPoints.addElement(newP1);
 newP2 = new PointsInfo(new Integer(x).toString(),p, "-2");
               movingPoints.addElement(newP2);
			   bPlaced[x-1] = true;
			   nPlaced++;
			  
		     }// end of if		   
		   }// end of for
			
		   if(setOfPoints.size() >= 5){
		      
			   sol.addElement(setOfPoints);
 	  	       displayFlats.addElement(displayPoints);
			   numOfCurves = numOfCurves + setOfPoints.size()- 2 -1;
               pFlat.removeElement(flat);
	           lines.add(flat);
	        		
	          //
	          //  draw a line through this flat
	           //
 	  
         	 //  System.out.println("Connect 2, " + zj + ", and 3 with a line");
          	    //System.out.println();
	           
		   }
		   
		 }
		}// end of if
	  }// end of while

		 //System.out.println(" Hi finish laying 2,3 flat");   
		  
	      Enumeration enum4 = pFlat.elements();
	      while(enum4.hasMoreElements())
	      {
             flat = (Vector)enum4.nextElement();
		     if(flat.contains(new Integer(1)) && flat.contains(new Integer(3))
								&& !(loops.contains(new Integer(1).toString()))
				  && !(loops.contains(new Integer(3).toString())))
		     {
		       
		 
		       rank2Size = flat.size()-loops.size();
	   
	     for(x = 1; x<= (n+countElem);x++)
				  {
		      	    if(touchingElements.contains(new Integer(x).toString())
					   && flat.contains(new Integer(x)))
					   rank2Size--;
		          }
		    setOfPoints = new HashSet();
			displayPoints = new HashSet();
		 
		 
		    		 if(rank2Size > 2) {
		    
		    newX = 565;
		    newY = 155;
		
		    setOfPoints.add(new Boolean(false));
			setOfPoints.add(new Integer(-2));
			
			
			setOfPoints.add(new Integer(1));
		   displayPoints.add(new Integer(1));
		   setOfPoints.add(new Integer(3));
		   displayPoints.add(new Integer(3));
		   
		    for(x = 1; x<= (n+countElem); x++) {
		       if(x != 1 && x != 3 && flat.contains(new Integer(x))
				           && elementsToDraw[x-1] && !bPlaced[x-1]
				  && !loops.contains(new Integer(x).toString())
				  && !touchingElements.contains(new Integer(x).toString())) {
			  
				
				   setOfPoints.add(new Integer(x));
				displayPoints.add(new Integer(x));
		          newX = newX + (int)((415-565)/(rank2Size-1));
		          newY = newY + (int)((465-155)/(rank2Size-1));
		   
		          p.setLocation(newX, newY);
	              newP = new PointsInfo(new Integer(x).toString(),p, "-2");
				  newP1 = new PointsInfo(new Integer(x).toString(),p, "-2");
                  indexPoints.addElement(newP);
 newP2 = new PointsInfo(new Integer(x).toString(),p, "-2");
                  movingPoints.addElement(newP2);
				  initialPoints.addElement(newP1);
			      bPlaced[x-1] = true;
			      nPlaced++;
			 
		        }	//end of if	   
			
     			
		    
	    	}// end of for
			
		  if(setOfPoints.size() >= 5){
		
		    
	 	    sol.addElement(setOfPoints);
 	    	   displayFlats.addElement(displayPoints);
            numOfCurves = numOfCurves + setOfPoints.size() -2 -1;
			pFlat.removeElement(flat);
	          lines.add(flat);
	              
	         //
	         // draw a line through this flat
	         //
	      
	         
		  }
		  
					 }
		}//end of if
	  }//end of while
      //System.out.println(" Hi finish laying 1,3 flat");   

	//
	// next determine flats containing newly placed elements and 
	// 0, 1 or 2 (that haven't been done already)
	//
	for (i=1; (i<=(n+countElem)) && (nPlaced < (n+countElem)); i++) {
	  
	  if (bPlaced[i-1] && elementsToDraw[i-1] && !(loops.contains(new Integer(i).toString()))
		   && !touchingElements.contains(new Integer(i).toString())) {
	    for (j=1; (j<=3) && bPlaced[j-1] && (nPlaced < (n+countElem)) && !(loops.contains(new Integer(j).toString())) && !(touchingElements.contains(new Integer(j).toString())); j++) {
	      

	      Enumeration enum5 = pFlat.elements();
	      while(enum5.hasMoreElements())
	      {
            flat = (Vector)enum5.nextElement();
		    if(flat.contains(new Integer(i)) && flat.contains(new Integer(j)) && i!=j)
		    {
		  
		     if(flat.size() > 2) {
		   
			 
		       if (!lines.contains(flat)) {
			      Enumeration enum121 = indexPoints.elements();
		          PointsInfo po;
			      Point p1 = new Point();
			      Point p2 = new Point();
		          while(enum121.hasMoreElements())
		          {
			        po = (PointsInfo) enum121.nextElement();
				 
    			 if(po.index.equals(new Integer(i).toString())) {
					 p1.setLocation(po.point.getX(), po.point.getY());
				 }
				 if(po.index.equals(new Integer(j).toString())){
					 p2.setLocation(po.point.getX(), po.point.getY());
				 }
			 }
			  
		     rank2Size = flat.size()-loops.size();
	   
	     for(x = 1; x<= (n+countElem);x++)
				  {
		      	    if(touchingElements.contains(new Integer(x).toString())
					   && flat.contains(new Integer(x)))
					   rank2Size--;
		          }
		 
			 
			 
		 
		  setOfPoints = new HashSet();
			 displayPoints = new HashSet();
		  
		 		  if(rank2Size > 2){    
		     newX = (int)p1.getX();
		     newY = (int)p1.getY();
		  		  
		     setOfPoints.add(new Boolean(false));
			 setOfPoints.add(new Integer(-2));
		     
		  	  
		     for(x = 1; x<= (n+countElem); x++) {
				if (x != i && x != j && !bPlaced[x-1] && elementsToDraw[x-1] && flat.contains(new Integer(x))
					&& !loops.contains(new Integer(x).toString()) 
					&& !touchingElements.contains(new Integer(x).toString())) {
					
					  
		      
			
		  		      newX = newX + (int)((p2.getX() - p1.getX())/(rank2Size-1));
		              newY = newY + (int)((p2.getY() - p1.getY())/(rank2Size-1));
		     	      p.setLocation(newX, newY);
	                  newP = new PointsInfo(new Integer(x).toString(),p, "-2");
					  newP1 = new PointsInfo(new Integer(x).toString(),p, "-2");
                      indexPoints.addElement(newP);
					  initialPoints.addElement(newP1);
		     		  bPlaced[x-1] = true;
  newP2 = new PointsInfo(new Integer(x).toString(),p, "-2");
                      movingPoints.addElement(newP2);
		              nPlaced++;
			      
		  
		        
				
		           setOfPoints.add(new Integer(x));
				   displayPoints.add(new Integer(x));
				}
		  		
		     }// end of for
			
			if(setOfPoints.size() >= 5){
			    
		       sol.addElement(setOfPoints);
 	  	       displayFlats.addElement(displayPoints);
			   numOfCurves = numOfCurves + setOfPoints.size()  -2 -1;
			   pFlat.removeElement(flat);
		       lines.add(flat);
			}
		  }
		  }// end of if
		  
		  
		}
	
	   } 
	  } 
	}
	  }
	
	}
	
	
	//
	// next, try to place each new element with some combination of already
	// placed elements
	//
	for (i=1; (i<=(n+countElem)) && (nPlaced < (n+countElem)); i++) {
	  
	  if (!bPlaced[i-1] && elementsToDraw[i-1] && !(loops.contains(new Integer(i).toString()))
		    && !(touchingElements.contains(new Integer(i).toString()))) {
	    for (j=1; j<=(n+countElem) && !bPlaced[i-1] && elementsToDraw[i-1]; j++) {
	     
	     if (bPlaced[j-1] && elementsToDraw[j-1] && !(loops.contains(new Integer(j).toString()))
			   && !(touchingElements.contains(new Integer(j).toString()))) {
	            
	            Enumeration enum6 = pFlat.elements();
	            while(enum6.hasMoreElements())
	            {
                   flat = (Vector)enum6.nextElement();
		           if(flat.contains(new Integer(i)) && flat.contains(new Integer(j)) && i!=j )
		           {

            		     rank2Size = flat.size()-loops.size();
	   
	     for(x = 1; x<= (n+countElem);x++)
				  {
		      	    if(touchingElements.contains(new Integer(x).toString())
					   && flat.contains(new Integer(x)))
					   rank2Size--;
		          }		            
			
		  setOfPoints = new HashSet();
		   displayPoints = new HashSet();
		  
if(rank2Size > 2) {
		   
		  
		  Enumeration enum212 = indexPoints.elements();
		  PointsInfo po;
		  Point p1 = new Point();

			 
		  while(enum212.hasMoreElements())
		  {
		     po = (PointsInfo) enum212.nextElement();
							 
			 if(po.index.equals(new Integer(j).toString()))
					 p1.setLocation(po.point.getX(), po.point.getY());

		  }
		  
		     newX = (int)p1.getX();
		     newY = (int)p1.getY();
		     setOfPoints.add(new Boolean(false));
			 setOfPoints.add(new Integer(-2));
		     
		
			
		     for(x = 1; x<= (n+countElem); x++){
			    
		        if (flat.contains(new Integer(x)) && bPlaced[x-1] && x != j  && elementsToDraw[x-1]
					&& !loops.contains(new Integer(x).toString()) 
					      && !touchingElements.contains(new Integer(x).toString())) {
		          
			
		           Enumeration enump = indexPoints.elements();
	   	           PointsInfo pop;
			 
     			   Point p2 = new Point();
		           while(enump.hasMoreElements())
		           {
			           pop = (PointsInfo) enump.nextElement();
								 
        			   if(pop.index.equals(new Integer(x).toString()))
					       p2.setLocation(pop.point.getX(), pop.point.getY());
				   }
				   if(!bPlaced[i-1]){
		           bPlaced[i-1] = true;
			       newX = newX + (int)((p2.getX() - p1.getX())/(flat.size()-1));
		           newY = newY + (int)((p2.getY() - p1.getY())/(flat.size()-1));
		   		   
		           p.setLocation(newX, newY);
	               newP = new PointsInfo(new Integer(i).toString(),p, "-2");
			       newP1 = new PointsInfo(new Integer(i).toString(),p, "-2");
                   indexPoints.addElement(newP);
 newP2 = new PointsInfo(new Integer(i).toString(),p, "-2");
                   movingPoints.addElement(newP2);
				   initialPoints.addElement(newP1);
	               nPlaced++;		  
		       
				   }
				   
				   setOfPoints.add(new Integer(x));
                   displayPoints.add(new Integer(x));
			
		         }// end of if
		         
		       }// end of for
			 
			 if(setOfPoints.size() >= 5){
			   
 	  	        displayFlats.addElement(displayPoints);
				numOfCurves = numOfCurves + setOfPoints.size()  -2 -1;
				pFlat.removeElement(flat);
		    lines.add(flat);
			 }

			
		     } // end of if
					   
		    
		  
		}
	      }
	    }
	  }
	  }
	}
	
	
	      
	//
	// place any still unplaced elements "off to the side"
	//
	  
	  int circleX = offX;
	  int circleY = offY;
	 
	  count = 0;
	  for (i=0; i<(n+countElem); i++) {
	    int zi=i+1;
	     if (!bPlaced[i] && elementsToDraw[i] && !loops.contains(new Integer(i+1).toString())
			      && !touchingElements.contains(new Integer(i+1).toString())) {
		  
		    p.setLocation(circleX, circleY);
	        newP = new PointsInfo(new Integer(zi).toString(),p, "-2");
			newP1 = new PointsInfo(new Integer(zi).toString(),p, "-2");
            indexPoints.addElement(newP);
newP2 = new PointsInfo(new Integer(zi).toString(),p, "-2");
            movingPoints.addElement(newP2);
			initialPoints.addElement(newP1);
						
		    /////////////  Also place these zi points //////////////
	        bPlaced[i] = true;
		    count++;
			circleX = circleX + 50;
			if(circleX > 900){
				circleX = offX;
				circleY = circleY + 50;
				count = 0;
			}
	     }
	   }

	//
	// finally, draw (possibly curved) lines connecting remaining flats
	//
	
	
    Enumeration ep = pFlat.elements();
	while(ep.hasMoreElements()) {
	   
		
				
		flat = (Vector)ep.nextElement();
		
	   
		  rank2Size = flat.size()-loops.size();
	   
	     for(x = 1; x<= (n+countElem);x++)
				  {
		      	    if(touchingElements.contains(new Integer(x).toString())
					   && flat.contains(new Integer(x)))
					   rank2Size--;
		          }		            
		  
		  setOfPoints = new HashSet();
		 displayPoints = new HashSet();
	   
	   		 if (rank2Size >= 3) {
		 setOfPoints.add(new Boolean(false));
		 setOfPoints.add(new Integer(-2));
		 
		 
		 for(int ar1 = 0; ar1 < (n+countElem); ar1++) 
		 {
			 if(flat.contains(new Integer(ar1+1)) && bPlaced[ar1] && elementsToDraw[ar1]
				&& !loops.contains(new Integer(ar1+1).toString()) 
				&& !touchingElements.contains(new Integer(ar1+1).toString())) {
		        setOfPoints.add(new Integer(ar1 + 1));
		        displayPoints.add(new Integer(ar1 + 1));
			 }
		 }
		 
		 if(setOfPoints.size() >= 5){
		   
		    sol.addElement(setOfPoints);
 	  	    displayFlats.addElement(displayPoints);
			numOfCurves = numOfCurves + setOfPoints.size()  -2 -1;
		 }

		
	    }
	}	  
	
	//System.out.println(" Hi before touching edges");   
	
		//draw the parallel elements.
		Enumeration tenum = touchingEdges.elements();
	   
		while(tenum.hasMoreElements()) 
	    {
		    
			Vector tSet = ((Vector)tenum.nextElement());
		  if(tSet.size() != 0) {
			Object edgesArray[] = new Object[tSet.size()];
			edgesArray = tSet.toArray();
			String indexString = edgesArray[0].toString();
			for(int is = 1; is < edgesArray.length ; is++)
				indexString = indexString + "," + edgesArray[is].toString();
			
			// adjust the points in indexpoints
			Enumeration ienum = indexPoints.elements();
			while(ienum.hasMoreElements())
			{
	
				PointsInfo tip;
        	    tip= (PointsInfo) ienum.nextElement();
				
				Enumeration tSetm = tSet.elements();
				Object check;
                while(tSetm.hasMoreElements())
			    {
					check = tSetm.nextElement();
					if(check.toString().equals(tip.index.toString())) {
						newX = (int)tip.point.getX();
						newY = (int)tip.point.getY();
						
						boolean didR1 = indexPoints.removeElement(tip);
						
						p.setLocation(newX,newY);
	                    newP = new PointsInfo(indexString,p, "-2");
			            
                        indexPoints.addElement(newP);
			            
						
					}// end of if
				}// end of while
			}// end of while
	
			//System.out.println(" Hi after touching edges");   
			
			Enumeration ienum2 = initialPoints.elements();
			while(ienum2.hasMoreElements())
			{
	
				PointsInfo tip;
        	    tip= (PointsInfo) ienum2.nextElement();
				
				Enumeration tSetm = tSet.elements();
				Object check;
                while(tSetm.hasMoreElements())
			    {
					check = tSetm.nextElement();
					if(check.toString().equals(tip.index.toString())) {
						newX = (int)tip.point.getX();
						newY = (int)tip.point.getY();
						
						boolean didR2 = initialPoints.removeElement(tip);
                        
						p.setLocation(newX,newY);
	                    
			            newP1 = new PointsInfo(indexString,p, "-2");
                        
			            initialPoints.addElement(newP1);
						
                       
				      
						
					}// end of if
				}// end of while
			}// end of while
			
			
			Enumeration ienum3 = movingPoints.elements();
			while(ienum3.hasMoreElements())
			{
	
				PointsInfo tip;
        	    tip= (PointsInfo) ienum3.nextElement();
				
				Enumeration tSetm = tSet.elements();
				Object check;
                while(tSetm.hasMoreElements())
			    {
					check = tSetm.nextElement();
					if(check.toString().equals(tip.index.toString())) {
						newX = (int)tip.point.getX();
						newY = (int)tip.point.getY();
						
                        boolean didR3 = movingPoints.removeElement(tip);
						
						p.setLocation(newX,newY);
	                    
						newP2 = new PointsInfo(indexString,p, "-2");
                       
				      movingPoints.addElement(newP2);
						
					}// end of if
				}// end of while
			}// end of while
		  }
		}
		
	
	
    }// end of try
    catch (Exception e) {
        //throw new InternalError(e.getMessage());
		JOptionPane.showMessageDialog(null, "Error placing the points and lines.  Please re-enter the input.");
    } 

  }// if - for breaking down the design for drawing.
		 
 else if(((n+countElem) >= (m*m)) && (m > 2)){
  
	 
	 // Using Prop 2.2.3 in The theory of Finite linear spaces
		   // by Lynn Margaret Batten and Albrecht Beutelspacher, if number of 
		   // points >= square of the p, and if every point has degree at most
		   // p+1, then the linear space can be extended to a 
		   // projective plane of order p.  Hence if number of points is greater
		   // than or equal to square of p draw geometric repr in the grid form
		   // by deleting the corresponding points from PG(2,p).
	 
	 
  	  try {
		   Vector vectorPoints = new Vector();
		   
		   	   
		   //add the elements in the projective plane, PG(2,p)
		   //(there will be (m+1) points in the projective plane)
		   // add all the equivalent vectors too
		   
		   if((n+countElem) >= 2 && elementsToDraw[1] && !bPlaced[1] &&
			  !touchingElements.contains(new Integer(2).toString())) {
		   p12.setLocation(710,270);
		   infinityPoints.addElement(new Point(p12));
		  p13.setLocation(710,270);
		   movingInfinityPoints.addElement(new Point(p13));
		   p.setLocation(710,270);
		   newP = new PointsInfo("2",p, "-2");
	       newP1 = new PointsInfo("2",p, "-2");
           indexPoints.addElement(newP);
	       initialPoints.addElement(newP1);
 newP2 = new PointsInfo("2",p, "-2");
           movingPoints.addElement(newP2);
		   bPlaced[1] = true;
		  
		   nPlaced++;
	     }  
		   
		      
		   
		   if((n+countElem) >= 3 && elementsToDraw[2] && !bPlaced[2] &&
			  !touchingElements.contains(new Integer(3).toString())){
		   p12.setLocation(480,500);
		   infinityPoints.addElement(new Point(p12));
  p13.setLocation(480,500);
		   movingInfinityPoints.addElement(new Point(p13));
		   p.setLocation(480,500);
		   newP = new PointsInfo("3",p, "-2");
	       newP1 = new PointsInfo("3",p, "-2");
           indexPoints.addElement(newP);
  newP2 = new PointsInfo("3",p, "-2");
           movingPoints.addElement(newP2);
	       initialPoints.addElement(newP1);
		   bPlaced[2] = true;
		  
		   nPlaced++;
		   }
		   
		   			   
			int xPoint = 250;
		   int yPoint = 500;
		   int changeX = (680-xPoint)/(m-2);   
		   int ele = 4;
		   for(x = m-1; x >= 1 && ele <=(n+countElem); x--) {
			   
			   if(elementsToDraw[ele-1] && !bPlaced[ele-1] &&
				  !touchingElements.contains(new Integer(ele).toString())) {
			   p12.setLocation(xPoint,yPoint);
			   infinityPoints.addElement(new Point(p12));
               p13.setLocation(xPoint,yPoint);
			   movingInfinityPoints.addElement(new Point(p13));
			   p.setLocation(xPoint,yPoint);
		       newP = new PointsInfo(new Integer(ele).toString(),p, "-2");
	           newP1 = new PointsInfo(new Integer(ele).toString(),p, "-2");
               indexPoints.addElement(newP);
	           initialPoints.addElement(newP1);
				newP2 = new PointsInfo(new Integer(ele).toString(),p, "-2");
               movingPoints.addElement(newP2);
		       bPlaced[ele-1] = true;
		     
		       nPlaced++;
	         
			   xPoint = xPoint + changeX;
			   }
			   ele++;
		   }
		   
	
		   
		   
		   //place 1
		   if((n+countElem) >= 1 && elementsToDraw[0] && !bPlaced[0] &&
			  !touchingElements.contains(new Integer(1).toString())) {
		   p.setLocation(610,400);
				   
		       newP = new PointsInfo(new Integer(1).toString(),p, "-2");
	           newP1 = new PointsInfo(new Integer(1).toString(),p, "-2");
               indexPoints.addElement(newP);
	           initialPoints.addElement(newP1);
				newP2 = new PointsInfo(new Integer(1).toString(),p, "-2");
               movingPoints.addElement(newP2);
		       bPlaced[0] = true;
		      
		       nPlaced++;
		   }
		   
		   
		   int temp = ele;
		   
		   xPoint = 350;
		   yPoint = 140;
		   changeX = (610-xPoint)/(m-1);
	       int changeY = (400-yPoint)/(m-1);
		   
		   ele = (n+countElem);
		   // add the elements in the grid
		   for(int yValue = m-1; yValue >= 0 && ele >= temp ;yValue--){
			   for(int zValue = m-1; zValue >= 0 && ele >= temp;zValue--){
				 	
				   if(elementsToDraw[ele-1] && !bPlaced[ele-1] &&
					  !touchingElements.contains(new Integer(ele).toString())) {
		           p.setLocation(xPoint,yPoint);
				   
		       newP = new PointsInfo(new Integer(ele).toString(),p, "-2");
	           newP1 = new PointsInfo(new Integer(ele).toString(),p, "-2");
               indexPoints.addElement(newP);
	           initialPoints.addElement(newP1);
  newP2 = new PointsInfo(new Integer(ele).toString(),p, "-2");
               movingPoints.addElement(newP2);
		       bPlaced[ele-1] = true;
		        
		       nPlaced++;
	              
				   yPoint = yPoint + changeY;
				   }
				   ele--;
		      }
			   
			   
		      yPoint = 140;
		      xPoint = xPoint + changeX;
		   }
		   
		   
		   
	 
				   
		   
			xPoint = 300;
	        yPoint = 90;
			
		   //if there are still any unplaced elements--> 
	       for (i=0; i<(n+countElem); i++) {
			 if(elementsToDraw[i] && !bPlaced[i] &&
				!touchingElements.contains(new Integer(i+1).toString())) {
		           p.setLocation(xPoint,yPoint);
				   
		       newP = new PointsInfo(new Integer(i+1).toString(),p, "-2");
	           newP1 = new PointsInfo(new Integer(i+1).toString(),p, "-2");
               indexPoints.addElement(newP);
	           initialPoints.addElement(newP1);
 newP2 = new PointsInfo(new Integer(i+1).toString(),p, "-2");
               movingPoints.addElement(newP2);
		       bPlaced[i] = true;
		       
		       nPlaced++;
		         	   
			   count = count + 1;
			   xPoint = xPoint + 50;
			   if(count == 10){
				yPoint = yPoint + 50;
				xPoint = 300;
				count = 0;
			   }
	               
		   }
		
			   
		 }
		   
	    Enumeration tenum = touchingEdges.elements();
	    
		while(tenum.hasMoreElements()) 
	    {
		    
			Vector tSet = ((Vector)tenum.nextElement());
		  if(tSet.size() != 0) {
			Object edgesArray[] = new Object[tSet.size()];
			edgesArray = tSet.toArray();
			String indexString = edgesArray[0].toString();
			for(int is = 1; is < edgesArray.length ; is++)
				indexString = indexString + "," + edgesArray[is].toString();
			
			Enumeration ienum = indexPoints.elements();
			while(ienum.hasMoreElements())
			{
	
				PointsInfo tip;
        	    tip= (PointsInfo) ienum.nextElement();
				
				Enumeration tSetm = tSet.elements();
				Object check;
                while(tSetm.hasMoreElements())
			    {
					check = tSetm.nextElement();
					if(check.toString().equals(tip.index.toString())) {
						newX = (int)tip.point.getX();
						newY = (int)tip.point.getY();
						
						boolean didR1 = indexPoints.removeElement(tip);
						
						p.setLocation(newX,newY);
	                    newP = new PointsInfo(indexString,p, "-2");
			            
                        indexPoints.addElement(newP);
			            
                     
				     
						
					}// end of if
				}// end of while
			}// end of while
			
			
			Enumeration ienum1 = initialPoints.elements();
			while(ienum1.hasMoreElements())
			{
	
				PointsInfo tip;
        	    tip= (PointsInfo) ienum1.nextElement();
				
				Enumeration tSetm = tSet.elements();
				Object check;
                while(tSetm.hasMoreElements())
			    {
					check = tSetm.nextElement();
					if(check.toString().equals(tip.index.toString())) {
						newX = (int)tip.point.getX();
						newY = (int)tip.point.getY();
						
						boolean didR2 = initialPoints.removeElement(tip);
						
						p.setLocation(newX,newY);
	                    
			            newP1 = new PointsInfo(indexString,p, "-2");
                        
			            initialPoints.addElement(newP1);
						
                   
						
					}// end of if
				}// end of while
			}// end of while
			
			
			Enumeration ienum2 = movingPoints.elements();
			while(ienum2.hasMoreElements())
			{
	
				PointsInfo tip;
        	    tip= (PointsInfo) ienum2.nextElement();
				
				Enumeration tSetm = tSet.elements();
				Object check;
                while(tSetm.hasMoreElements())
			    {
					check = tSetm.nextElement();
					if(check.toString().equals(tip.index.toString())) {
						newX = (int)tip.point.getX();
						newY = (int)tip.point.getY();
						
						boolean didR3 = movingPoints.removeElement(tip);
						
						p.setLocation(newX,newY);
	                    
						newP2 = new PointsInfo(indexString,p, "-2");
                     
				     movingPoints.addElement(newP2);
						
					}// end of if
				}// end of while
			}// end of while
		  }
			}// end of while	  

		Vector tempVec = new Vector(); 
		tempVec = (Vector)mFlats.get(2); 
		pFlat = new Vector(tempVec);
	    Vector flats = new Vector();
	  enumsa = pFlat.elements();
	  while(enumsa.hasMoreElements())
	  {
         flats = (Vector)enumsa.nextElement();
         
	
    	  rank2Size = flats.size()-loops.size();
	   
	     for(x = 1; x<= (n+countElem);x++)
				  {
		      	    if(touchingElements.contains(new Integer(x).toString())
					   && flats.contains(new Integer(x)))
					   rank2Size--;
		          }		            
		  setOfPoints = new HashSet();
		  displayPoints = new HashSet();
	   
	if (rank2Size >= 3) {
		     setOfPoints.add(new Boolean(false));
		     setOfPoints.add(new Integer(-2));
		 
		 
		     for(int ar1 = 0; ar1 < (n+countElem); ar1++) 
		     {

				  if(flats.contains(new Integer(ar1+1)) && bPlaced[ar1] && elementsToDraw[ar1]
					 && !loops.contains(new Integer(ar1+1).toString()) 
					 && !touchingElements.contains(new Integer(ar1+1).toString())) {
    			    setOfPoints.add(new Integer(ar1 + 1));
	    	        displayPoints.add(new Integer(ar1+1));
				  }
			 
             }
		 
	    	  if(setOfPoints.size() >= 5){
		      
		        sol.addElement(setOfPoints);
 	  	        displayFlats.addElement(displayPoints);
			    numOfCurves = numOfCurves + setOfPoints.size()  -2 -1;
				//System.out.println(" Hi I am in drawing curve");
		      }
	}
	    
	  }// end of for pFlat
	   
		   
	  
	  
	  
    }// end of try
    catch (Exception e) {
        //throw new InternalError(e.getMessage());
		
		JOptionPane.showMessageDialog(null, "Error placing the points and lines.  Please re-enter the input.");
    } 
	
   }// else - for breaking down the design for drawing the matroids.
  
	  }
   
	   
	   return sol;
   	   
	   
   }
   
   
   
  //
  // private routine removes the first occurrence of the passed subset
  // from the passed linked list
  //
  private static void removeSubsetFromList(Subset s, LinkedList lst)
  {
    boolean bStop = false;
    Subset t;
    for (Iterator pSet = lst.iterator(); pSet.hasNext() && !bStop;) {
      t = (Subset)pSet.next();
      if (s.equals(t)) {
	pSet.remove();
	bStop = true;
      }
    }
  }
  
    /** public static void main(String[] args) throws IOException
  {

      JFrame frame = new JFrame("Application version:Flats Demo");

      frame.addWindowListener(new WindowAdapter() {
         public void windowClosing(WindowEvent e) {
            System.exit(0);
         }
      });
	  DisplayGeomApplet applet = new DisplayGeomApplet();
	  
      	  	  
	  frame.getContentPane().add(applet);
	  applet.init();
	  applet.start();
      frame.pack();
      frame.setVisible(true);
      
	  frame.setSize(new Dimension(1000,652));
	  
	  frame.show();
	  ScrollPane pn = new ScrollPane(ScrollPane.SCROLLBARS_ALWAYS);  
	  pn.add(frame);
      
	  
	  }// end of main**/
  
}// end of DisplayGeom class




		
class PointsInfo
{
     public String index;
    public Point point;
	public String highLight;

    public PointsInfo(String index, Point p, String h)
    {
        this.index = index;
		this.point = new Point(p);
		this.highLight = h;
             
    }

} //END PointsInfo CLASS

class FlatsInfo
{
    public Subset flat;
    public Point point;
	public String highLight;
	

    public FlatsInfo(Subset flat, Point p, String highLight)
    {
        this.flat = flat;
		this.point = new Point(p);
		this.highLight = highLight;
		             
    }

} //END FlatsInfo CLASS

class FlatsInfoLinear
{
    public Vector flat;
    public Point point;
	public String highLight;
	

    public FlatsInfoLinear(Vector flat, Point p, String highLight)
    {
        this.flat = flat;
		this.point = new Point(p);
		this.highLight = highLight;
		             
    }

} //END FlatsInfoLinear CLASS


class FlatInd
{
    public String index;
    public Point point;
	
    public FlatInd(String index, Point p)
    {
        this.index = index;
		this.point = new Point(p);
		             
    }

} //END FlatInd CLASS

class PermSlope
{
    public double diff;
    public Vector perm;
	
    public PermSlope(double diff, Vector perm)
    {
        this.diff = diff;
		this.perm = new Vector(perm);
		             
    }

} //END PermSlope CLASS


class VectorInfo
{
    
    public Point point;
	public Vector coord;

    public VectorInfo(Point p, Vector coord)
    {
        
		this.point = new Point(p);
		this.coord = new Vector(coord);
             
    }
	
	public VectorInfo(VectorInfo v)
    {
        
		this.point = new Point(v.point);
		this.coord = new Vector(v.coord);
             
    }

} //END VectorInfo CLASS
